# .WorkflowTemplateServiceApi

All URIs are relative to *http://localhost:2746*

Method | HTTP request | Description
------------- | ------------- | -------------
[**workflowTemplateServiceCreateWorkflowTemplate**](WorkflowTemplateServiceApi.md#workflowTemplateServiceCreateWorkflowTemplate) | **POST** /api/v1/workflow-templates/{namespace} | 
[**workflowTemplateServiceDeleteWorkflowTemplate**](WorkflowTemplateServiceApi.md#workflowTemplateServiceDeleteWorkflowTemplate) | **DELETE** /api/v1/workflow-templates/{namespace}/{name} | 
[**workflowTemplateServiceGetWorkflowTemplate**](WorkflowTemplateServiceApi.md#workflowTemplateServiceGetWorkflowTemplate) | **GET** /api/v1/workflow-templates/{namespace}/{name} | 
[**workflowTemplateServiceLintWorkflowTemplate**](WorkflowTemplateServiceApi.md#workflowTemplateServiceLintWorkflowTemplate) | **POST** /api/v1/workflow-templates/{namespace}/lint | 
[**workflowTemplateServiceListWorkflowTemplates**](WorkflowTemplateServiceApi.md#workflowTemplateServiceListWorkflowTemplates) | **GET** /api/v1/workflow-templates/{namespace} | 
[**workflowTemplateServiceUpdateWorkflowTemplate**](WorkflowTemplateServiceApi.md#workflowTemplateServiceUpdateWorkflowTemplate) | **PUT** /api/v1/workflow-templates/{namespace}/{name} | 


# **workflowTemplateServiceCreateWorkflowTemplate**
> IoArgoprojWorkflowV1alpha1WorkflowTemplate workflowTemplateServiceCreateWorkflowTemplate(body)


### Example


```typescript
import {  } from '';
import * as fs from 'fs';

const configuration = .createConfiguration();
const apiInstance = new .WorkflowTemplateServiceApi(configuration);

let body:.WorkflowTemplateServiceApiWorkflowTemplateServiceCreateWorkflowTemplateRequest = {
  // string
  namespace: "namespace_example",
  // IoArgoprojWorkflowV1alpha1WorkflowTemplateCreateRequest
  body: {
    createOptions: {
      dryRun: [
        "dryRun_example",
      ],
      fieldManager: "fieldManager_example",
      fieldValidation: "fieldValidation_example",
    },
    namespace: "namespace_example",
    template: {
      apiVersion: "apiVersion_example",
      kind: "kind_example",
      metadata: {
        annotations: {
          "key": "key_example",
        },
        clusterName: "clusterName_example",
        creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
        deletionGracePeriodSeconds: 1,
        deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
        finalizers: [
          "finalizers_example",
        ],
        generateName: "generateName_example",
        generation: 1,
        labels: {
          "key": "key_example",
        },
        managedFields: [
          {
            apiVersion: "apiVersion_example",
            fieldsType: "fieldsType_example",
            fieldsV1: {},
            manager: "manager_example",
            operation: "operation_example",
            subresource: "subresource_example",
            time: new Date('1970-01-01T00:00:00.00Z'),
          },
        ],
        name: "name_example",
        namespace: "namespace_example",
        ownerReferences: [
          {
            apiVersion: "apiVersion_example",
            blockOwnerDeletion: true,
            controller: true,
            kind: "kind_example",
            name: "name_example",
            uid: "uid_example",
          },
        ],
        resourceVersion: "resourceVersion_example",
        selfLink: "selfLink_example",
        uid: "uid_example",
      },
      spec: {
        activeDeadlineSeconds: 1,
        affinity: {
          nodeAffinity: {
            preferredDuringSchedulingIgnoredDuringExecution: [
              {
                preference: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchFields: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                },
                weight: 1,
              },
            ],
            requiredDuringSchedulingIgnoredDuringExecution: {
              nodeSelectorTerms: [
                {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchFields: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                },
              ],
            },
          },
          podAffinity: {
            preferredDuringSchedulingIgnoredDuringExecution: [
              {
                podAffinityTerm: {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
                weight: 1,
              },
            ],
            requiredDuringSchedulingIgnoredDuringExecution: [
              {
                labelSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaceSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaces: [
                  "namespaces_example",
                ],
                topologyKey: "topologyKey_example",
              },
            ],
          },
          podAntiAffinity: {
            preferredDuringSchedulingIgnoredDuringExecution: [
              {
                podAffinityTerm: {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
                weight: 1,
              },
            ],
            requiredDuringSchedulingIgnoredDuringExecution: [
              {
                labelSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaceSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaces: [
                  "namespaces_example",
                ],
                topologyKey: "topologyKey_example",
              },
            ],
          },
        },
        archiveLogs: true,
        arguments: {
          artifacts: [
            {
              archive: {
                none: {},
                tar: {
                  compressionLevel: 1,
                },
                zip: {},
              },
              archiveLogs: true,
              artifactGC: {
                podMetadata: {
                  annotations: {
                    "key": "key_example",
                  },
                  labels: {
                    "key": "key_example",
                  },
                },
                serviceAccountName: "serviceAccountName_example",
                strategy: "strategy_example",
              },
              artifactory: {
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                url: "url_example",
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              azure: {
                accountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                blob: "blob_example",
                container: "container_example",
                endpoint: "endpoint_example",
                useSDKCreds: true,
              },
              deleted: true,
              _from: "_from_example",
              fromExpression: "fromExpression_example",
              gcs: {
                bucket: "bucket_example",
                key: "key_example",
                serviceAccountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              git: {
                branch: "branch_example",
                depth: 1,
                disableSubmodules: true,
                fetch: [
                  "fetch_example",
                ],
                insecureIgnoreHostKey: true,
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                repo: "repo_example",
                revision: "revision_example",
                singleBranch: true,
                sshPrivateKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              globalName: "globalName_example",
              hdfs: {
                addresses: [
                  "addresses_example",
                ],
                force: true,
                hdfsUser: "hdfsUser_example",
                krbCCacheSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbConfigConfigMap: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbKeytabSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbRealm: "krbRealm_example",
                krbServicePrincipalName: "krbServicePrincipalName_example",
                krbUsername: "krbUsername_example",
                path: "path_example",
              },
              http: {
                auth: {
                  basicAuth: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  clientCert: {
                    clientCertSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  oauth2: {
                    clientIDSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientSecretSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    endpointParams: [
                      {
                        key: "key_example",
                        value: "value_example",
                      },
                    ],
                    scopes: [
                      "scopes_example",
                    ],
                    tokenURLSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
                headers: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                url: "url_example",
              },
              mode: 1,
              name: "name_example",
              optional: true,
              oss: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: true,
                endpoint: "endpoint_example",
                key: "key_example",
                lifecycleRule: {
                  markDeletionAfterDays: 1,
                  markInfrequentAccessAfterDays: 1,
                },
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                securityToken: "securityToken_example",
              },
              path: "path_example",
              raw: {
                data: "data_example",
              },
              recurseMode: true,
              s3: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: {
                  objectLocking: true,
                },
                encryptionOptions: {
                  enableEncryption: true,
                  kmsEncryptionContext: "kmsEncryptionContext_example",
                  kmsKeyId: "kmsKeyId_example",
                  serverSideCustomerKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                endpoint: "endpoint_example",
                insecure: true,
                key: "key_example",
                region: "region_example",
                roleARN: "roleARN_example",
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                useSDKCreds: true,
              },
              subPath: "subPath_example",
            },
          ],
          parameters: [
            {
              _default: "_default_example",
              description: "description_example",
              _enum: [
                "_enum_example",
              ],
              globalName: "globalName_example",
              name: "name_example",
              value: "value_example",
              valueFrom: {
                configMapKeyRef: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                _default: "_default_example",
                event: "event_example",
                expression: "expression_example",
                jqFilter: "jqFilter_example",
                jsonPath: "jsonPath_example",
                parameter: "parameter_example",
                path: "path_example",
                supplied: {},
              },
            },
          ],
        },
        artifactGC: {
          forceFinalizerRemoval: true,
          podMetadata: {
            annotations: {
              "key": "key_example",
            },
            labels: {
              "key": "key_example",
            },
          },
          serviceAccountName: "serviceAccountName_example",
          strategy: "strategy_example",
        },
        artifactRepositoryRef: {
          configMap: "configMap_example",
          key: "key_example",
        },
        automountServiceAccountToken: true,
        dnsConfig: {
          nameservers: [
            "nameservers_example",
          ],
          options: [
            {
              name: "name_example",
              value: "value_example",
            },
          ],
          searches: [
            "searches_example",
          ],
        },
        dnsPolicy: "dnsPolicy_example",
        entrypoint: "entrypoint_example",
        executor: {
          serviceAccountName: "serviceAccountName_example",
        },
        hooks: {
          "key": {
            arguments: {
              artifacts: [
                {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              ],
              parameters: [
                {
                  _default: "_default_example",
                  description: "description_example",
                  _enum: [
                    "_enum_example",
                  ],
                  globalName: "globalName_example",
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    _default: "_default_example",
                    event: "event_example",
                    expression: "expression_example",
                    jqFilter: "jqFilter_example",
                    jsonPath: "jsonPath_example",
                    parameter: "parameter_example",
                    path: "path_example",
                    supplied: {},
                  },
                },
              ],
            },
            expression: "expression_example",
            template: "template_example",
            templateRef: {
              clusterScope: true,
              name: "name_example",
              template: "template_example",
            },
          },
        },
        hostAliases: [
          {
            hostnames: [
              "hostnames_example",
            ],
            ip: "ip_example",
          },
        ],
        hostNetwork: true,
        imagePullSecrets: [
          {
            name: "name_example",
          },
        ],
        metrics: {
          prometheus: [
            {
              counter: {
                value: "value_example",
              },
              gauge: {
                operation: "operation_example",
                realtime: true,
                value: "value_example",
              },
              help: "help_example",
              histogram: {
                buckets: [
                  3.14,
                ],
                value: "value_example",
              },
              labels: [
                {
                  key: "key_example",
                  value: "value_example",
                },
              ],
              name: "name_example",
              when: "when_example",
            },
          ],
        },
        nodeSelector: {
          "key": "key_example",
        },
        onExit: "onExit_example",
        parallelism: 1,
        podDisruptionBudget: {
          maxUnavailable: "maxUnavailable_example",
          minAvailable: "minAvailable_example",
          selector: {
            matchExpressions: [
              {
                key: "key_example",
                operator: "operator_example",
                values: [
                  "values_example",
                ],
              },
            ],
            matchLabels: {
              "key": "key_example",
            },
          },
        },
        podGC: {
          labelSelector: {
            matchExpressions: [
              {
                key: "key_example",
                operator: "operator_example",
                values: [
                  "values_example",
                ],
              },
            ],
            matchLabels: {
              "key": "key_example",
            },
          },
          strategy: "strategy_example",
        },
        podMetadata: {
          annotations: {
            "key": "key_example",
          },
          labels: {
            "key": "key_example",
          },
        },
        podPriority: 1,
        podPriorityClassName: "podPriorityClassName_example",
        podSpecPatch: "podSpecPatch_example",
        priority: 1,
        retryStrategy: {
          affinity: {
            nodeAntiAffinity: {},
          },
          backoff: {
            duration: "duration_example",
            factor: "factor_example",
            maxDuration: "maxDuration_example",
          },
          expression: "expression_example",
          limit: "limit_example",
          retryPolicy: "retryPolicy_example",
        },
        schedulerName: "schedulerName_example",
        securityContext: {
          fsGroup: 1,
          fsGroupChangePolicy: "fsGroupChangePolicy_example",
          runAsGroup: 1,
          runAsNonRoot: true,
          runAsUser: 1,
          seLinuxOptions: {
            level: "level_example",
            role: "role_example",
            type: "type_example",
            user: "user_example",
          },
          seccompProfile: {
            localhostProfile: "localhostProfile_example",
            type: "Localhost",
          },
          supplementalGroups: [
            1,
          ],
          sysctls: [
            {
              name: "name_example",
              value: "value_example",
            },
          ],
          windowsOptions: {
            gmsaCredentialSpec: "gmsaCredentialSpec_example",
            gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
            hostProcess: true,
            runAsUserName: "runAsUserName_example",
          },
        },
        serviceAccountName: "serviceAccountName_example",
        shutdown: "shutdown_example",
        suspend: true,
        synchronization: {
          mutex: {
            name: "name_example",
            namespace: "namespace_example",
          },
          semaphore: {
            configMapKeyRef: {
              key: "key_example",
              name: "name_example",
              optional: true,
            },
            namespace: "namespace_example",
          },
        },
        templateDefaults: {
          activeDeadlineSeconds: "activeDeadlineSeconds_example",
          affinity: {
            nodeAffinity: {
              preferredDuringSchedulingIgnoredDuringExecution: [
                {
                  preference: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchFields: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                  },
                  weight: 1,
                },
              ],
              requiredDuringSchedulingIgnoredDuringExecution: {
                nodeSelectorTerms: [
                  {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchFields: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                  },
                ],
              },
            },
            podAffinity: {
              preferredDuringSchedulingIgnoredDuringExecution: [
                {
                  podAffinityTerm: {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                  weight: 1,
                },
              ],
              requiredDuringSchedulingIgnoredDuringExecution: [
                {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
              ],
            },
            podAntiAffinity: {
              preferredDuringSchedulingIgnoredDuringExecution: [
                {
                  podAffinityTerm: {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                  weight: 1,
                },
              ],
              requiredDuringSchedulingIgnoredDuringExecution: [
                {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
              ],
            },
          },
          archiveLocation: {
            archiveLogs: true,
            artifactory: {
              passwordSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              url: "url_example",
              usernameSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            azure: {
              accountKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              blob: "blob_example",
              container: "container_example",
              endpoint: "endpoint_example",
              useSDKCreds: true,
            },
            gcs: {
              bucket: "bucket_example",
              key: "key_example",
              serviceAccountKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            git: {
              branch: "branch_example",
              depth: 1,
              disableSubmodules: true,
              fetch: [
                "fetch_example",
              ],
              insecureIgnoreHostKey: true,
              passwordSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              repo: "repo_example",
              revision: "revision_example",
              singleBranch: true,
              sshPrivateKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              usernameSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            hdfs: {
              addresses: [
                "addresses_example",
              ],
              force: true,
              hdfsUser: "hdfsUser_example",
              krbCCacheSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              krbConfigConfigMap: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              krbKeytabSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              krbRealm: "krbRealm_example",
              krbServicePrincipalName: "krbServicePrincipalName_example",
              krbUsername: "krbUsername_example",
              path: "path_example",
            },
            http: {
              auth: {
                basicAuth: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                clientCert: {
                  clientCertSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  clientKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                oauth2: {
                  clientIDSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  clientSecretSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  endpointParams: [
                    {
                      key: "key_example",
                      value: "value_example",
                    },
                  ],
                  scopes: [
                    "scopes_example",
                  ],
                  tokenURLSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
              headers: [
                {
                  name: "name_example",
                  value: "value_example",
                },
              ],
              url: "url_example",
            },
            oss: {
              accessKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              bucket: "bucket_example",
              createBucketIfNotPresent: true,
              endpoint: "endpoint_example",
              key: "key_example",
              lifecycleRule: {
                markDeletionAfterDays: 1,
                markInfrequentAccessAfterDays: 1,
              },
              secretKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              securityToken: "securityToken_example",
            },
            raw: {
              data: "data_example",
            },
            s3: {
              accessKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              bucket: "bucket_example",
              createBucketIfNotPresent: {
                objectLocking: true,
              },
              encryptionOptions: {
                enableEncryption: true,
                kmsEncryptionContext: "kmsEncryptionContext_example",
                kmsKeyId: "kmsKeyId_example",
                serverSideCustomerKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              endpoint: "endpoint_example",
              insecure: true,
              key: "key_example",
              region: "region_example",
              roleARN: "roleARN_example",
              secretKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              useSDKCreds: true,
            },
          },
          automountServiceAccountToken: true,
          container: {
            args: [
              "args_example",
            ],
            command: [
              "command_example",
            ],
            env: [
              {
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  fieldRef: {
                    apiVersion: "apiVersion_example",
                    fieldPath: "fieldPath_example",
                  },
                  resourceFieldRef: {
                    containerName: "containerName_example",
                    divisor: "divisor_example",
                    resource: "resource_example",
                  },
                  secretKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
            ],
            envFrom: [
              {
                configMapRef: {
                  name: "name_example",
                  optional: true,
                },
                prefix: "prefix_example",
                secretRef: {
                  name: "name_example",
                  optional: true,
                },
              },
            ],
            image: "image_example",
            imagePullPolicy: "Always",
            lifecycle: {
              postStart: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
              preStop: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
            },
            livenessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            name: "name_example",
            ports: [
              {
                containerPort: 1,
                hostIP: "hostIP_example",
                hostPort: 1,
                name: "name_example",
                protocol: "SCTP",
              },
            ],
            readinessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            resources: {
              limits: {
                "key": "key_example",
              },
              requests: {
                "key": "key_example",
              },
            },
            securityContext: {
              allowPrivilegeEscalation: true,
              capabilities: {
                add: [
                  "add_example",
                ],
                drop: [
                  "drop_example",
                ],
              },
              privileged: true,
              procMount: "procMount_example",
              readOnlyRootFilesystem: true,
              runAsGroup: 1,
              runAsNonRoot: true,
              runAsUser: 1,
              seLinuxOptions: {
                level: "level_example",
                role: "role_example",
                type: "type_example",
                user: "user_example",
              },
              seccompProfile: {
                localhostProfile: "localhostProfile_example",
                type: "Localhost",
              },
              windowsOptions: {
                gmsaCredentialSpec: "gmsaCredentialSpec_example",
                gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                hostProcess: true,
                runAsUserName: "runAsUserName_example",
              },
            },
            startupProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            stdin: true,
            stdinOnce: true,
            terminationMessagePath: "terminationMessagePath_example",
            terminationMessagePolicy: "FallbackToLogsOnError",
            tty: true,
            volumeDevices: [
              {
                devicePath: "devicePath_example",
                name: "name_example",
              },
            ],
            volumeMounts: [
              {
                mountPath: "mountPath_example",
                mountPropagation: "mountPropagation_example",
                name: "name_example",
                readOnly: true,
                subPath: "subPath_example",
                subPathExpr: "subPathExpr_example",
              },
            ],
            workingDir: "workingDir_example",
          },
          containerSet: {
            containers: [
              {
                args: [
                  "args_example",
                ],
                command: [
                  "command_example",
                ],
                dependencies: [
                  "dependencies_example",
                ],
                env: [
                  {
                    name: "name_example",
                    value: "value_example",
                    valueFrom: {
                      configMapKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                      secretKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                ],
                envFrom: [
                  {
                    configMapRef: {
                      name: "name_example",
                      optional: true,
                    },
                    prefix: "prefix_example",
                    secretRef: {
                      name: "name_example",
                      optional: true,
                    },
                  },
                ],
                image: "image_example",
                imagePullPolicy: "imagePullPolicy_example",
                lifecycle: {
                  postStart: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                  preStop: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                },
                livenessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                name: "name_example",
                ports: [
                  {
                    containerPort: 1,
                    hostIP: "hostIP_example",
                    hostPort: 1,
                    name: "name_example",
                    protocol: "SCTP",
                  },
                ],
                readinessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                resources: {
                  limits: {
                    "key": "key_example",
                  },
                  requests: {
                    "key": "key_example",
                  },
                },
                securityContext: {
                  allowPrivilegeEscalation: true,
                  capabilities: {
                    add: [
                      "add_example",
                    ],
                    drop: [
                      "drop_example",
                    ],
                  },
                  privileged: true,
                  procMount: "procMount_example",
                  readOnlyRootFilesystem: true,
                  runAsGroup: 1,
                  runAsNonRoot: true,
                  runAsUser: 1,
                  seLinuxOptions: {
                    level: "level_example",
                    role: "role_example",
                    type: "type_example",
                    user: "user_example",
                  },
                  seccompProfile: {
                    localhostProfile: "localhostProfile_example",
                    type: "Localhost",
                  },
                  windowsOptions: {
                    gmsaCredentialSpec: "gmsaCredentialSpec_example",
                    gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                    hostProcess: true,
                    runAsUserName: "runAsUserName_example",
                  },
                },
                startupProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                stdin: true,
                stdinOnce: true,
                terminationMessagePath: "terminationMessagePath_example",
                terminationMessagePolicy: "terminationMessagePolicy_example",
                tty: true,
                volumeDevices: [
                  {
                    devicePath: "devicePath_example",
                    name: "name_example",
                  },
                ],
                volumeMounts: [
                  {
                    mountPath: "mountPath_example",
                    mountPropagation: "mountPropagation_example",
                    name: "name_example",
                    readOnly: true,
                    subPath: "subPath_example",
                    subPathExpr: "subPathExpr_example",
                  },
                ],
                workingDir: "workingDir_example",
              },
            ],
            retryStrategy: {
              duration: "duration_example",
              retries: "retries_example",
            },
            volumeMounts: [
              {
                mountPath: "mountPath_example",
                mountPropagation: "mountPropagation_example",
                name: "name_example",
                readOnly: true,
                subPath: "subPath_example",
                subPathExpr: "subPathExpr_example",
              },
            ],
          },
          daemon: true,
          dag: {
            failFast: true,
            target: "target_example",
            tasks: [
              {
                arguments: {
                  artifacts: [
                    {
                      archive: {
                        none: {},
                        tar: {
                          compressionLevel: 1,
                        },
                        zip: {},
                      },
                      archiveLogs: true,
                      artifactGC: {
                        podMetadata: {
                          annotations: {
                            "key": "key_example",
                          },
                          labels: {
                            "key": "key_example",
                          },
                        },
                        serviceAccountName: "serviceAccountName_example",
                        strategy: "strategy_example",
                      },
                      artifactory: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        url: "url_example",
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      azure: {
                        accountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        blob: "blob_example",
                        container: "container_example",
                        endpoint: "endpoint_example",
                        useSDKCreds: true,
                      },
                      deleted: true,
                      _from: "_from_example",
                      fromExpression: "fromExpression_example",
                      gcs: {
                        bucket: "bucket_example",
                        key: "key_example",
                        serviceAccountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      git: {
                        branch: "branch_example",
                        depth: 1,
                        disableSubmodules: true,
                        fetch: [
                          "fetch_example",
                        ],
                        insecureIgnoreHostKey: true,
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        repo: "repo_example",
                        revision: "revision_example",
                        singleBranch: true,
                        sshPrivateKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      globalName: "globalName_example",
                      hdfs: {
                        addresses: [
                          "addresses_example",
                        ],
                        force: true,
                        hdfsUser: "hdfsUser_example",
                        krbCCacheSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbConfigConfigMap: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbKeytabSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbRealm: "krbRealm_example",
                        krbServicePrincipalName: "krbServicePrincipalName_example",
                        krbUsername: "krbUsername_example",
                        path: "path_example",
                      },
                      http: {
                        auth: {
                          basicAuth: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          clientCert: {
                            clientCertSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          oauth2: {
                            clientIDSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientSecretSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            endpointParams: [
                              {
                                key: "key_example",
                                value: "value_example",
                              },
                            ],
                            scopes: [
                              "scopes_example",
                            ],
                            tokenURLSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                        },
                        headers: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        url: "url_example",
                      },
                      mode: 1,
                      name: "name_example",
                      optional: true,
                      oss: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: true,
                        endpoint: "endpoint_example",
                        key: "key_example",
                        lifecycleRule: {
                          markDeletionAfterDays: 1,
                          markInfrequentAccessAfterDays: 1,
                        },
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        securityToken: "securityToken_example",
                      },
                      path: "path_example",
                      raw: {
                        data: "data_example",
                      },
                      recurseMode: true,
                      s3: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: {
                          objectLocking: true,
                        },
                        encryptionOptions: {
                          enableEncryption: true,
                          kmsEncryptionContext: "kmsEncryptionContext_example",
                          kmsKeyId: "kmsKeyId_example",
                          serverSideCustomerKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        endpoint: "endpoint_example",
                        insecure: true,
                        key: "key_example",
                        region: "region_example",
                        roleARN: "roleARN_example",
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        useSDKCreds: true,
                      },
                      subPath: "subPath_example",
                    },
                  ],
                  parameters: [
                    {
                      _default: "_default_example",
                      description: "description_example",
                      _enum: [
                        "_enum_example",
                      ],
                      globalName: "globalName_example",
                      name: "name_example",
                      value: "value_example",
                      valueFrom: {
                        configMapKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        _default: "_default_example",
                        event: "event_example",
                        expression: "expression_example",
                        jqFilter: "jqFilter_example",
                        jsonPath: "jsonPath_example",
                        parameter: "parameter_example",
                        path: "path_example",
                        supplied: {},
                      },
                    },
                  ],
                },
                continueOn: {
                  error: true,
                  failed: true,
                },
                dependencies: [
                  "dependencies_example",
                ],
                depends: "depends_example",
                hooks: {
                  "key": {
                    arguments: {
                      artifacts: [
                        {
                          archive: {
                            none: {},
                            tar: {
                              compressionLevel: 1,
                            },
                            zip: {},
                          },
                          archiveLogs: true,
                          artifactGC: {
                            podMetadata: {
                              annotations: {
                                "key": "key_example",
                              },
                              labels: {
                                "key": "key_example",
                              },
                            },
                            serviceAccountName: "serviceAccountName_example",
                            strategy: "strategy_example",
                          },
                          artifactory: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            url: "url_example",
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          azure: {
                            accountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            blob: "blob_example",
                            container: "container_example",
                            endpoint: "endpoint_example",
                            useSDKCreds: true,
                          },
                          deleted: true,
                          _from: "_from_example",
                          fromExpression: "fromExpression_example",
                          gcs: {
                            bucket: "bucket_example",
                            key: "key_example",
                            serviceAccountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          git: {
                            branch: "branch_example",
                            depth: 1,
                            disableSubmodules: true,
                            fetch: [
                              "fetch_example",
                            ],
                            insecureIgnoreHostKey: true,
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            repo: "repo_example",
                            revision: "revision_example",
                            singleBranch: true,
                            sshPrivateKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          globalName: "globalName_example",
                          hdfs: {
                            addresses: [
                              "addresses_example",
                            ],
                            force: true,
                            hdfsUser: "hdfsUser_example",
                            krbCCacheSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbConfigConfigMap: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbKeytabSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbRealm: "krbRealm_example",
                            krbServicePrincipalName: "krbServicePrincipalName_example",
                            krbUsername: "krbUsername_example",
                            path: "path_example",
                          },
                          http: {
                            auth: {
                              basicAuth: {
                                passwordSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                usernameSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              clientCert: {
                                clientCertSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              oauth2: {
                                clientIDSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientSecretSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                endpointParams: [
                                  {
                                    key: "key_example",
                                    value: "value_example",
                                  },
                                ],
                                scopes: [
                                  "scopes_example",
                                ],
                                tokenURLSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                            },
                            headers: [
                              {
                                name: "name_example",
                                value: "value_example",
                              },
                            ],
                            url: "url_example",
                          },
                          mode: 1,
                          name: "name_example",
                          optional: true,
                          oss: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: true,
                            endpoint: "endpoint_example",
                            key: "key_example",
                            lifecycleRule: {
                              markDeletionAfterDays: 1,
                              markInfrequentAccessAfterDays: 1,
                            },
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            securityToken: "securityToken_example",
                          },
                          path: "path_example",
                          raw: {
                            data: "data_example",
                          },
                          recurseMode: true,
                          s3: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: {
                              objectLocking: true,
                            },
                            encryptionOptions: {
                              enableEncryption: true,
                              kmsEncryptionContext: "kmsEncryptionContext_example",
                              kmsKeyId: "kmsKeyId_example",
                              serverSideCustomerKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            endpoint: "endpoint_example",
                            insecure: true,
                            key: "key_example",
                            region: "region_example",
                            roleARN: "roleARN_example",
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            useSDKCreds: true,
                          },
                          subPath: "subPath_example",
                        },
                      ],
                      parameters: [
                        {
                          _default: "_default_example",
                          description: "description_example",
                          _enum: [
                            "_enum_example",
                          ],
                          globalName: "globalName_example",
                          name: "name_example",
                          value: "value_example",
                          valueFrom: {
                            configMapKeyRef: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            _default: "_default_example",
                            event: "event_example",
                            expression: "expression_example",
                            jqFilter: "jqFilter_example",
                            jsonPath: "jsonPath_example",
                            parameter: "parameter_example",
                            path: "path_example",
                            supplied: {},
                          },
                        },
                      ],
                    },
                    expression: "expression_example",
                    template: "template_example",
                    templateRef: {
                      clusterScope: true,
                      name: "name_example",
                      template: "template_example",
                    },
                  },
                },
                inline: ,
                name: "name_example",
                onExit: "onExit_example",
                template: "template_example",
                templateRef: {
                  clusterScope: true,
                  name: "name_example",
                  template: "template_example",
                },
                when: "when_example",
                withItems: [
                  {},
                ],
                withParam: "withParam_example",
                withSequence: {
                  count: "count_example",
                  end: "end_example",
                  format: "format_example",
                  start: "start_example",
                },
              },
            ],
          },
          data: {
            source: {
              artifactPaths: {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            },
            transformation: [
              {
                expression: "expression_example",
              },
            ],
          },
          executor: {
            serviceAccountName: "serviceAccountName_example",
          },
          failFast: true,
          hostAliases: [
            {
              hostnames: [
                "hostnames_example",
              ],
              ip: "ip_example",
            },
          ],
          http: {
            body: "body_example",
            bodyFrom: {
              bytes: 'YQ==',
            },
            headers: [
              {
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  secretKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
            ],
            insecureSkipVerify: true,
            method: "method_example",
            successCondition: "successCondition_example",
            timeoutSeconds: 1,
            url: "url_example",
          },
          initContainers: [
            {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "imagePullPolicy_example",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              mirrorVolumeMounts: true,
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "terminationMessagePolicy_example",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
          ],
          inputs: {
            artifacts: [
              {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            ],
            parameters: [
              {
                _default: "_default_example",
                description: "description_example",
                _enum: [
                  "_enum_example",
                ],
                globalName: "globalName_example",
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  _default: "_default_example",
                  event: "event_example",
                  expression: "expression_example",
                  jqFilter: "jqFilter_example",
                  jsonPath: "jsonPath_example",
                  parameter: "parameter_example",
                  path: "path_example",
                  supplied: {},
                },
              },
            ],
          },
          memoize: {
            cache: {
              configMap: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            key: "key_example",
            maxAge: "maxAge_example",
          },
          metadata: {
            annotations: {
              "key": "key_example",
            },
            labels: {
              "key": "key_example",
            },
          },
          metrics: {
            prometheus: [
              {
                counter: {
                  value: "value_example",
                },
                gauge: {
                  operation: "operation_example",
                  realtime: true,
                  value: "value_example",
                },
                help: "help_example",
                histogram: {
                  buckets: [
                    3.14,
                  ],
                  value: "value_example",
                },
                labels: [
                  {
                    key: "key_example",
                    value: "value_example",
                  },
                ],
                name: "name_example",
                when: "when_example",
              },
            ],
          },
          name: "name_example",
          nodeSelector: {
            "key": "key_example",
          },
          outputs: {
            artifacts: [
              {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            ],
            exitCode: "exitCode_example",
            parameters: [
              {
                _default: "_default_example",
                description: "description_example",
                _enum: [
                  "_enum_example",
                ],
                globalName: "globalName_example",
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  _default: "_default_example",
                  event: "event_example",
                  expression: "expression_example",
                  jqFilter: "jqFilter_example",
                  jsonPath: "jsonPath_example",
                  parameter: "parameter_example",
                  path: "path_example",
                  supplied: {},
                },
              },
            ],
            result: "result_example",
          },
          parallelism: 1,
          plugin: {},
          podSpecPatch: "podSpecPatch_example",
          priority: 1,
          priorityClassName: "priorityClassName_example",
          resource: {
            action: "action_example",
            failureCondition: "failureCondition_example",
            flags: [
              "flags_example",
            ],
            manifest: "manifest_example",
            manifestFrom: {
              artifact: {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            },
            mergeStrategy: "mergeStrategy_example",
            setOwnerReference: true,
            successCondition: "successCondition_example",
          },
          retryStrategy: {
            affinity: {
              nodeAntiAffinity: {},
            },
            backoff: {
              duration: "duration_example",
              factor: "factor_example",
              maxDuration: "maxDuration_example",
            },
            expression: "expression_example",
            limit: "limit_example",
            retryPolicy: "retryPolicy_example",
          },
          schedulerName: "schedulerName_example",
          script: {
            args: [
              "args_example",
            ],
            command: [
              "command_example",
            ],
            env: [
              {
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  fieldRef: {
                    apiVersion: "apiVersion_example",
                    fieldPath: "fieldPath_example",
                  },
                  resourceFieldRef: {
                    containerName: "containerName_example",
                    divisor: "divisor_example",
                    resource: "resource_example",
                  },
                  secretKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
            ],
            envFrom: [
              {
                configMapRef: {
                  name: "name_example",
                  optional: true,
                },
                prefix: "prefix_example",
                secretRef: {
                  name: "name_example",
                  optional: true,
                },
              },
            ],
            image: "image_example",
            imagePullPolicy: "imagePullPolicy_example",
            lifecycle: {
              postStart: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
              preStop: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
            },
            livenessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            name: "name_example",
            ports: [
              {
                containerPort: 1,
                hostIP: "hostIP_example",
                hostPort: 1,
                name: "name_example",
                protocol: "SCTP",
              },
            ],
            readinessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            resources: {
              limits: {
                "key": "key_example",
              },
              requests: {
                "key": "key_example",
              },
            },
            securityContext: {
              allowPrivilegeEscalation: true,
              capabilities: {
                add: [
                  "add_example",
                ],
                drop: [
                  "drop_example",
                ],
              },
              privileged: true,
              procMount: "procMount_example",
              readOnlyRootFilesystem: true,
              runAsGroup: 1,
              runAsNonRoot: true,
              runAsUser: 1,
              seLinuxOptions: {
                level: "level_example",
                role: "role_example",
                type: "type_example",
                user: "user_example",
              },
              seccompProfile: {
                localhostProfile: "localhostProfile_example",
                type: "Localhost",
              },
              windowsOptions: {
                gmsaCredentialSpec: "gmsaCredentialSpec_example",
                gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                hostProcess: true,
                runAsUserName: "runAsUserName_example",
              },
            },
            source: "source_example",
            startupProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            stdin: true,
            stdinOnce: true,
            terminationMessagePath: "terminationMessagePath_example",
            terminationMessagePolicy: "terminationMessagePolicy_example",
            tty: true,
            volumeDevices: [
              {
                devicePath: "devicePath_example",
                name: "name_example",
              },
            ],
            volumeMounts: [
              {
                mountPath: "mountPath_example",
                mountPropagation: "mountPropagation_example",
                name: "name_example",
                readOnly: true,
                subPath: "subPath_example",
                subPathExpr: "subPathExpr_example",
              },
            ],
            workingDir: "workingDir_example",
          },
          securityContext: {
            fsGroup: 1,
            fsGroupChangePolicy: "fsGroupChangePolicy_example",
            runAsGroup: 1,
            runAsNonRoot: true,
            runAsUser: 1,
            seLinuxOptions: {
              level: "level_example",
              role: "role_example",
              type: "type_example",
              user: "user_example",
            },
            seccompProfile: {
              localhostProfile: "localhostProfile_example",
              type: "Localhost",
            },
            supplementalGroups: [
              1,
            ],
            sysctls: [
              {
                name: "name_example",
                value: "value_example",
              },
            ],
            windowsOptions: {
              gmsaCredentialSpec: "gmsaCredentialSpec_example",
              gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
              hostProcess: true,
              runAsUserName: "runAsUserName_example",
            },
          },
          serviceAccountName: "serviceAccountName_example",
          sidecars: [
            {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "imagePullPolicy_example",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              mirrorVolumeMounts: true,
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "terminationMessagePolicy_example",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
          ],
          steps: [
            [
              {
                arguments: {
                  artifacts: [
                    {
                      archive: {
                        none: {},
                        tar: {
                          compressionLevel: 1,
                        },
                        zip: {},
                      },
                      archiveLogs: true,
                      artifactGC: {
                        podMetadata: {
                          annotations: {
                            "key": "key_example",
                          },
                          labels: {
                            "key": "key_example",
                          },
                        },
                        serviceAccountName: "serviceAccountName_example",
                        strategy: "strategy_example",
                      },
                      artifactory: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        url: "url_example",
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      azure: {
                        accountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        blob: "blob_example",
                        container: "container_example",
                        endpoint: "endpoint_example",
                        useSDKCreds: true,
                      },
                      deleted: true,
                      _from: "_from_example",
                      fromExpression: "fromExpression_example",
                      gcs: {
                        bucket: "bucket_example",
                        key: "key_example",
                        serviceAccountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      git: {
                        branch: "branch_example",
                        depth: 1,
                        disableSubmodules: true,
                        fetch: [
                          "fetch_example",
                        ],
                        insecureIgnoreHostKey: true,
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        repo: "repo_example",
                        revision: "revision_example",
                        singleBranch: true,
                        sshPrivateKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      globalName: "globalName_example",
                      hdfs: {
                        addresses: [
                          "addresses_example",
                        ],
                        force: true,
                        hdfsUser: "hdfsUser_example",
                        krbCCacheSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbConfigConfigMap: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbKeytabSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbRealm: "krbRealm_example",
                        krbServicePrincipalName: "krbServicePrincipalName_example",
                        krbUsername: "krbUsername_example",
                        path: "path_example",
                      },
                      http: {
                        auth: {
                          basicAuth: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          clientCert: {
                            clientCertSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          oauth2: {
                            clientIDSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientSecretSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            endpointParams: [
                              {
                                key: "key_example",
                                value: "value_example",
                              },
                            ],
                            scopes: [
                              "scopes_example",
                            ],
                            tokenURLSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                        },
                        headers: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        url: "url_example",
                      },
                      mode: 1,
                      name: "name_example",
                      optional: true,
                      oss: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: true,
                        endpoint: "endpoint_example",
                        key: "key_example",
                        lifecycleRule: {
                          markDeletionAfterDays: 1,
                          markInfrequentAccessAfterDays: 1,
                        },
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        securityToken: "securityToken_example",
                      },
                      path: "path_example",
                      raw: {
                        data: "data_example",
                      },
                      recurseMode: true,
                      s3: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: {
                          objectLocking: true,
                        },
                        encryptionOptions: {
                          enableEncryption: true,
                          kmsEncryptionContext: "kmsEncryptionContext_example",
                          kmsKeyId: "kmsKeyId_example",
                          serverSideCustomerKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        endpoint: "endpoint_example",
                        insecure: true,
                        key: "key_example",
                        region: "region_example",
                        roleARN: "roleARN_example",
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        useSDKCreds: true,
                      },
                      subPath: "subPath_example",
                    },
                  ],
                  parameters: [
                    {
                      _default: "_default_example",
                      description: "description_example",
                      _enum: [
                        "_enum_example",
                      ],
                      globalName: "globalName_example",
                      name: "name_example",
                      value: "value_example",
                      valueFrom: {
                        configMapKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        _default: "_default_example",
                        event: "event_example",
                        expression: "expression_example",
                        jqFilter: "jqFilter_example",
                        jsonPath: "jsonPath_example",
                        parameter: "parameter_example",
                        path: "path_example",
                        supplied: {},
                      },
                    },
                  ],
                },
                continueOn: {
                  error: true,
                  failed: true,
                },
                hooks: {
                  "key": {
                    arguments: {
                      artifacts: [
                        {
                          archive: {
                            none: {},
                            tar: {
                              compressionLevel: 1,
                            },
                            zip: {},
                          },
                          archiveLogs: true,
                          artifactGC: {
                            podMetadata: {
                              annotations: {
                                "key": "key_example",
                              },
                              labels: {
                                "key": "key_example",
                              },
                            },
                            serviceAccountName: "serviceAccountName_example",
                            strategy: "strategy_example",
                          },
                          artifactory: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            url: "url_example",
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          azure: {
                            accountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            blob: "blob_example",
                            container: "container_example",
                            endpoint: "endpoint_example",
                            useSDKCreds: true,
                          },
                          deleted: true,
                          _from: "_from_example",
                          fromExpression: "fromExpression_example",
                          gcs: {
                            bucket: "bucket_example",
                            key: "key_example",
                            serviceAccountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          git: {
                            branch: "branch_example",
                            depth: 1,
                            disableSubmodules: true,
                            fetch: [
                              "fetch_example",
                            ],
                            insecureIgnoreHostKey: true,
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            repo: "repo_example",
                            revision: "revision_example",
                            singleBranch: true,
                            sshPrivateKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          globalName: "globalName_example",
                          hdfs: {
                            addresses: [
                              "addresses_example",
                            ],
                            force: true,
                            hdfsUser: "hdfsUser_example",
                            krbCCacheSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbConfigConfigMap: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbKeytabSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbRealm: "krbRealm_example",
                            krbServicePrincipalName: "krbServicePrincipalName_example",
                            krbUsername: "krbUsername_example",
                            path: "path_example",
                          },
                          http: {
                            auth: {
                              basicAuth: {
                                passwordSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                usernameSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              clientCert: {
                                clientCertSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              oauth2: {
                                clientIDSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientSecretSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                endpointParams: [
                                  {
                                    key: "key_example",
                                    value: "value_example",
                                  },
                                ],
                                scopes: [
                                  "scopes_example",
                                ],
                                tokenURLSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                            },
                            headers: [
                              {
                                name: "name_example",
                                value: "value_example",
                              },
                            ],
                            url: "url_example",
                          },
                          mode: 1,
                          name: "name_example",
                          optional: true,
                          oss: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: true,
                            endpoint: "endpoint_example",
                            key: "key_example",
                            lifecycleRule: {
                              markDeletionAfterDays: 1,
                              markInfrequentAccessAfterDays: 1,
                            },
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            securityToken: "securityToken_example",
                          },
                          path: "path_example",
                          raw: {
                            data: "data_example",
                          },
                          recurseMode: true,
                          s3: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: {
                              objectLocking: true,
                            },
                            encryptionOptions: {
                              enableEncryption: true,
                              kmsEncryptionContext: "kmsEncryptionContext_example",
                              kmsKeyId: "kmsKeyId_example",
                              serverSideCustomerKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            endpoint: "endpoint_example",
                            insecure: true,
                            key: "key_example",
                            region: "region_example",
                            roleARN: "roleARN_example",
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            useSDKCreds: true,
                          },
                          subPath: "subPath_example",
                        },
                      ],
                      parameters: [
                        {
                          _default: "_default_example",
                          description: "description_example",
                          _enum: [
                            "_enum_example",
                          ],
                          globalName: "globalName_example",
                          name: "name_example",
                          value: "value_example",
                          valueFrom: {
                            configMapKeyRef: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            _default: "_default_example",
                            event: "event_example",
                            expression: "expression_example",
                            jqFilter: "jqFilter_example",
                            jsonPath: "jsonPath_example",
                            parameter: "parameter_example",
                            path: "path_example",
                            supplied: {},
                          },
                        },
                      ],
                    },
                    expression: "expression_example",
                    template: "template_example",
                    templateRef: {
                      clusterScope: true,
                      name: "name_example",
                      template: "template_example",
                    },
                  },
                },
                inline: ,
                name: "name_example",
                onExit: "onExit_example",
                template: "template_example",
                templateRef: {
                  clusterScope: true,
                  name: "name_example",
                  template: "template_example",
                },
                when: "when_example",
                withItems: [
                  {},
                ],
                withParam: "withParam_example",
                withSequence: {
                  count: "count_example",
                  end: "end_example",
                  format: "format_example",
                  start: "start_example",
                },
              },
            ],
          ],
          suspend: {
            duration: "duration_example",
          },
          synchronization: {
            mutex: {
              name: "name_example",
              namespace: "namespace_example",
            },
            semaphore: {
              configMapKeyRef: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              namespace: "namespace_example",
            },
          },
          timeout: "timeout_example",
          tolerations: [
            {
              effect: "NoExecute",
              key: "key_example",
              operator: "Equal",
              tolerationSeconds: 1,
              value: "value_example",
            },
          ],
          volumes: [
            {
              awsElasticBlockStore: {
                fsType: "fsType_example",
                partition: 1,
                readOnly: true,
                volumeID: "volumeID_example",
              },
              azureDisk: {
                cachingMode: "cachingMode_example",
                diskName: "diskName_example",
                diskURI: "diskURI_example",
                fsType: "fsType_example",
                kind: "kind_example",
                readOnly: true,
              },
              azureFile: {
                readOnly: true,
                secretName: "secretName_example",
                shareName: "shareName_example",
              },
              cephfs: {
                monitors: [
                  "monitors_example",
                ],
                path: "path_example",
                readOnly: true,
                secretFile: "secretFile_example",
                secretRef: {
                  name: "name_example",
                },
                user: "user_example",
              },
              cinder: {
                fsType: "fsType_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                volumeID: "volumeID_example",
              },
              configMap: {
                defaultMode: 1,
                items: [
                  {
                    key: "key_example",
                    mode: 1,
                    path: "path_example",
                  },
                ],
                name: "name_example",
                optional: true,
              },
              csi: {
                driver: "driver_example",
                fsType: "fsType_example",
                nodePublishSecretRef: {
                  name: "name_example",
                },
                readOnly: true,
                volumeAttributes: {
                  "key": "key_example",
                },
              },
              downwardAPI: {
                defaultMode: 1,
                items: [
                  {
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    mode: 1,
                    path: "path_example",
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                  },
                ],
              },
              emptyDir: {
                medium: "medium_example",
                sizeLimit: "sizeLimit_example",
              },
              ephemeral: {
                volumeClaimTemplate: {
                  metadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    clusterName: "clusterName_example",
                    creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                    deletionGracePeriodSeconds: 1,
                    deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                    finalizers: [
                      "finalizers_example",
                    ],
                    generateName: "generateName_example",
                    generation: 1,
                    labels: {
                      "key": "key_example",
                    },
                    managedFields: [
                      {
                        apiVersion: "apiVersion_example",
                        fieldsType: "fieldsType_example",
                        fieldsV1: {},
                        manager: "manager_example",
                        operation: "operation_example",
                        subresource: "subresource_example",
                        time: new Date('1970-01-01T00:00:00.00Z'),
                      },
                    ],
                    name: "name_example",
                    namespace: "namespace_example",
                    ownerReferences: [
                      {
                        apiVersion: "apiVersion_example",
                        blockOwnerDeletion: true,
                        controller: true,
                        kind: "kind_example",
                        name: "name_example",
                        uid: "uid_example",
                      },
                    ],
                    resourceVersion: "resourceVersion_example",
                    selfLink: "selfLink_example",
                    uid: "uid_example",
                  },
                  spec: {
                    accessModes: [
                      "accessModes_example",
                    ],
                    dataSource: {
                      apiGroup: "apiGroup_example",
                      kind: "kind_example",
                      name: "name_example",
                    },
                    dataSourceRef: {
                      apiGroup: "apiGroup_example",
                      kind: "kind_example",
                      name: "name_example",
                    },
                    resources: {
                      limits: {
                        "key": "key_example",
                      },
                      requests: {
                        "key": "key_example",
                      },
                    },
                    selector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    storageClassName: "storageClassName_example",
                    volumeMode: "volumeMode_example",
                    volumeName: "volumeName_example",
                  },
                },
              },
              fc: {
                fsType: "fsType_example",
                lun: 1,
                readOnly: true,
                targetWWNs: [
                  "targetWWNs_example",
                ],
                wwids: [
                  "wwids_example",
                ],
              },
              flexVolume: {
                driver: "driver_example",
                fsType: "fsType_example",
                options: {
                  "key": "key_example",
                },
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
              },
              flocker: {
                datasetName: "datasetName_example",
                datasetUUID: "datasetUUID_example",
              },
              gcePersistentDisk: {
                fsType: "fsType_example",
                partition: 1,
                pdName: "pdName_example",
                readOnly: true,
              },
              gitRepo: {
                directory: "directory_example",
                repository: "repository_example",
                revision: "revision_example",
              },
              glusterfs: {
                endpoints: "endpoints_example",
                path: "path_example",
                readOnly: true,
              },
              hostPath: {
                path: "path_example",
                type: "type_example",
              },
              iscsi: {
                chapAuthDiscovery: true,
                chapAuthSession: true,
                fsType: "fsType_example",
                initiatorName: "initiatorName_example",
                iqn: "iqn_example",
                iscsiInterface: "iscsiInterface_example",
                lun: 1,
                portals: [
                  "portals_example",
                ],
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                targetPortal: "targetPortal_example",
              },
              name: "name_example",
              nfs: {
                path: "path_example",
                readOnly: true,
                server: "server_example",
              },
              persistentVolumeClaim: {
                claimName: "claimName_example",
                readOnly: true,
              },
              photonPersistentDisk: {
                fsType: "fsType_example",
                pdID: "pdID_example",
              },
              portworxVolume: {
                fsType: "fsType_example",
                readOnly: true,
                volumeID: "volumeID_example",
              },
              projected: {
                defaultMode: 1,
                sources: [
                  {
                    configMap: {
                      items: [
                        {
                          key: "key_example",
                          mode: 1,
                          path: "path_example",
                        },
                      ],
                      name: "name_example",
                      optional: true,
                    },
                    downwardAPI: {
                      items: [
                        {
                          fieldRef: {
                            apiVersion: "apiVersion_example",
                            fieldPath: "fieldPath_example",
                          },
                          mode: 1,
                          path: "path_example",
                          resourceFieldRef: {
                            containerName: "containerName_example",
                            divisor: "divisor_example",
                            resource: "resource_example",
                          },
                        },
                      ],
                    },
                    secret: {
                      items: [
                        {
                          key: "key_example",
                          mode: 1,
                          path: "path_example",
                        },
                      ],
                      name: "name_example",
                      optional: true,
                    },
                    serviceAccountToken: {
                      audience: "audience_example",
                      expirationSeconds: 1,
                      path: "path_example",
                    },
                  },
                ],
              },
              quobyte: {
                group: "group_example",
                readOnly: true,
                registry: "registry_example",
                tenant: "tenant_example",
                user: "user_example",
                volume: "volume_example",
              },
              rbd: {
                fsType: "fsType_example",
                image: "image_example",
                keyring: "keyring_example",
                monitors: [
                  "monitors_example",
                ],
                pool: "pool_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                user: "user_example",
              },
              scaleIO: {
                fsType: "fsType_example",
                gateway: "gateway_example",
                protectionDomain: "protectionDomain_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                sslEnabled: true,
                storageMode: "storageMode_example",
                storagePool: "storagePool_example",
                system: "system_example",
                volumeName: "volumeName_example",
              },
              secret: {
                defaultMode: 1,
                items: [
                  {
                    key: "key_example",
                    mode: 1,
                    path: "path_example",
                  },
                ],
                optional: true,
                secretName: "secretName_example",
              },
              storageos: {
                fsType: "fsType_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                volumeName: "volumeName_example",
                volumeNamespace: "volumeNamespace_example",
              },
              vsphereVolume: {
                fsType: "fsType_example",
                storagePolicyID: "storagePolicyID_example",
                storagePolicyName: "storagePolicyName_example",
                volumePath: "volumePath_example",
              },
            },
          ],
        },
        templates: [
          {
            activeDeadlineSeconds: "activeDeadlineSeconds_example",
            affinity: {
              nodeAffinity: {
                preferredDuringSchedulingIgnoredDuringExecution: [
                  {
                    preference: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchFields: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                    },
                    weight: 1,
                  },
                ],
                requiredDuringSchedulingIgnoredDuringExecution: {
                  nodeSelectorTerms: [
                    {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchFields: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                    },
                  ],
                },
              },
              podAffinity: {
                preferredDuringSchedulingIgnoredDuringExecution: [
                  {
                    podAffinityTerm: {
                      labelSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaceSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaces: [
                        "namespaces_example",
                      ],
                      topologyKey: "topologyKey_example",
                    },
                    weight: 1,
                  },
                ],
                requiredDuringSchedulingIgnoredDuringExecution: [
                  {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                ],
              },
              podAntiAffinity: {
                preferredDuringSchedulingIgnoredDuringExecution: [
                  {
                    podAffinityTerm: {
                      labelSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaceSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaces: [
                        "namespaces_example",
                      ],
                      topologyKey: "topologyKey_example",
                    },
                    weight: 1,
                  },
                ],
                requiredDuringSchedulingIgnoredDuringExecution: [
                  {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                ],
              },
            },
            archiveLocation: {
              archiveLogs: true,
              artifactory: {
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                url: "url_example",
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              azure: {
                accountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                blob: "blob_example",
                container: "container_example",
                endpoint: "endpoint_example",
                useSDKCreds: true,
              },
              gcs: {
                bucket: "bucket_example",
                key: "key_example",
                serviceAccountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              git: {
                branch: "branch_example",
                depth: 1,
                disableSubmodules: true,
                fetch: [
                  "fetch_example",
                ],
                insecureIgnoreHostKey: true,
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                repo: "repo_example",
                revision: "revision_example",
                singleBranch: true,
                sshPrivateKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              hdfs: {
                addresses: [
                  "addresses_example",
                ],
                force: true,
                hdfsUser: "hdfsUser_example",
                krbCCacheSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbConfigConfigMap: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbKeytabSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbRealm: "krbRealm_example",
                krbServicePrincipalName: "krbServicePrincipalName_example",
                krbUsername: "krbUsername_example",
                path: "path_example",
              },
              http: {
                auth: {
                  basicAuth: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  clientCert: {
                    clientCertSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  oauth2: {
                    clientIDSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientSecretSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    endpointParams: [
                      {
                        key: "key_example",
                        value: "value_example",
                      },
                    ],
                    scopes: [
                      "scopes_example",
                    ],
                    tokenURLSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
                headers: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                url: "url_example",
              },
              oss: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: true,
                endpoint: "endpoint_example",
                key: "key_example",
                lifecycleRule: {
                  markDeletionAfterDays: 1,
                  markInfrequentAccessAfterDays: 1,
                },
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                securityToken: "securityToken_example",
              },
              raw: {
                data: "data_example",
              },
              s3: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: {
                  objectLocking: true,
                },
                encryptionOptions: {
                  enableEncryption: true,
                  kmsEncryptionContext: "kmsEncryptionContext_example",
                  kmsKeyId: "kmsKeyId_example",
                  serverSideCustomerKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                endpoint: "endpoint_example",
                insecure: true,
                key: "key_example",
                region: "region_example",
                roleARN: "roleARN_example",
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                useSDKCreds: true,
              },
            },
            automountServiceAccountToken: true,
            container: {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "Always",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "FallbackToLogsOnError",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
            containerSet: {
              containers: [
                {
                  args: [
                    "args_example",
                  ],
                  command: [
                    "command_example",
                  ],
                  dependencies: [
                    "dependencies_example",
                  ],
                  env: [
                    {
                      name: "name_example",
                      value: "value_example",
                      valueFrom: {
                        configMapKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        fieldRef: {
                          apiVersion: "apiVersion_example",
                          fieldPath: "fieldPath_example",
                        },
                        resourceFieldRef: {
                          containerName: "containerName_example",
                          divisor: "divisor_example",
                          resource: "resource_example",
                        },
                        secretKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                  ],
                  envFrom: [
                    {
                      configMapRef: {
                        name: "name_example",
                        optional: true,
                      },
                      prefix: "prefix_example",
                      secretRef: {
                        name: "name_example",
                        optional: true,
                      },
                    },
                  ],
                  image: "image_example",
                  imagePullPolicy: "imagePullPolicy_example",
                  lifecycle: {
                    postStart: {
                      exec: {
                        command: [
                          "command_example",
                        ],
                      },
                      httpGet: {
                        host: "host_example",
                        httpHeaders: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        path: "path_example",
                        port: "port_example",
                        scheme: "HTTP",
                      },
                      tcpSocket: {
                        host: "host_example",
                        port: "port_example",
                      },
                    },
                    preStop: {
                      exec: {
                        command: [
                          "command_example",
                        ],
                      },
                      httpGet: {
                        host: "host_example",
                        httpHeaders: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        path: "path_example",
                        port: "port_example",
                        scheme: "HTTP",
                      },
                      tcpSocket: {
                        host: "host_example",
                        port: "port_example",
                      },
                    },
                  },
                  livenessProbe: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    failureThreshold: 1,
                    grpc: {
                      port: 1,
                      service: "service_example",
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    initialDelaySeconds: 1,
                    periodSeconds: 1,
                    successThreshold: 1,
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                    terminationGracePeriodSeconds: 1,
                    timeoutSeconds: 1,
                  },
                  name: "name_example",
                  ports: [
                    {
                      containerPort: 1,
                      hostIP: "hostIP_example",
                      hostPort: 1,
                      name: "name_example",
                      protocol: "SCTP",
                    },
                  ],
                  readinessProbe: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    failureThreshold: 1,
                    grpc: {
                      port: 1,
                      service: "service_example",
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    initialDelaySeconds: 1,
                    periodSeconds: 1,
                    successThreshold: 1,
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                    terminationGracePeriodSeconds: 1,
                    timeoutSeconds: 1,
                  },
                  resources: {
                    limits: {
                      "key": "key_example",
                    },
                    requests: {
                      "key": "key_example",
                    },
                  },
                  securityContext: {
                    allowPrivilegeEscalation: true,
                    capabilities: {
                      add: [
                        "add_example",
                      ],
                      drop: [
                        "drop_example",
                      ],
                    },
                    privileged: true,
                    procMount: "procMount_example",
                    readOnlyRootFilesystem: true,
                    runAsGroup: 1,
                    runAsNonRoot: true,
                    runAsUser: 1,
                    seLinuxOptions: {
                      level: "level_example",
                      role: "role_example",
                      type: "type_example",
                      user: "user_example",
                    },
                    seccompProfile: {
                      localhostProfile: "localhostProfile_example",
                      type: "Localhost",
                    },
                    windowsOptions: {
                      gmsaCredentialSpec: "gmsaCredentialSpec_example",
                      gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                      hostProcess: true,
                      runAsUserName: "runAsUserName_example",
                    },
                  },
                  startupProbe: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    failureThreshold: 1,
                    grpc: {
                      port: 1,
                      service: "service_example",
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    initialDelaySeconds: 1,
                    periodSeconds: 1,
                    successThreshold: 1,
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                    terminationGracePeriodSeconds: 1,
                    timeoutSeconds: 1,
                  },
                  stdin: true,
                  stdinOnce: true,
                  terminationMessagePath: "terminationMessagePath_example",
                  terminationMessagePolicy: "terminationMessagePolicy_example",
                  tty: true,
                  volumeDevices: [
                    {
                      devicePath: "devicePath_example",
                      name: "name_example",
                    },
                  ],
                  volumeMounts: [
                    {
                      mountPath: "mountPath_example",
                      mountPropagation: "mountPropagation_example",
                      name: "name_example",
                      readOnly: true,
                      subPath: "subPath_example",
                      subPathExpr: "subPathExpr_example",
                    },
                  ],
                  workingDir: "workingDir_example",
                },
              ],
              retryStrategy: {
                duration: "duration_example",
                retries: "retries_example",
              },
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
            },
            daemon: true,
            dag: {
              failFast: true,
              target: "target_example",
              tasks: [
                {
                  arguments: {
                    artifacts: [
                      {
                        archive: {
                          none: {},
                          tar: {
                            compressionLevel: 1,
                          },
                          zip: {},
                        },
                        archiveLogs: true,
                        artifactGC: {
                          podMetadata: {
                            annotations: {
                              "key": "key_example",
                            },
                            labels: {
                              "key": "key_example",
                            },
                          },
                          serviceAccountName: "serviceAccountName_example",
                          strategy: "strategy_example",
                        },
                        artifactory: {
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          url: "url_example",
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        azure: {
                          accountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          blob: "blob_example",
                          container: "container_example",
                          endpoint: "endpoint_example",
                          useSDKCreds: true,
                        },
                        deleted: true,
                        _from: "_from_example",
                        fromExpression: "fromExpression_example",
                        gcs: {
                          bucket: "bucket_example",
                          key: "key_example",
                          serviceAccountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        git: {
                          branch: "branch_example",
                          depth: 1,
                          disableSubmodules: true,
                          fetch: [
                            "fetch_example",
                          ],
                          insecureIgnoreHostKey: true,
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          repo: "repo_example",
                          revision: "revision_example",
                          singleBranch: true,
                          sshPrivateKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        globalName: "globalName_example",
                        hdfs: {
                          addresses: [
                            "addresses_example",
                          ],
                          force: true,
                          hdfsUser: "hdfsUser_example",
                          krbCCacheSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbConfigConfigMap: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbKeytabSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbRealm: "krbRealm_example",
                          krbServicePrincipalName: "krbServicePrincipalName_example",
                          krbUsername: "krbUsername_example",
                          path: "path_example",
                        },
                        http: {
                          auth: {
                            basicAuth: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            clientCert: {
                              clientCertSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            oauth2: {
                              clientIDSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientSecretSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              endpointParams: [
                                {
                                  key: "key_example",
                                  value: "value_example",
                                },
                              ],
                              scopes: [
                                "scopes_example",
                              ],
                              tokenURLSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                          },
                          headers: [
                            {
                              name: "name_example",
                              value: "value_example",
                            },
                          ],
                          url: "url_example",
                        },
                        mode: 1,
                        name: "name_example",
                        optional: true,
                        oss: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: true,
                          endpoint: "endpoint_example",
                          key: "key_example",
                          lifecycleRule: {
                            markDeletionAfterDays: 1,
                            markInfrequentAccessAfterDays: 1,
                          },
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          securityToken: "securityToken_example",
                        },
                        path: "path_example",
                        raw: {
                          data: "data_example",
                        },
                        recurseMode: true,
                        s3: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: {
                            objectLocking: true,
                          },
                          encryptionOptions: {
                            enableEncryption: true,
                            kmsEncryptionContext: "kmsEncryptionContext_example",
                            kmsKeyId: "kmsKeyId_example",
                            serverSideCustomerKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          endpoint: "endpoint_example",
                          insecure: true,
                          key: "key_example",
                          region: "region_example",
                          roleARN: "roleARN_example",
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          useSDKCreds: true,
                        },
                        subPath: "subPath_example",
                      },
                    ],
                    parameters: [
                      {
                        _default: "_default_example",
                        description: "description_example",
                        _enum: [
                          "_enum_example",
                        ],
                        globalName: "globalName_example",
                        name: "name_example",
                        value: "value_example",
                        valueFrom: {
                          configMapKeyRef: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          _default: "_default_example",
                          event: "event_example",
                          expression: "expression_example",
                          jqFilter: "jqFilter_example",
                          jsonPath: "jsonPath_example",
                          parameter: "parameter_example",
                          path: "path_example",
                          supplied: {},
                        },
                      },
                    ],
                  },
                  continueOn: {
                    error: true,
                    failed: true,
                  },
                  dependencies: [
                    "dependencies_example",
                  ],
                  depends: "depends_example",
                  hooks: {
                    "key": {
                      arguments: {
                        artifacts: [
                          {
                            archive: {
                              none: {},
                              tar: {
                                compressionLevel: 1,
                              },
                              zip: {},
                            },
                            archiveLogs: true,
                            artifactGC: {
                              podMetadata: {
                                annotations: {
                                  "key": "key_example",
                                },
                                labels: {
                                  "key": "key_example",
                                },
                              },
                              serviceAccountName: "serviceAccountName_example",
                              strategy: "strategy_example",
                            },
                            artifactory: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              url: "url_example",
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            azure: {
                              accountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              blob: "blob_example",
                              container: "container_example",
                              endpoint: "endpoint_example",
                              useSDKCreds: true,
                            },
                            deleted: true,
                            _from: "_from_example",
                            fromExpression: "fromExpression_example",
                            gcs: {
                              bucket: "bucket_example",
                              key: "key_example",
                              serviceAccountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            git: {
                              branch: "branch_example",
                              depth: 1,
                              disableSubmodules: true,
                              fetch: [
                                "fetch_example",
                              ],
                              insecureIgnoreHostKey: true,
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              repo: "repo_example",
                              revision: "revision_example",
                              singleBranch: true,
                              sshPrivateKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            globalName: "globalName_example",
                            hdfs: {
                              addresses: [
                                "addresses_example",
                              ],
                              force: true,
                              hdfsUser: "hdfsUser_example",
                              krbCCacheSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbConfigConfigMap: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbKeytabSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbRealm: "krbRealm_example",
                              krbServicePrincipalName: "krbServicePrincipalName_example",
                              krbUsername: "krbUsername_example",
                              path: "path_example",
                            },
                            http: {
                              auth: {
                                basicAuth: {
                                  passwordSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  usernameSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                clientCert: {
                                  clientCertSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientKeySecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                oauth2: {
                                  clientIDSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientSecretSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  endpointParams: [
                                    {
                                      key: "key_example",
                                      value: "value_example",
                                    },
                                  ],
                                  scopes: [
                                    "scopes_example",
                                  ],
                                  tokenURLSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                              },
                              headers: [
                                {
                                  name: "name_example",
                                  value: "value_example",
                                },
                              ],
                              url: "url_example",
                            },
                            mode: 1,
                            name: "name_example",
                            optional: true,
                            oss: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: true,
                              endpoint: "endpoint_example",
                              key: "key_example",
                              lifecycleRule: {
                                markDeletionAfterDays: 1,
                                markInfrequentAccessAfterDays: 1,
                              },
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              securityToken: "securityToken_example",
                            },
                            path: "path_example",
                            raw: {
                              data: "data_example",
                            },
                            recurseMode: true,
                            s3: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: {
                                objectLocking: true,
                              },
                              encryptionOptions: {
                                enableEncryption: true,
                                kmsEncryptionContext: "kmsEncryptionContext_example",
                                kmsKeyId: "kmsKeyId_example",
                                serverSideCustomerKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              endpoint: "endpoint_example",
                              insecure: true,
                              key: "key_example",
                              region: "region_example",
                              roleARN: "roleARN_example",
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              useSDKCreds: true,
                            },
                            subPath: "subPath_example",
                          },
                        ],
                        parameters: [
                          {
                            _default: "_default_example",
                            description: "description_example",
                            _enum: [
                              "_enum_example",
                            ],
                            globalName: "globalName_example",
                            name: "name_example",
                            value: "value_example",
                            valueFrom: {
                              configMapKeyRef: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              _default: "_default_example",
                              event: "event_example",
                              expression: "expression_example",
                              jqFilter: "jqFilter_example",
                              jsonPath: "jsonPath_example",
                              parameter: "parameter_example",
                              path: "path_example",
                              supplied: {},
                            },
                          },
                        ],
                      },
                      expression: "expression_example",
                      template: "template_example",
                      templateRef: {
                        clusterScope: true,
                        name: "name_example",
                        template: "template_example",
                      },
                    },
                  },
                  inline: ,
                  name: "name_example",
                  onExit: "onExit_example",
                  template: "template_example",
                  templateRef: {
                    clusterScope: true,
                    name: "name_example",
                    template: "template_example",
                  },
                  when: "when_example",
                  withItems: [
                    {},
                  ],
                  withParam: "withParam_example",
                  withSequence: {
                    count: "count_example",
                    end: "end_example",
                    format: "format_example",
                    start: "start_example",
                  },
                },
              ],
            },
            data: {
              source: {
                artifactPaths: {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              },
              transformation: [
                {
                  expression: "expression_example",
                },
              ],
            },
            executor: {
              serviceAccountName: "serviceAccountName_example",
            },
            failFast: true,
            hostAliases: [
              {
                hostnames: [
                  "hostnames_example",
                ],
                ip: "ip_example",
              },
            ],
            http: {
              body: "body_example",
              bodyFrom: {
                bytes: 'YQ==',
              },
              headers: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              insecureSkipVerify: true,
              method: "method_example",
              successCondition: "successCondition_example",
              timeoutSeconds: 1,
              url: "url_example",
            },
            initContainers: [
              {
                args: [
                  "args_example",
                ],
                command: [
                  "command_example",
                ],
                env: [
                  {
                    name: "name_example",
                    value: "value_example",
                    valueFrom: {
                      configMapKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                      secretKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                ],
                envFrom: [
                  {
                    configMapRef: {
                      name: "name_example",
                      optional: true,
                    },
                    prefix: "prefix_example",
                    secretRef: {
                      name: "name_example",
                      optional: true,
                    },
                  },
                ],
                image: "image_example",
                imagePullPolicy: "imagePullPolicy_example",
                lifecycle: {
                  postStart: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                  preStop: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                },
                livenessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                mirrorVolumeMounts: true,
                name: "name_example",
                ports: [
                  {
                    containerPort: 1,
                    hostIP: "hostIP_example",
                    hostPort: 1,
                    name: "name_example",
                    protocol: "SCTP",
                  },
                ],
                readinessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                resources: {
                  limits: {
                    "key": "key_example",
                  },
                  requests: {
                    "key": "key_example",
                  },
                },
                securityContext: {
                  allowPrivilegeEscalation: true,
                  capabilities: {
                    add: [
                      "add_example",
                    ],
                    drop: [
                      "drop_example",
                    ],
                  },
                  privileged: true,
                  procMount: "procMount_example",
                  readOnlyRootFilesystem: true,
                  runAsGroup: 1,
                  runAsNonRoot: true,
                  runAsUser: 1,
                  seLinuxOptions: {
                    level: "level_example",
                    role: "role_example",
                    type: "type_example",
                    user: "user_example",
                  },
                  seccompProfile: {
                    localhostProfile: "localhostProfile_example",
                    type: "Localhost",
                  },
                  windowsOptions: {
                    gmsaCredentialSpec: "gmsaCredentialSpec_example",
                    gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                    hostProcess: true,
                    runAsUserName: "runAsUserName_example",
                  },
                },
                startupProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                stdin: true,
                stdinOnce: true,
                terminationMessagePath: "terminationMessagePath_example",
                terminationMessagePolicy: "terminationMessagePolicy_example",
                tty: true,
                volumeDevices: [
                  {
                    devicePath: "devicePath_example",
                    name: "name_example",
                  },
                ],
                volumeMounts: [
                  {
                    mountPath: "mountPath_example",
                    mountPropagation: "mountPropagation_example",
                    name: "name_example",
                    readOnly: true,
                    subPath: "subPath_example",
                    subPathExpr: "subPathExpr_example",
                  },
                ],
                workingDir: "workingDir_example",
              },
            ],
            inputs: {
              artifacts: [
                {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              ],
              parameters: [
                {
                  _default: "_default_example",
                  description: "description_example",
                  _enum: [
                    "_enum_example",
                  ],
                  globalName: "globalName_example",
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    _default: "_default_example",
                    event: "event_example",
                    expression: "expression_example",
                    jqFilter: "jqFilter_example",
                    jsonPath: "jsonPath_example",
                    parameter: "parameter_example",
                    path: "path_example",
                    supplied: {},
                  },
                },
              ],
            },
            memoize: {
              cache: {
                configMap: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              key: "key_example",
              maxAge: "maxAge_example",
            },
            metadata: {
              annotations: {
                "key": "key_example",
              },
              labels: {
                "key": "key_example",
              },
            },
            metrics: {
              prometheus: [
                {
                  counter: {
                    value: "value_example",
                  },
                  gauge: {
                    operation: "operation_example",
                    realtime: true,
                    value: "value_example",
                  },
                  help: "help_example",
                  histogram: {
                    buckets: [
                      3.14,
                    ],
                    value: "value_example",
                  },
                  labels: [
                    {
                      key: "key_example",
                      value: "value_example",
                    },
                  ],
                  name: "name_example",
                  when: "when_example",
                },
              ],
            },
            name: "name_example",
            nodeSelector: {
              "key": "key_example",
            },
            outputs: {
              artifacts: [
                {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              ],
              exitCode: "exitCode_example",
              parameters: [
                {
                  _default: "_default_example",
                  description: "description_example",
                  _enum: [
                    "_enum_example",
                  ],
                  globalName: "globalName_example",
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    _default: "_default_example",
                    event: "event_example",
                    expression: "expression_example",
                    jqFilter: "jqFilter_example",
                    jsonPath: "jsonPath_example",
                    parameter: "parameter_example",
                    path: "path_example",
                    supplied: {},
                  },
                },
              ],
              result: "result_example",
            },
            parallelism: 1,
            plugin: {},
            podSpecPatch: "podSpecPatch_example",
            priority: 1,
            priorityClassName: "priorityClassName_example",
            resource: {
              action: "action_example",
              failureCondition: "failureCondition_example",
              flags: [
                "flags_example",
              ],
              manifest: "manifest_example",
              manifestFrom: {
                artifact: {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              },
              mergeStrategy: "mergeStrategy_example",
              setOwnerReference: true,
              successCondition: "successCondition_example",
            },
            retryStrategy: {
              affinity: {
                nodeAntiAffinity: {},
              },
              backoff: {
                duration: "duration_example",
                factor: "factor_example",
                maxDuration: "maxDuration_example",
              },
              expression: "expression_example",
              limit: "limit_example",
              retryPolicy: "retryPolicy_example",
            },
            schedulerName: "schedulerName_example",
            script: {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "imagePullPolicy_example",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              source: "source_example",
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "terminationMessagePolicy_example",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
            securityContext: {
              fsGroup: 1,
              fsGroupChangePolicy: "fsGroupChangePolicy_example",
              runAsGroup: 1,
              runAsNonRoot: true,
              runAsUser: 1,
              seLinuxOptions: {
                level: "level_example",
                role: "role_example",
                type: "type_example",
                user: "user_example",
              },
              seccompProfile: {
                localhostProfile: "localhostProfile_example",
                type: "Localhost",
              },
              supplementalGroups: [
                1,
              ],
              sysctls: [
                {
                  name: "name_example",
                  value: "value_example",
                },
              ],
              windowsOptions: {
                gmsaCredentialSpec: "gmsaCredentialSpec_example",
                gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                hostProcess: true,
                runAsUserName: "runAsUserName_example",
              },
            },
            serviceAccountName: "serviceAccountName_example",
            sidecars: [
              {
                args: [
                  "args_example",
                ],
                command: [
                  "command_example",
                ],
                env: [
                  {
                    name: "name_example",
                    value: "value_example",
                    valueFrom: {
                      configMapKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                      secretKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                ],
                envFrom: [
                  {
                    configMapRef: {
                      name: "name_example",
                      optional: true,
                    },
                    prefix: "prefix_example",
                    secretRef: {
                      name: "name_example",
                      optional: true,
                    },
                  },
                ],
                image: "image_example",
                imagePullPolicy: "imagePullPolicy_example",
                lifecycle: {
                  postStart: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                  preStop: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                },
                livenessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                mirrorVolumeMounts: true,
                name: "name_example",
                ports: [
                  {
                    containerPort: 1,
                    hostIP: "hostIP_example",
                    hostPort: 1,
                    name: "name_example",
                    protocol: "SCTP",
                  },
                ],
                readinessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                resources: {
                  limits: {
                    "key": "key_example",
                  },
                  requests: {
                    "key": "key_example",
                  },
                },
                securityContext: {
                  allowPrivilegeEscalation: true,
                  capabilities: {
                    add: [
                      "add_example",
                    ],
                    drop: [
                      "drop_example",
                    ],
                  },
                  privileged: true,
                  procMount: "procMount_example",
                  readOnlyRootFilesystem: true,
                  runAsGroup: 1,
                  runAsNonRoot: true,
                  runAsUser: 1,
                  seLinuxOptions: {
                    level: "level_example",
                    role: "role_example",
                    type: "type_example",
                    user: "user_example",
                  },
                  seccompProfile: {
                    localhostProfile: "localhostProfile_example",
                    type: "Localhost",
                  },
                  windowsOptions: {
                    gmsaCredentialSpec: "gmsaCredentialSpec_example",
                    gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                    hostProcess: true,
                    runAsUserName: "runAsUserName_example",
                  },
                },
                startupProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                stdin: true,
                stdinOnce: true,
                terminationMessagePath: "terminationMessagePath_example",
                terminationMessagePolicy: "terminationMessagePolicy_example",
                tty: true,
                volumeDevices: [
                  {
                    devicePath: "devicePath_example",
                    name: "name_example",
                  },
                ],
                volumeMounts: [
                  {
                    mountPath: "mountPath_example",
                    mountPropagation: "mountPropagation_example",
                    name: "name_example",
                    readOnly: true,
                    subPath: "subPath_example",
                    subPathExpr: "subPathExpr_example",
                  },
                ],
                workingDir: "workingDir_example",
              },
            ],
            steps: [
              [
                {
                  arguments: {
                    artifacts: [
                      {
                        archive: {
                          none: {},
                          tar: {
                            compressionLevel: 1,
                          },
                          zip: {},
                        },
                        archiveLogs: true,
                        artifactGC: {
                          podMetadata: {
                            annotations: {
                              "key": "key_example",
                            },
                            labels: {
                              "key": "key_example",
                            },
                          },
                          serviceAccountName: "serviceAccountName_example",
                          strategy: "strategy_example",
                        },
                        artifactory: {
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          url: "url_example",
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        azure: {
                          accountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          blob: "blob_example",
                          container: "container_example",
                          endpoint: "endpoint_example",
                          useSDKCreds: true,
                        },
                        deleted: true,
                        _from: "_from_example",
                        fromExpression: "fromExpression_example",
                        gcs: {
                          bucket: "bucket_example",
                          key: "key_example",
                          serviceAccountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        git: {
                          branch: "branch_example",
                          depth: 1,
                          disableSubmodules: true,
                          fetch: [
                            "fetch_example",
                          ],
                          insecureIgnoreHostKey: true,
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          repo: "repo_example",
                          revision: "revision_example",
                          singleBranch: true,
                          sshPrivateKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        globalName: "globalName_example",
                        hdfs: {
                          addresses: [
                            "addresses_example",
                          ],
                          force: true,
                          hdfsUser: "hdfsUser_example",
                          krbCCacheSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbConfigConfigMap: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbKeytabSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbRealm: "krbRealm_example",
                          krbServicePrincipalName: "krbServicePrincipalName_example",
                          krbUsername: "krbUsername_example",
                          path: "path_example",
                        },
                        http: {
                          auth: {
                            basicAuth: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            clientCert: {
                              clientCertSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            oauth2: {
                              clientIDSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientSecretSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              endpointParams: [
                                {
                                  key: "key_example",
                                  value: "value_example",
                                },
                              ],
                              scopes: [
                                "scopes_example",
                              ],
                              tokenURLSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                          },
                          headers: [
                            {
                              name: "name_example",
                              value: "value_example",
                            },
                          ],
                          url: "url_example",
                        },
                        mode: 1,
                        name: "name_example",
                        optional: true,
                        oss: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: true,
                          endpoint: "endpoint_example",
                          key: "key_example",
                          lifecycleRule: {
                            markDeletionAfterDays: 1,
                            markInfrequentAccessAfterDays: 1,
                          },
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          securityToken: "securityToken_example",
                        },
                        path: "path_example",
                        raw: {
                          data: "data_example",
                        },
                        recurseMode: true,
                        s3: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: {
                            objectLocking: true,
                          },
                          encryptionOptions: {
                            enableEncryption: true,
                            kmsEncryptionContext: "kmsEncryptionContext_example",
                            kmsKeyId: "kmsKeyId_example",
                            serverSideCustomerKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          endpoint: "endpoint_example",
                          insecure: true,
                          key: "key_example",
                          region: "region_example",
                          roleARN: "roleARN_example",
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          useSDKCreds: true,
                        },
                        subPath: "subPath_example",
                      },
                    ],
                    parameters: [
                      {
                        _default: "_default_example",
                        description: "description_example",
                        _enum: [
                          "_enum_example",
                        ],
                        globalName: "globalName_example",
                        name: "name_example",
                        value: "value_example",
                        valueFrom: {
                          configMapKeyRef: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          _default: "_default_example",
                          event: "event_example",
                          expression: "expression_example",
                          jqFilter: "jqFilter_example",
                          jsonPath: "jsonPath_example",
                          parameter: "parameter_example",
                          path: "path_example",
                          supplied: {},
                        },
                      },
                    ],
                  },
                  continueOn: {
                    error: true,
                    failed: true,
                  },
                  hooks: {
                    "key": {
                      arguments: {
                        artifacts: [
                          {
                            archive: {
                              none: {},
                              tar: {
                                compressionLevel: 1,
                              },
                              zip: {},
                            },
                            archiveLogs: true,
                            artifactGC: {
                              podMetadata: {
                                annotations: {
                                  "key": "key_example",
                                },
                                labels: {
                                  "key": "key_example",
                                },
                              },
                              serviceAccountName: "serviceAccountName_example",
                              strategy: "strategy_example",
                            },
                            artifactory: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              url: "url_example",
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            azure: {
                              accountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              blob: "blob_example",
                              container: "container_example",
                              endpoint: "endpoint_example",
                              useSDKCreds: true,
                            },
                            deleted: true,
                            _from: "_from_example",
                            fromExpression: "fromExpression_example",
                            gcs: {
                              bucket: "bucket_example",
                              key: "key_example",
                              serviceAccountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            git: {
                              branch: "branch_example",
                              depth: 1,
                              disableSubmodules: true,
                              fetch: [
                                "fetch_example",
                              ],
                              insecureIgnoreHostKey: true,
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              repo: "repo_example",
                              revision: "revision_example",
                              singleBranch: true,
                              sshPrivateKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            globalName: "globalName_example",
                            hdfs: {
                              addresses: [
                                "addresses_example",
                              ],
                              force: true,
                              hdfsUser: "hdfsUser_example",
                              krbCCacheSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbConfigConfigMap: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbKeytabSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbRealm: "krbRealm_example",
                              krbServicePrincipalName: "krbServicePrincipalName_example",
                              krbUsername: "krbUsername_example",
                              path: "path_example",
                            },
                            http: {
                              auth: {
                                basicAuth: {
                                  passwordSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  usernameSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                clientCert: {
                                  clientCertSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientKeySecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                oauth2: {
                                  clientIDSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientSecretSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  endpointParams: [
                                    {
                                      key: "key_example",
                                      value: "value_example",
                                    },
                                  ],
                                  scopes: [
                                    "scopes_example",
                                  ],
                                  tokenURLSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                              },
                              headers: [
                                {
                                  name: "name_example",
                                  value: "value_example",
                                },
                              ],
                              url: "url_example",
                            },
                            mode: 1,
                            name: "name_example",
                            optional: true,
                            oss: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: true,
                              endpoint: "endpoint_example",
                              key: "key_example",
                              lifecycleRule: {
                                markDeletionAfterDays: 1,
                                markInfrequentAccessAfterDays: 1,
                              },
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              securityToken: "securityToken_example",
                            },
                            path: "path_example",
                            raw: {
                              data: "data_example",
                            },
                            recurseMode: true,
                            s3: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: {
                                objectLocking: true,
                              },
                              encryptionOptions: {
                                enableEncryption: true,
                                kmsEncryptionContext: "kmsEncryptionContext_example",
                                kmsKeyId: "kmsKeyId_example",
                                serverSideCustomerKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              endpoint: "endpoint_example",
                              insecure: true,
                              key: "key_example",
                              region: "region_example",
                              roleARN: "roleARN_example",
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              useSDKCreds: true,
                            },
                            subPath: "subPath_example",
                          },
                        ],
                        parameters: [
                          {
                            _default: "_default_example",
                            description: "description_example",
                            _enum: [
                              "_enum_example",
                            ],
                            globalName: "globalName_example",
                            name: "name_example",
                            value: "value_example",
                            valueFrom: {
                              configMapKeyRef: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              _default: "_default_example",
                              event: "event_example",
                              expression: "expression_example",
                              jqFilter: "jqFilter_example",
                              jsonPath: "jsonPath_example",
                              parameter: "parameter_example",
                              path: "path_example",
                              supplied: {},
                            },
                          },
                        ],
                      },
                      expression: "expression_example",
                      template: "template_example",
                      templateRef: {
                        clusterScope: true,
                        name: "name_example",
                        template: "template_example",
                      },
                    },
                  },
                  inline: ,
                  name: "name_example",
                  onExit: "onExit_example",
                  template: "template_example",
                  templateRef: {
                    clusterScope: true,
                    name: "name_example",
                    template: "template_example",
                  },
                  when: "when_example",
                  withItems: [
                    {},
                  ],
                  withParam: "withParam_example",
                  withSequence: {
                    count: "count_example",
                    end: "end_example",
                    format: "format_example",
                    start: "start_example",
                  },
                },
              ],
            ],
            suspend: {
              duration: "duration_example",
            },
            synchronization: {
              mutex: {
                name: "name_example",
                namespace: "namespace_example",
              },
              semaphore: {
                configMapKeyRef: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                namespace: "namespace_example",
              },
            },
            timeout: "timeout_example",
            tolerations: [
              {
                effect: "NoExecute",
                key: "key_example",
                operator: "Equal",
                tolerationSeconds: 1,
                value: "value_example",
              },
            ],
            volumes: [
              {
                awsElasticBlockStore: {
                  fsType: "fsType_example",
                  partition: 1,
                  readOnly: true,
                  volumeID: "volumeID_example",
                },
                azureDisk: {
                  cachingMode: "cachingMode_example",
                  diskName: "diskName_example",
                  diskURI: "diskURI_example",
                  fsType: "fsType_example",
                  kind: "kind_example",
                  readOnly: true,
                },
                azureFile: {
                  readOnly: true,
                  secretName: "secretName_example",
                  shareName: "shareName_example",
                },
                cephfs: {
                  monitors: [
                    "monitors_example",
                  ],
                  path: "path_example",
                  readOnly: true,
                  secretFile: "secretFile_example",
                  secretRef: {
                    name: "name_example",
                  },
                  user: "user_example",
                },
                cinder: {
                  fsType: "fsType_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  volumeID: "volumeID_example",
                },
                configMap: {
                  defaultMode: 1,
                  items: [
                    {
                      key: "key_example",
                      mode: 1,
                      path: "path_example",
                    },
                  ],
                  name: "name_example",
                  optional: true,
                },
                csi: {
                  driver: "driver_example",
                  fsType: "fsType_example",
                  nodePublishSecretRef: {
                    name: "name_example",
                  },
                  readOnly: true,
                  volumeAttributes: {
                    "key": "key_example",
                  },
                },
                downwardAPI: {
                  defaultMode: 1,
                  items: [
                    {
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      mode: 1,
                      path: "path_example",
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                    },
                  ],
                },
                emptyDir: {
                  medium: "medium_example",
                  sizeLimit: "sizeLimit_example",
                },
                ephemeral: {
                  volumeClaimTemplate: {
                    metadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      clusterName: "clusterName_example",
                      creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                      deletionGracePeriodSeconds: 1,
                      deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                      finalizers: [
                        "finalizers_example",
                      ],
                      generateName: "generateName_example",
                      generation: 1,
                      labels: {
                        "key": "key_example",
                      },
                      managedFields: [
                        {
                          apiVersion: "apiVersion_example",
                          fieldsType: "fieldsType_example",
                          fieldsV1: {},
                          manager: "manager_example",
                          operation: "operation_example",
                          subresource: "subresource_example",
                          time: new Date('1970-01-01T00:00:00.00Z'),
                        },
                      ],
                      name: "name_example",
                      namespace: "namespace_example",
                      ownerReferences: [
                        {
                          apiVersion: "apiVersion_example",
                          blockOwnerDeletion: true,
                          controller: true,
                          kind: "kind_example",
                          name: "name_example",
                          uid: "uid_example",
                        },
                      ],
                      resourceVersion: "resourceVersion_example",
                      selfLink: "selfLink_example",
                      uid: "uid_example",
                    },
                    spec: {
                      accessModes: [
                        "accessModes_example",
                      ],
                      dataSource: {
                        apiGroup: "apiGroup_example",
                        kind: "kind_example",
                        name: "name_example",
                      },
                      dataSourceRef: {
                        apiGroup: "apiGroup_example",
                        kind: "kind_example",
                        name: "name_example",
                      },
                      resources: {
                        limits: {
                          "key": "key_example",
                        },
                        requests: {
                          "key": "key_example",
                        },
                      },
                      selector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      storageClassName: "storageClassName_example",
                      volumeMode: "volumeMode_example",
                      volumeName: "volumeName_example",
                    },
                  },
                },
                fc: {
                  fsType: "fsType_example",
                  lun: 1,
                  readOnly: true,
                  targetWWNs: [
                    "targetWWNs_example",
                  ],
                  wwids: [
                    "wwids_example",
                  ],
                },
                flexVolume: {
                  driver: "driver_example",
                  fsType: "fsType_example",
                  options: {
                    "key": "key_example",
                  },
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                },
                flocker: {
                  datasetName: "datasetName_example",
                  datasetUUID: "datasetUUID_example",
                },
                gcePersistentDisk: {
                  fsType: "fsType_example",
                  partition: 1,
                  pdName: "pdName_example",
                  readOnly: true,
                },
                gitRepo: {
                  directory: "directory_example",
                  repository: "repository_example",
                  revision: "revision_example",
                },
                glusterfs: {
                  endpoints: "endpoints_example",
                  path: "path_example",
                  readOnly: true,
                },
                hostPath: {
                  path: "path_example",
                  type: "type_example",
                },
                iscsi: {
                  chapAuthDiscovery: true,
                  chapAuthSession: true,
                  fsType: "fsType_example",
                  initiatorName: "initiatorName_example",
                  iqn: "iqn_example",
                  iscsiInterface: "iscsiInterface_example",
                  lun: 1,
                  portals: [
                    "portals_example",
                  ],
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  targetPortal: "targetPortal_example",
                },
                name: "name_example",
                nfs: {
                  path: "path_example",
                  readOnly: true,
                  server: "server_example",
                },
                persistentVolumeClaim: {
                  claimName: "claimName_example",
                  readOnly: true,
                },
                photonPersistentDisk: {
                  fsType: "fsType_example",
                  pdID: "pdID_example",
                },
                portworxVolume: {
                  fsType: "fsType_example",
                  readOnly: true,
                  volumeID: "volumeID_example",
                },
                projected: {
                  defaultMode: 1,
                  sources: [
                    {
                      configMap: {
                        items: [
                          {
                            key: "key_example",
                            mode: 1,
                            path: "path_example",
                          },
                        ],
                        name: "name_example",
                        optional: true,
                      },
                      downwardAPI: {
                        items: [
                          {
                            fieldRef: {
                              apiVersion: "apiVersion_example",
                              fieldPath: "fieldPath_example",
                            },
                            mode: 1,
                            path: "path_example",
                            resourceFieldRef: {
                              containerName: "containerName_example",
                              divisor: "divisor_example",
                              resource: "resource_example",
                            },
                          },
                        ],
                      },
                      secret: {
                        items: [
                          {
                            key: "key_example",
                            mode: 1,
                            path: "path_example",
                          },
                        ],
                        name: "name_example",
                        optional: true,
                      },
                      serviceAccountToken: {
                        audience: "audience_example",
                        expirationSeconds: 1,
                        path: "path_example",
                      },
                    },
                  ],
                },
                quobyte: {
                  group: "group_example",
                  readOnly: true,
                  registry: "registry_example",
                  tenant: "tenant_example",
                  user: "user_example",
                  volume: "volume_example",
                },
                rbd: {
                  fsType: "fsType_example",
                  image: "image_example",
                  keyring: "keyring_example",
                  monitors: [
                    "monitors_example",
                  ],
                  pool: "pool_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  user: "user_example",
                },
                scaleIO: {
                  fsType: "fsType_example",
                  gateway: "gateway_example",
                  protectionDomain: "protectionDomain_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  sslEnabled: true,
                  storageMode: "storageMode_example",
                  storagePool: "storagePool_example",
                  system: "system_example",
                  volumeName: "volumeName_example",
                },
                secret: {
                  defaultMode: 1,
                  items: [
                    {
                      key: "key_example",
                      mode: 1,
                      path: "path_example",
                    },
                  ],
                  optional: true,
                  secretName: "secretName_example",
                },
                storageos: {
                  fsType: "fsType_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  volumeName: "volumeName_example",
                  volumeNamespace: "volumeNamespace_example",
                },
                vsphereVolume: {
                  fsType: "fsType_example",
                  storagePolicyID: "storagePolicyID_example",
                  storagePolicyName: "storagePolicyName_example",
                  volumePath: "volumePath_example",
                },
              },
            ],
          },
        ],
        tolerations: [
          {
            effect: "NoExecute",
            key: "key_example",
            operator: "Equal",
            tolerationSeconds: 1,
            value: "value_example",
          },
        ],
        ttlStrategy: {
          secondsAfterCompletion: 1,
          secondsAfterFailure: 1,
          secondsAfterSuccess: 1,
        },
        volumeClaimGC: {
          strategy: "strategy_example",
        },
        volumeClaimTemplates: [
          {
            apiVersion: "apiVersion_example",
            kind: "kind_example",
            metadata: {
              annotations: {
                "key": "key_example",
              },
              clusterName: "clusterName_example",
              creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
              deletionGracePeriodSeconds: 1,
              deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
              finalizers: [
                "finalizers_example",
              ],
              generateName: "generateName_example",
              generation: 1,
              labels: {
                "key": "key_example",
              },
              managedFields: [
                {
                  apiVersion: "apiVersion_example",
                  fieldsType: "fieldsType_example",
                  fieldsV1: {},
                  manager: "manager_example",
                  operation: "operation_example",
                  subresource: "subresource_example",
                  time: new Date('1970-01-01T00:00:00.00Z'),
                },
              ],
              name: "name_example",
              namespace: "namespace_example",
              ownerReferences: [
                {
                  apiVersion: "apiVersion_example",
                  blockOwnerDeletion: true,
                  controller: true,
                  kind: "kind_example",
                  name: "name_example",
                  uid: "uid_example",
                },
              ],
              resourceVersion: "resourceVersion_example",
              selfLink: "selfLink_example",
              uid: "uid_example",
            },
            spec: {
              accessModes: [
                "accessModes_example",
              ],
              dataSource: {
                apiGroup: "apiGroup_example",
                kind: "kind_example",
                name: "name_example",
              },
              dataSourceRef: {
                apiGroup: "apiGroup_example",
                kind: "kind_example",
                name: "name_example",
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              selector: {
                matchExpressions: [
                  {
                    key: "key_example",
                    operator: "operator_example",
                    values: [
                      "values_example",
                    ],
                  },
                ],
                matchLabels: {
                  "key": "key_example",
                },
              },
              storageClassName: "storageClassName_example",
              volumeMode: "volumeMode_example",
              volumeName: "volumeName_example",
            },
            status: {
              accessModes: [
                "accessModes_example",
              ],
              allocatedResources: {
                "key": "key_example",
              },
              capacity: {
                "key": "key_example",
              },
              conditions: [
                {
                  lastProbeTime: new Date('1970-01-01T00:00:00.00Z'),
                  lastTransitionTime: new Date('1970-01-01T00:00:00.00Z'),
                  message: "message_example",
                  reason: "reason_example",
                  status: "status_example",
                  type: "FileSystemResizePending",
                },
              ],
              phase: "Bound",
              resizeStatus: "resizeStatus_example",
            },
          },
        ],
        volumes: [
          {
            awsElasticBlockStore: {
              fsType: "fsType_example",
              partition: 1,
              readOnly: true,
              volumeID: "volumeID_example",
            },
            azureDisk: {
              cachingMode: "cachingMode_example",
              diskName: "diskName_example",
              diskURI: "diskURI_example",
              fsType: "fsType_example",
              kind: "kind_example",
              readOnly: true,
            },
            azureFile: {
              readOnly: true,
              secretName: "secretName_example",
              shareName: "shareName_example",
            },
            cephfs: {
              monitors: [
                "monitors_example",
              ],
              path: "path_example",
              readOnly: true,
              secretFile: "secretFile_example",
              secretRef: {
                name: "name_example",
              },
              user: "user_example",
            },
            cinder: {
              fsType: "fsType_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              volumeID: "volumeID_example",
            },
            configMap: {
              defaultMode: 1,
              items: [
                {
                  key: "key_example",
                  mode: 1,
                  path: "path_example",
                },
              ],
              name: "name_example",
              optional: true,
            },
            csi: {
              driver: "driver_example",
              fsType: "fsType_example",
              nodePublishSecretRef: {
                name: "name_example",
              },
              readOnly: true,
              volumeAttributes: {
                "key": "key_example",
              },
            },
            downwardAPI: {
              defaultMode: 1,
              items: [
                {
                  fieldRef: {
                    apiVersion: "apiVersion_example",
                    fieldPath: "fieldPath_example",
                  },
                  mode: 1,
                  path: "path_example",
                  resourceFieldRef: {
                    containerName: "containerName_example",
                    divisor: "divisor_example",
                    resource: "resource_example",
                  },
                },
              ],
            },
            emptyDir: {
              medium: "medium_example",
              sizeLimit: "sizeLimit_example",
            },
            ephemeral: {
              volumeClaimTemplate: {
                metadata: {
                  annotations: {
                    "key": "key_example",
                  },
                  clusterName: "clusterName_example",
                  creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                  deletionGracePeriodSeconds: 1,
                  deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                  finalizers: [
                    "finalizers_example",
                  ],
                  generateName: "generateName_example",
                  generation: 1,
                  labels: {
                    "key": "key_example",
                  },
                  managedFields: [
                    {
                      apiVersion: "apiVersion_example",
                      fieldsType: "fieldsType_example",
                      fieldsV1: {},
                      manager: "manager_example",
                      operation: "operation_example",
                      subresource: "subresource_example",
                      time: new Date('1970-01-01T00:00:00.00Z'),
                    },
                  ],
                  name: "name_example",
                  namespace: "namespace_example",
                  ownerReferences: [
                    {
                      apiVersion: "apiVersion_example",
                      blockOwnerDeletion: true,
                      controller: true,
                      kind: "kind_example",
                      name: "name_example",
                      uid: "uid_example",
                    },
                  ],
                  resourceVersion: "resourceVersion_example",
                  selfLink: "selfLink_example",
                  uid: "uid_example",
                },
                spec: {
                  accessModes: [
                    "accessModes_example",
                  ],
                  dataSource: {
                    apiGroup: "apiGroup_example",
                    kind: "kind_example",
                    name: "name_example",
                  },
                  dataSourceRef: {
                    apiGroup: "apiGroup_example",
                    kind: "kind_example",
                    name: "name_example",
                  },
                  resources: {
                    limits: {
                      "key": "key_example",
                    },
                    requests: {
                      "key": "key_example",
                    },
                  },
                  selector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  storageClassName: "storageClassName_example",
                  volumeMode: "volumeMode_example",
                  volumeName: "volumeName_example",
                },
              },
            },
            fc: {
              fsType: "fsType_example",
              lun: 1,
              readOnly: true,
              targetWWNs: [
                "targetWWNs_example",
              ],
              wwids: [
                "wwids_example",
              ],
            },
            flexVolume: {
              driver: "driver_example",
              fsType: "fsType_example",
              options: {
                "key": "key_example",
              },
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
            },
            flocker: {
              datasetName: "datasetName_example",
              datasetUUID: "datasetUUID_example",
            },
            gcePersistentDisk: {
              fsType: "fsType_example",
              partition: 1,
              pdName: "pdName_example",
              readOnly: true,
            },
            gitRepo: {
              directory: "directory_example",
              repository: "repository_example",
              revision: "revision_example",
            },
            glusterfs: {
              endpoints: "endpoints_example",
              path: "path_example",
              readOnly: true,
            },
            hostPath: {
              path: "path_example",
              type: "type_example",
            },
            iscsi: {
              chapAuthDiscovery: true,
              chapAuthSession: true,
              fsType: "fsType_example",
              initiatorName: "initiatorName_example",
              iqn: "iqn_example",
              iscsiInterface: "iscsiInterface_example",
              lun: 1,
              portals: [
                "portals_example",
              ],
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              targetPortal: "targetPortal_example",
            },
            name: "name_example",
            nfs: {
              path: "path_example",
              readOnly: true,
              server: "server_example",
            },
            persistentVolumeClaim: {
              claimName: "claimName_example",
              readOnly: true,
            },
            photonPersistentDisk: {
              fsType: "fsType_example",
              pdID: "pdID_example",
            },
            portworxVolume: {
              fsType: "fsType_example",
              readOnly: true,
              volumeID: "volumeID_example",
            },
            projected: {
              defaultMode: 1,
              sources: [
                {
                  configMap: {
                    items: [
                      {
                        key: "key_example",
                        mode: 1,
                        path: "path_example",
                      },
                    ],
                    name: "name_example",
                    optional: true,
                  },
                  downwardAPI: {
                    items: [
                      {
                        fieldRef: {
                          apiVersion: "apiVersion_example",
                          fieldPath: "fieldPath_example",
                        },
                        mode: 1,
                        path: "path_example",
                        resourceFieldRef: {
                          containerName: "containerName_example",
                          divisor: "divisor_example",
                          resource: "resource_example",
                        },
                      },
                    ],
                  },
                  secret: {
                    items: [
                      {
                        key: "key_example",
                        mode: 1,
                        path: "path_example",
                      },
                    ],
                    name: "name_example",
                    optional: true,
                  },
                  serviceAccountToken: {
                    audience: "audience_example",
                    expirationSeconds: 1,
                    path: "path_example",
                  },
                },
              ],
            },
            quobyte: {
              group: "group_example",
              readOnly: true,
              registry: "registry_example",
              tenant: "tenant_example",
              user: "user_example",
              volume: "volume_example",
            },
            rbd: {
              fsType: "fsType_example",
              image: "image_example",
              keyring: "keyring_example",
              monitors: [
                "monitors_example",
              ],
              pool: "pool_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              user: "user_example",
            },
            scaleIO: {
              fsType: "fsType_example",
              gateway: "gateway_example",
              protectionDomain: "protectionDomain_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              sslEnabled: true,
              storageMode: "storageMode_example",
              storagePool: "storagePool_example",
              system: "system_example",
              volumeName: "volumeName_example",
            },
            secret: {
              defaultMode: 1,
              items: [
                {
                  key: "key_example",
                  mode: 1,
                  path: "path_example",
                },
              ],
              optional: true,
              secretName: "secretName_example",
            },
            storageos: {
              fsType: "fsType_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              volumeName: "volumeName_example",
              volumeNamespace: "volumeNamespace_example",
            },
            vsphereVolume: {
              fsType: "fsType_example",
              storagePolicyID: "storagePolicyID_example",
              storagePolicyName: "storagePolicyName_example",
              volumePath: "volumePath_example",
            },
          },
        ],
        workflowMetadata: {
          annotations: {
            "key": "key_example",
          },
          labels: {
            "key": "key_example",
          },
          labelsFrom: {
            "key": {
              expression: "expression_example",
            },
          },
        },
        workflowTemplateRef: {
          clusterScope: true,
          name: "name_example",
        },
      },
    },
  },
};

apiInstance.workflowTemplateServiceCreateWorkflowTemplate(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | **IoArgoprojWorkflowV1alpha1WorkflowTemplateCreateRequest**|  |
 **namespace** | [**string**] |  | defaults to undefined


### Return type

**IoArgoprojWorkflowV1alpha1WorkflowTemplate**

### Authorization

[BearerToken](README.md#BearerToken)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | A successful response. |  -  |
**0** | An unexpected error response. |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)

# **workflowTemplateServiceDeleteWorkflowTemplate**
> any workflowTemplateServiceDeleteWorkflowTemplate()


### Example


```typescript
import {  } from '';
import * as fs from 'fs';

const configuration = .createConfiguration();
const apiInstance = new .WorkflowTemplateServiceApi(configuration);

let body:.WorkflowTemplateServiceApiWorkflowTemplateServiceDeleteWorkflowTemplateRequest = {
  // string
  namespace: "namespace_example",
  // string
  name: "name_example",
  // string | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. +optional. (optional)
  deleteOptionsGracePeriodSeconds: "deleteOptions.gracePeriodSeconds_example",
  // string | Specifies the target UID. +optional. (optional)
  deleteOptionsPreconditionsUid: "deleteOptions.preconditions.uid_example",
  // string | Specifies the target ResourceVersion +optional. (optional)
  deleteOptionsPreconditionsResourceVersion: "deleteOptions.preconditions.resourceVersion_example",
  // boolean | Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the \"orphan\" finalizer will be added to/removed from the object\'s finalizers list. Either this field or PropagationPolicy may be set, but not both. +optional. (optional)
  deleteOptionsOrphanDependents: true,
  // string | Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: \'Orphan\' - orphan the dependents; \'Background\' - allow the garbage collector to delete the dependents in the background; \'Foreground\' - a cascading policy that deletes all dependents in the foreground. +optional. (optional)
  deleteOptionsPropagationPolicy: "deleteOptions.propagationPolicy_example",
  // Array<string> | When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed +optional. (optional)
  deleteOptionsDryRun: [
    "deleteOptions.dryRun_example",
  ],
};

apiInstance.workflowTemplateServiceDeleteWorkflowTemplate(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **namespace** | [**string**] |  | defaults to undefined
 **name** | [**string**] |  | defaults to undefined
 **deleteOptionsGracePeriodSeconds** | [**string**] | The duration in seconds before the object should be deleted. Value must be non-negative integer. The value zero indicates delete immediately. If this value is nil, the default grace period for the specified type will be used. Defaults to a per object value if not specified. zero means delete immediately. +optional. | (optional) defaults to undefined
 **deleteOptionsPreconditionsUid** | [**string**] | Specifies the target UID. +optional. | (optional) defaults to undefined
 **deleteOptionsPreconditionsResourceVersion** | [**string**] | Specifies the target ResourceVersion +optional. | (optional) defaults to undefined
 **deleteOptionsOrphanDependents** | [**boolean**] | Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should the dependent objects be orphaned. If true/false, the \&quot;orphan\&quot; finalizer will be added to/removed from the object\&#39;s finalizers list. Either this field or PropagationPolicy may be set, but not both. +optional. | (optional) defaults to undefined
 **deleteOptionsPropagationPolicy** | [**string**] | Whether and how garbage collection will be performed. Either this field or OrphanDependents may be set, but not both. The default policy is decided by the existing finalizer set in the metadata.finalizers and the resource-specific default policy. Acceptable values are: \&#39;Orphan\&#39; - orphan the dependents; \&#39;Background\&#39; - allow the garbage collector to delete the dependents in the background; \&#39;Foreground\&#39; - a cascading policy that deletes all dependents in the foreground. +optional. | (optional) defaults to undefined
 **deleteOptionsDryRun** | **Array&lt;string&gt;** | When present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed +optional. | (optional) defaults to undefined


### Return type

**any**

### Authorization

[BearerToken](README.md#BearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | A successful response. |  -  |
**0** | An unexpected error response. |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)

# **workflowTemplateServiceGetWorkflowTemplate**
> IoArgoprojWorkflowV1alpha1WorkflowTemplate workflowTemplateServiceGetWorkflowTemplate()


### Example


```typescript
import {  } from '';
import * as fs from 'fs';

const configuration = .createConfiguration();
const apiInstance = new .WorkflowTemplateServiceApi(configuration);

let body:.WorkflowTemplateServiceApiWorkflowTemplateServiceGetWorkflowTemplateRequest = {
  // string
  namespace: "namespace_example",
  // string
  name: "name_example",
  // string | resourceVersion sets a constraint on what resource versions a request may be served from. See https://kubernetes.io/docs/reference/using-api/api-concepts/#resource-versions for details.  Defaults to unset +optional (optional)
  getOptionsResourceVersion: "getOptions.resourceVersion_example",
};

apiInstance.workflowTemplateServiceGetWorkflowTemplate(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **namespace** | [**string**] |  | defaults to undefined
 **name** | [**string**] |  | defaults to undefined
 **getOptionsResourceVersion** | [**string**] | resourceVersion sets a constraint on what resource versions a request may be served from. See https://kubernetes.io/docs/reference/using-api/api-concepts/#resource-versions for details.  Defaults to unset +optional | (optional) defaults to undefined


### Return type

**IoArgoprojWorkflowV1alpha1WorkflowTemplate**

### Authorization

[BearerToken](README.md#BearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | A successful response. |  -  |
**0** | An unexpected error response. |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)

# **workflowTemplateServiceLintWorkflowTemplate**
> IoArgoprojWorkflowV1alpha1WorkflowTemplate workflowTemplateServiceLintWorkflowTemplate(body)


### Example


```typescript
import {  } from '';
import * as fs from 'fs';

const configuration = .createConfiguration();
const apiInstance = new .WorkflowTemplateServiceApi(configuration);

let body:.WorkflowTemplateServiceApiWorkflowTemplateServiceLintWorkflowTemplateRequest = {
  // string
  namespace: "namespace_example",
  // IoArgoprojWorkflowV1alpha1WorkflowTemplateLintRequest
  body: {
    createOptions: {
      dryRun: [
        "dryRun_example",
      ],
      fieldManager: "fieldManager_example",
      fieldValidation: "fieldValidation_example",
    },
    namespace: "namespace_example",
    template: {
      apiVersion: "apiVersion_example",
      kind: "kind_example",
      metadata: {
        annotations: {
          "key": "key_example",
        },
        clusterName: "clusterName_example",
        creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
        deletionGracePeriodSeconds: 1,
        deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
        finalizers: [
          "finalizers_example",
        ],
        generateName: "generateName_example",
        generation: 1,
        labels: {
          "key": "key_example",
        },
        managedFields: [
          {
            apiVersion: "apiVersion_example",
            fieldsType: "fieldsType_example",
            fieldsV1: {},
            manager: "manager_example",
            operation: "operation_example",
            subresource: "subresource_example",
            time: new Date('1970-01-01T00:00:00.00Z'),
          },
        ],
        name: "name_example",
        namespace: "namespace_example",
        ownerReferences: [
          {
            apiVersion: "apiVersion_example",
            blockOwnerDeletion: true,
            controller: true,
            kind: "kind_example",
            name: "name_example",
            uid: "uid_example",
          },
        ],
        resourceVersion: "resourceVersion_example",
        selfLink: "selfLink_example",
        uid: "uid_example",
      },
      spec: {
        activeDeadlineSeconds: 1,
        affinity: {
          nodeAffinity: {
            preferredDuringSchedulingIgnoredDuringExecution: [
              {
                preference: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchFields: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                },
                weight: 1,
              },
            ],
            requiredDuringSchedulingIgnoredDuringExecution: {
              nodeSelectorTerms: [
                {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchFields: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                },
              ],
            },
          },
          podAffinity: {
            preferredDuringSchedulingIgnoredDuringExecution: [
              {
                podAffinityTerm: {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
                weight: 1,
              },
            ],
            requiredDuringSchedulingIgnoredDuringExecution: [
              {
                labelSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaceSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaces: [
                  "namespaces_example",
                ],
                topologyKey: "topologyKey_example",
              },
            ],
          },
          podAntiAffinity: {
            preferredDuringSchedulingIgnoredDuringExecution: [
              {
                podAffinityTerm: {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
                weight: 1,
              },
            ],
            requiredDuringSchedulingIgnoredDuringExecution: [
              {
                labelSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaceSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaces: [
                  "namespaces_example",
                ],
                topologyKey: "topologyKey_example",
              },
            ],
          },
        },
        archiveLogs: true,
        arguments: {
          artifacts: [
            {
              archive: {
                none: {},
                tar: {
                  compressionLevel: 1,
                },
                zip: {},
              },
              archiveLogs: true,
              artifactGC: {
                podMetadata: {
                  annotations: {
                    "key": "key_example",
                  },
                  labels: {
                    "key": "key_example",
                  },
                },
                serviceAccountName: "serviceAccountName_example",
                strategy: "strategy_example",
              },
              artifactory: {
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                url: "url_example",
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              azure: {
                accountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                blob: "blob_example",
                container: "container_example",
                endpoint: "endpoint_example",
                useSDKCreds: true,
              },
              deleted: true,
              _from: "_from_example",
              fromExpression: "fromExpression_example",
              gcs: {
                bucket: "bucket_example",
                key: "key_example",
                serviceAccountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              git: {
                branch: "branch_example",
                depth: 1,
                disableSubmodules: true,
                fetch: [
                  "fetch_example",
                ],
                insecureIgnoreHostKey: true,
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                repo: "repo_example",
                revision: "revision_example",
                singleBranch: true,
                sshPrivateKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              globalName: "globalName_example",
              hdfs: {
                addresses: [
                  "addresses_example",
                ],
                force: true,
                hdfsUser: "hdfsUser_example",
                krbCCacheSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbConfigConfigMap: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbKeytabSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbRealm: "krbRealm_example",
                krbServicePrincipalName: "krbServicePrincipalName_example",
                krbUsername: "krbUsername_example",
                path: "path_example",
              },
              http: {
                auth: {
                  basicAuth: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  clientCert: {
                    clientCertSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  oauth2: {
                    clientIDSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientSecretSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    endpointParams: [
                      {
                        key: "key_example",
                        value: "value_example",
                      },
                    ],
                    scopes: [
                      "scopes_example",
                    ],
                    tokenURLSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
                headers: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                url: "url_example",
              },
              mode: 1,
              name: "name_example",
              optional: true,
              oss: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: true,
                endpoint: "endpoint_example",
                key: "key_example",
                lifecycleRule: {
                  markDeletionAfterDays: 1,
                  markInfrequentAccessAfterDays: 1,
                },
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                securityToken: "securityToken_example",
              },
              path: "path_example",
              raw: {
                data: "data_example",
              },
              recurseMode: true,
              s3: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: {
                  objectLocking: true,
                },
                encryptionOptions: {
                  enableEncryption: true,
                  kmsEncryptionContext: "kmsEncryptionContext_example",
                  kmsKeyId: "kmsKeyId_example",
                  serverSideCustomerKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                endpoint: "endpoint_example",
                insecure: true,
                key: "key_example",
                region: "region_example",
                roleARN: "roleARN_example",
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                useSDKCreds: true,
              },
              subPath: "subPath_example",
            },
          ],
          parameters: [
            {
              _default: "_default_example",
              description: "description_example",
              _enum: [
                "_enum_example",
              ],
              globalName: "globalName_example",
              name: "name_example",
              value: "value_example",
              valueFrom: {
                configMapKeyRef: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                _default: "_default_example",
                event: "event_example",
                expression: "expression_example",
                jqFilter: "jqFilter_example",
                jsonPath: "jsonPath_example",
                parameter: "parameter_example",
                path: "path_example",
                supplied: {},
              },
            },
          ],
        },
        artifactGC: {
          forceFinalizerRemoval: true,
          podMetadata: {
            annotations: {
              "key": "key_example",
            },
            labels: {
              "key": "key_example",
            },
          },
          serviceAccountName: "serviceAccountName_example",
          strategy: "strategy_example",
        },
        artifactRepositoryRef: {
          configMap: "configMap_example",
          key: "key_example",
        },
        automountServiceAccountToken: true,
        dnsConfig: {
          nameservers: [
            "nameservers_example",
          ],
          options: [
            {
              name: "name_example",
              value: "value_example",
            },
          ],
          searches: [
            "searches_example",
          ],
        },
        dnsPolicy: "dnsPolicy_example",
        entrypoint: "entrypoint_example",
        executor: {
          serviceAccountName: "serviceAccountName_example",
        },
        hooks: {
          "key": {
            arguments: {
              artifacts: [
                {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              ],
              parameters: [
                {
                  _default: "_default_example",
                  description: "description_example",
                  _enum: [
                    "_enum_example",
                  ],
                  globalName: "globalName_example",
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    _default: "_default_example",
                    event: "event_example",
                    expression: "expression_example",
                    jqFilter: "jqFilter_example",
                    jsonPath: "jsonPath_example",
                    parameter: "parameter_example",
                    path: "path_example",
                    supplied: {},
                  },
                },
              ],
            },
            expression: "expression_example",
            template: "template_example",
            templateRef: {
              clusterScope: true,
              name: "name_example",
              template: "template_example",
            },
          },
        },
        hostAliases: [
          {
            hostnames: [
              "hostnames_example",
            ],
            ip: "ip_example",
          },
        ],
        hostNetwork: true,
        imagePullSecrets: [
          {
            name: "name_example",
          },
        ],
        metrics: {
          prometheus: [
            {
              counter: {
                value: "value_example",
              },
              gauge: {
                operation: "operation_example",
                realtime: true,
                value: "value_example",
              },
              help: "help_example",
              histogram: {
                buckets: [
                  3.14,
                ],
                value: "value_example",
              },
              labels: [
                {
                  key: "key_example",
                  value: "value_example",
                },
              ],
              name: "name_example",
              when: "when_example",
            },
          ],
        },
        nodeSelector: {
          "key": "key_example",
        },
        onExit: "onExit_example",
        parallelism: 1,
        podDisruptionBudget: {
          maxUnavailable: "maxUnavailable_example",
          minAvailable: "minAvailable_example",
          selector: {
            matchExpressions: [
              {
                key: "key_example",
                operator: "operator_example",
                values: [
                  "values_example",
                ],
              },
            ],
            matchLabels: {
              "key": "key_example",
            },
          },
        },
        podGC: {
          labelSelector: {
            matchExpressions: [
              {
                key: "key_example",
                operator: "operator_example",
                values: [
                  "values_example",
                ],
              },
            ],
            matchLabels: {
              "key": "key_example",
            },
          },
          strategy: "strategy_example",
        },
        podMetadata: {
          annotations: {
            "key": "key_example",
          },
          labels: {
            "key": "key_example",
          },
        },
        podPriority: 1,
        podPriorityClassName: "podPriorityClassName_example",
        podSpecPatch: "podSpecPatch_example",
        priority: 1,
        retryStrategy: {
          affinity: {
            nodeAntiAffinity: {},
          },
          backoff: {
            duration: "duration_example",
            factor: "factor_example",
            maxDuration: "maxDuration_example",
          },
          expression: "expression_example",
          limit: "limit_example",
          retryPolicy: "retryPolicy_example",
        },
        schedulerName: "schedulerName_example",
        securityContext: {
          fsGroup: 1,
          fsGroupChangePolicy: "fsGroupChangePolicy_example",
          runAsGroup: 1,
          runAsNonRoot: true,
          runAsUser: 1,
          seLinuxOptions: {
            level: "level_example",
            role: "role_example",
            type: "type_example",
            user: "user_example",
          },
          seccompProfile: {
            localhostProfile: "localhostProfile_example",
            type: "Localhost",
          },
          supplementalGroups: [
            1,
          ],
          sysctls: [
            {
              name: "name_example",
              value: "value_example",
            },
          ],
          windowsOptions: {
            gmsaCredentialSpec: "gmsaCredentialSpec_example",
            gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
            hostProcess: true,
            runAsUserName: "runAsUserName_example",
          },
        },
        serviceAccountName: "serviceAccountName_example",
        shutdown: "shutdown_example",
        suspend: true,
        synchronization: {
          mutex: {
            name: "name_example",
            namespace: "namespace_example",
          },
          semaphore: {
            configMapKeyRef: {
              key: "key_example",
              name: "name_example",
              optional: true,
            },
            namespace: "namespace_example",
          },
        },
        templateDefaults: {
          activeDeadlineSeconds: "activeDeadlineSeconds_example",
          affinity: {
            nodeAffinity: {
              preferredDuringSchedulingIgnoredDuringExecution: [
                {
                  preference: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchFields: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                  },
                  weight: 1,
                },
              ],
              requiredDuringSchedulingIgnoredDuringExecution: {
                nodeSelectorTerms: [
                  {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchFields: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                  },
                ],
              },
            },
            podAffinity: {
              preferredDuringSchedulingIgnoredDuringExecution: [
                {
                  podAffinityTerm: {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                  weight: 1,
                },
              ],
              requiredDuringSchedulingIgnoredDuringExecution: [
                {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
              ],
            },
            podAntiAffinity: {
              preferredDuringSchedulingIgnoredDuringExecution: [
                {
                  podAffinityTerm: {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                  weight: 1,
                },
              ],
              requiredDuringSchedulingIgnoredDuringExecution: [
                {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
              ],
            },
          },
          archiveLocation: {
            archiveLogs: true,
            artifactory: {
              passwordSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              url: "url_example",
              usernameSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            azure: {
              accountKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              blob: "blob_example",
              container: "container_example",
              endpoint: "endpoint_example",
              useSDKCreds: true,
            },
            gcs: {
              bucket: "bucket_example",
              key: "key_example",
              serviceAccountKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            git: {
              branch: "branch_example",
              depth: 1,
              disableSubmodules: true,
              fetch: [
                "fetch_example",
              ],
              insecureIgnoreHostKey: true,
              passwordSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              repo: "repo_example",
              revision: "revision_example",
              singleBranch: true,
              sshPrivateKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              usernameSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            hdfs: {
              addresses: [
                "addresses_example",
              ],
              force: true,
              hdfsUser: "hdfsUser_example",
              krbCCacheSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              krbConfigConfigMap: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              krbKeytabSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              krbRealm: "krbRealm_example",
              krbServicePrincipalName: "krbServicePrincipalName_example",
              krbUsername: "krbUsername_example",
              path: "path_example",
            },
            http: {
              auth: {
                basicAuth: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                clientCert: {
                  clientCertSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  clientKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                oauth2: {
                  clientIDSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  clientSecretSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  endpointParams: [
                    {
                      key: "key_example",
                      value: "value_example",
                    },
                  ],
                  scopes: [
                    "scopes_example",
                  ],
                  tokenURLSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
              headers: [
                {
                  name: "name_example",
                  value: "value_example",
                },
              ],
              url: "url_example",
            },
            oss: {
              accessKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              bucket: "bucket_example",
              createBucketIfNotPresent: true,
              endpoint: "endpoint_example",
              key: "key_example",
              lifecycleRule: {
                markDeletionAfterDays: 1,
                markInfrequentAccessAfterDays: 1,
              },
              secretKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              securityToken: "securityToken_example",
            },
            raw: {
              data: "data_example",
            },
            s3: {
              accessKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              bucket: "bucket_example",
              createBucketIfNotPresent: {
                objectLocking: true,
              },
              encryptionOptions: {
                enableEncryption: true,
                kmsEncryptionContext: "kmsEncryptionContext_example",
                kmsKeyId: "kmsKeyId_example",
                serverSideCustomerKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              endpoint: "endpoint_example",
              insecure: true,
              key: "key_example",
              region: "region_example",
              roleARN: "roleARN_example",
              secretKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              useSDKCreds: true,
            },
          },
          automountServiceAccountToken: true,
          container: {
            args: [
              "args_example",
            ],
            command: [
              "command_example",
            ],
            env: [
              {
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  fieldRef: {
                    apiVersion: "apiVersion_example",
                    fieldPath: "fieldPath_example",
                  },
                  resourceFieldRef: {
                    containerName: "containerName_example",
                    divisor: "divisor_example",
                    resource: "resource_example",
                  },
                  secretKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
            ],
            envFrom: [
              {
                configMapRef: {
                  name: "name_example",
                  optional: true,
                },
                prefix: "prefix_example",
                secretRef: {
                  name: "name_example",
                  optional: true,
                },
              },
            ],
            image: "image_example",
            imagePullPolicy: "Always",
            lifecycle: {
              postStart: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
              preStop: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
            },
            livenessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            name: "name_example",
            ports: [
              {
                containerPort: 1,
                hostIP: "hostIP_example",
                hostPort: 1,
                name: "name_example",
                protocol: "SCTP",
              },
            ],
            readinessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            resources: {
              limits: {
                "key": "key_example",
              },
              requests: {
                "key": "key_example",
              },
            },
            securityContext: {
              allowPrivilegeEscalation: true,
              capabilities: {
                add: [
                  "add_example",
                ],
                drop: [
                  "drop_example",
                ],
              },
              privileged: true,
              procMount: "procMount_example",
              readOnlyRootFilesystem: true,
              runAsGroup: 1,
              runAsNonRoot: true,
              runAsUser: 1,
              seLinuxOptions: {
                level: "level_example",
                role: "role_example",
                type: "type_example",
                user: "user_example",
              },
              seccompProfile: {
                localhostProfile: "localhostProfile_example",
                type: "Localhost",
              },
              windowsOptions: {
                gmsaCredentialSpec: "gmsaCredentialSpec_example",
                gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                hostProcess: true,
                runAsUserName: "runAsUserName_example",
              },
            },
            startupProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            stdin: true,
            stdinOnce: true,
            terminationMessagePath: "terminationMessagePath_example",
            terminationMessagePolicy: "FallbackToLogsOnError",
            tty: true,
            volumeDevices: [
              {
                devicePath: "devicePath_example",
                name: "name_example",
              },
            ],
            volumeMounts: [
              {
                mountPath: "mountPath_example",
                mountPropagation: "mountPropagation_example",
                name: "name_example",
                readOnly: true,
                subPath: "subPath_example",
                subPathExpr: "subPathExpr_example",
              },
            ],
            workingDir: "workingDir_example",
          },
          containerSet: {
            containers: [
              {
                args: [
                  "args_example",
                ],
                command: [
                  "command_example",
                ],
                dependencies: [
                  "dependencies_example",
                ],
                env: [
                  {
                    name: "name_example",
                    value: "value_example",
                    valueFrom: {
                      configMapKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                      secretKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                ],
                envFrom: [
                  {
                    configMapRef: {
                      name: "name_example",
                      optional: true,
                    },
                    prefix: "prefix_example",
                    secretRef: {
                      name: "name_example",
                      optional: true,
                    },
                  },
                ],
                image: "image_example",
                imagePullPolicy: "imagePullPolicy_example",
                lifecycle: {
                  postStart: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                  preStop: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                },
                livenessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                name: "name_example",
                ports: [
                  {
                    containerPort: 1,
                    hostIP: "hostIP_example",
                    hostPort: 1,
                    name: "name_example",
                    protocol: "SCTP",
                  },
                ],
                readinessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                resources: {
                  limits: {
                    "key": "key_example",
                  },
                  requests: {
                    "key": "key_example",
                  },
                },
                securityContext: {
                  allowPrivilegeEscalation: true,
                  capabilities: {
                    add: [
                      "add_example",
                    ],
                    drop: [
                      "drop_example",
                    ],
                  },
                  privileged: true,
                  procMount: "procMount_example",
                  readOnlyRootFilesystem: true,
                  runAsGroup: 1,
                  runAsNonRoot: true,
                  runAsUser: 1,
                  seLinuxOptions: {
                    level: "level_example",
                    role: "role_example",
                    type: "type_example",
                    user: "user_example",
                  },
                  seccompProfile: {
                    localhostProfile: "localhostProfile_example",
                    type: "Localhost",
                  },
                  windowsOptions: {
                    gmsaCredentialSpec: "gmsaCredentialSpec_example",
                    gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                    hostProcess: true,
                    runAsUserName: "runAsUserName_example",
                  },
                },
                startupProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                stdin: true,
                stdinOnce: true,
                terminationMessagePath: "terminationMessagePath_example",
                terminationMessagePolicy: "terminationMessagePolicy_example",
                tty: true,
                volumeDevices: [
                  {
                    devicePath: "devicePath_example",
                    name: "name_example",
                  },
                ],
                volumeMounts: [
                  {
                    mountPath: "mountPath_example",
                    mountPropagation: "mountPropagation_example",
                    name: "name_example",
                    readOnly: true,
                    subPath: "subPath_example",
                    subPathExpr: "subPathExpr_example",
                  },
                ],
                workingDir: "workingDir_example",
              },
            ],
            retryStrategy: {
              duration: "duration_example",
              retries: "retries_example",
            },
            volumeMounts: [
              {
                mountPath: "mountPath_example",
                mountPropagation: "mountPropagation_example",
                name: "name_example",
                readOnly: true,
                subPath: "subPath_example",
                subPathExpr: "subPathExpr_example",
              },
            ],
          },
          daemon: true,
          dag: {
            failFast: true,
            target: "target_example",
            tasks: [
              {
                arguments: {
                  artifacts: [
                    {
                      archive: {
                        none: {},
                        tar: {
                          compressionLevel: 1,
                        },
                        zip: {},
                      },
                      archiveLogs: true,
                      artifactGC: {
                        podMetadata: {
                          annotations: {
                            "key": "key_example",
                          },
                          labels: {
                            "key": "key_example",
                          },
                        },
                        serviceAccountName: "serviceAccountName_example",
                        strategy: "strategy_example",
                      },
                      artifactory: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        url: "url_example",
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      azure: {
                        accountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        blob: "blob_example",
                        container: "container_example",
                        endpoint: "endpoint_example",
                        useSDKCreds: true,
                      },
                      deleted: true,
                      _from: "_from_example",
                      fromExpression: "fromExpression_example",
                      gcs: {
                        bucket: "bucket_example",
                        key: "key_example",
                        serviceAccountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      git: {
                        branch: "branch_example",
                        depth: 1,
                        disableSubmodules: true,
                        fetch: [
                          "fetch_example",
                        ],
                        insecureIgnoreHostKey: true,
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        repo: "repo_example",
                        revision: "revision_example",
                        singleBranch: true,
                        sshPrivateKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      globalName: "globalName_example",
                      hdfs: {
                        addresses: [
                          "addresses_example",
                        ],
                        force: true,
                        hdfsUser: "hdfsUser_example",
                        krbCCacheSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbConfigConfigMap: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbKeytabSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbRealm: "krbRealm_example",
                        krbServicePrincipalName: "krbServicePrincipalName_example",
                        krbUsername: "krbUsername_example",
                        path: "path_example",
                      },
                      http: {
                        auth: {
                          basicAuth: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          clientCert: {
                            clientCertSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          oauth2: {
                            clientIDSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientSecretSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            endpointParams: [
                              {
                                key: "key_example",
                                value: "value_example",
                              },
                            ],
                            scopes: [
                              "scopes_example",
                            ],
                            tokenURLSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                        },
                        headers: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        url: "url_example",
                      },
                      mode: 1,
                      name: "name_example",
                      optional: true,
                      oss: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: true,
                        endpoint: "endpoint_example",
                        key: "key_example",
                        lifecycleRule: {
                          markDeletionAfterDays: 1,
                          markInfrequentAccessAfterDays: 1,
                        },
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        securityToken: "securityToken_example",
                      },
                      path: "path_example",
                      raw: {
                        data: "data_example",
                      },
                      recurseMode: true,
                      s3: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: {
                          objectLocking: true,
                        },
                        encryptionOptions: {
                          enableEncryption: true,
                          kmsEncryptionContext: "kmsEncryptionContext_example",
                          kmsKeyId: "kmsKeyId_example",
                          serverSideCustomerKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        endpoint: "endpoint_example",
                        insecure: true,
                        key: "key_example",
                        region: "region_example",
                        roleARN: "roleARN_example",
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        useSDKCreds: true,
                      },
                      subPath: "subPath_example",
                    },
                  ],
                  parameters: [
                    {
                      _default: "_default_example",
                      description: "description_example",
                      _enum: [
                        "_enum_example",
                      ],
                      globalName: "globalName_example",
                      name: "name_example",
                      value: "value_example",
                      valueFrom: {
                        configMapKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        _default: "_default_example",
                        event: "event_example",
                        expression: "expression_example",
                        jqFilter: "jqFilter_example",
                        jsonPath: "jsonPath_example",
                        parameter: "parameter_example",
                        path: "path_example",
                        supplied: {},
                      },
                    },
                  ],
                },
                continueOn: {
                  error: true,
                  failed: true,
                },
                dependencies: [
                  "dependencies_example",
                ],
                depends: "depends_example",
                hooks: {
                  "key": {
                    arguments: {
                      artifacts: [
                        {
                          archive: {
                            none: {},
                            tar: {
                              compressionLevel: 1,
                            },
                            zip: {},
                          },
                          archiveLogs: true,
                          artifactGC: {
                            podMetadata: {
                              annotations: {
                                "key": "key_example",
                              },
                              labels: {
                                "key": "key_example",
                              },
                            },
                            serviceAccountName: "serviceAccountName_example",
                            strategy: "strategy_example",
                          },
                          artifactory: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            url: "url_example",
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          azure: {
                            accountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            blob: "blob_example",
                            container: "container_example",
                            endpoint: "endpoint_example",
                            useSDKCreds: true,
                          },
                          deleted: true,
                          _from: "_from_example",
                          fromExpression: "fromExpression_example",
                          gcs: {
                            bucket: "bucket_example",
                            key: "key_example",
                            serviceAccountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          git: {
                            branch: "branch_example",
                            depth: 1,
                            disableSubmodules: true,
                            fetch: [
                              "fetch_example",
                            ],
                            insecureIgnoreHostKey: true,
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            repo: "repo_example",
                            revision: "revision_example",
                            singleBranch: true,
                            sshPrivateKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          globalName: "globalName_example",
                          hdfs: {
                            addresses: [
                              "addresses_example",
                            ],
                            force: true,
                            hdfsUser: "hdfsUser_example",
                            krbCCacheSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbConfigConfigMap: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbKeytabSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbRealm: "krbRealm_example",
                            krbServicePrincipalName: "krbServicePrincipalName_example",
                            krbUsername: "krbUsername_example",
                            path: "path_example",
                          },
                          http: {
                            auth: {
                              basicAuth: {
                                passwordSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                usernameSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              clientCert: {
                                clientCertSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              oauth2: {
                                clientIDSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientSecretSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                endpointParams: [
                                  {
                                    key: "key_example",
                                    value: "value_example",
                                  },
                                ],
                                scopes: [
                                  "scopes_example",
                                ],
                                tokenURLSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                            },
                            headers: [
                              {
                                name: "name_example",
                                value: "value_example",
                              },
                            ],
                            url: "url_example",
                          },
                          mode: 1,
                          name: "name_example",
                          optional: true,
                          oss: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: true,
                            endpoint: "endpoint_example",
                            key: "key_example",
                            lifecycleRule: {
                              markDeletionAfterDays: 1,
                              markInfrequentAccessAfterDays: 1,
                            },
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            securityToken: "securityToken_example",
                          },
                          path: "path_example",
                          raw: {
                            data: "data_example",
                          },
                          recurseMode: true,
                          s3: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: {
                              objectLocking: true,
                            },
                            encryptionOptions: {
                              enableEncryption: true,
                              kmsEncryptionContext: "kmsEncryptionContext_example",
                              kmsKeyId: "kmsKeyId_example",
                              serverSideCustomerKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            endpoint: "endpoint_example",
                            insecure: true,
                            key: "key_example",
                            region: "region_example",
                            roleARN: "roleARN_example",
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            useSDKCreds: true,
                          },
                          subPath: "subPath_example",
                        },
                      ],
                      parameters: [
                        {
                          _default: "_default_example",
                          description: "description_example",
                          _enum: [
                            "_enum_example",
                          ],
                          globalName: "globalName_example",
                          name: "name_example",
                          value: "value_example",
                          valueFrom: {
                            configMapKeyRef: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            _default: "_default_example",
                            event: "event_example",
                            expression: "expression_example",
                            jqFilter: "jqFilter_example",
                            jsonPath: "jsonPath_example",
                            parameter: "parameter_example",
                            path: "path_example",
                            supplied: {},
                          },
                        },
                      ],
                    },
                    expression: "expression_example",
                    template: "template_example",
                    templateRef: {
                      clusterScope: true,
                      name: "name_example",
                      template: "template_example",
                    },
                  },
                },
                inline: ,
                name: "name_example",
                onExit: "onExit_example",
                template: "template_example",
                templateRef: {
                  clusterScope: true,
                  name: "name_example",
                  template: "template_example",
                },
                when: "when_example",
                withItems: [
                  {},
                ],
                withParam: "withParam_example",
                withSequence: {
                  count: "count_example",
                  end: "end_example",
                  format: "format_example",
                  start: "start_example",
                },
              },
            ],
          },
          data: {
            source: {
              artifactPaths: {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            },
            transformation: [
              {
                expression: "expression_example",
              },
            ],
          },
          executor: {
            serviceAccountName: "serviceAccountName_example",
          },
          failFast: true,
          hostAliases: [
            {
              hostnames: [
                "hostnames_example",
              ],
              ip: "ip_example",
            },
          ],
          http: {
            body: "body_example",
            bodyFrom: {
              bytes: 'YQ==',
            },
            headers: [
              {
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  secretKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
            ],
            insecureSkipVerify: true,
            method: "method_example",
            successCondition: "successCondition_example",
            timeoutSeconds: 1,
            url: "url_example",
          },
          initContainers: [
            {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "imagePullPolicy_example",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              mirrorVolumeMounts: true,
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "terminationMessagePolicy_example",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
          ],
          inputs: {
            artifacts: [
              {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            ],
            parameters: [
              {
                _default: "_default_example",
                description: "description_example",
                _enum: [
                  "_enum_example",
                ],
                globalName: "globalName_example",
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  _default: "_default_example",
                  event: "event_example",
                  expression: "expression_example",
                  jqFilter: "jqFilter_example",
                  jsonPath: "jsonPath_example",
                  parameter: "parameter_example",
                  path: "path_example",
                  supplied: {},
                },
              },
            ],
          },
          memoize: {
            cache: {
              configMap: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            key: "key_example",
            maxAge: "maxAge_example",
          },
          metadata: {
            annotations: {
              "key": "key_example",
            },
            labels: {
              "key": "key_example",
            },
          },
          metrics: {
            prometheus: [
              {
                counter: {
                  value: "value_example",
                },
                gauge: {
                  operation: "operation_example",
                  realtime: true,
                  value: "value_example",
                },
                help: "help_example",
                histogram: {
                  buckets: [
                    3.14,
                  ],
                  value: "value_example",
                },
                labels: [
                  {
                    key: "key_example",
                    value: "value_example",
                  },
                ],
                name: "name_example",
                when: "when_example",
              },
            ],
          },
          name: "name_example",
          nodeSelector: {
            "key": "key_example",
          },
          outputs: {
            artifacts: [
              {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            ],
            exitCode: "exitCode_example",
            parameters: [
              {
                _default: "_default_example",
                description: "description_example",
                _enum: [
                  "_enum_example",
                ],
                globalName: "globalName_example",
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  _default: "_default_example",
                  event: "event_example",
                  expression: "expression_example",
                  jqFilter: "jqFilter_example",
                  jsonPath: "jsonPath_example",
                  parameter: "parameter_example",
                  path: "path_example",
                  supplied: {},
                },
              },
            ],
            result: "result_example",
          },
          parallelism: 1,
          plugin: {},
          podSpecPatch: "podSpecPatch_example",
          priority: 1,
          priorityClassName: "priorityClassName_example",
          resource: {
            action: "action_example",
            failureCondition: "failureCondition_example",
            flags: [
              "flags_example",
            ],
            manifest: "manifest_example",
            manifestFrom: {
              artifact: {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            },
            mergeStrategy: "mergeStrategy_example",
            setOwnerReference: true,
            successCondition: "successCondition_example",
          },
          retryStrategy: {
            affinity: {
              nodeAntiAffinity: {},
            },
            backoff: {
              duration: "duration_example",
              factor: "factor_example",
              maxDuration: "maxDuration_example",
            },
            expression: "expression_example",
            limit: "limit_example",
            retryPolicy: "retryPolicy_example",
          },
          schedulerName: "schedulerName_example",
          script: {
            args: [
              "args_example",
            ],
            command: [
              "command_example",
            ],
            env: [
              {
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  fieldRef: {
                    apiVersion: "apiVersion_example",
                    fieldPath: "fieldPath_example",
                  },
                  resourceFieldRef: {
                    containerName: "containerName_example",
                    divisor: "divisor_example",
                    resource: "resource_example",
                  },
                  secretKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
            ],
            envFrom: [
              {
                configMapRef: {
                  name: "name_example",
                  optional: true,
                },
                prefix: "prefix_example",
                secretRef: {
                  name: "name_example",
                  optional: true,
                },
              },
            ],
            image: "image_example",
            imagePullPolicy: "imagePullPolicy_example",
            lifecycle: {
              postStart: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
              preStop: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
            },
            livenessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            name: "name_example",
            ports: [
              {
                containerPort: 1,
                hostIP: "hostIP_example",
                hostPort: 1,
                name: "name_example",
                protocol: "SCTP",
              },
            ],
            readinessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            resources: {
              limits: {
                "key": "key_example",
              },
              requests: {
                "key": "key_example",
              },
            },
            securityContext: {
              allowPrivilegeEscalation: true,
              capabilities: {
                add: [
                  "add_example",
                ],
                drop: [
                  "drop_example",
                ],
              },
              privileged: true,
              procMount: "procMount_example",
              readOnlyRootFilesystem: true,
              runAsGroup: 1,
              runAsNonRoot: true,
              runAsUser: 1,
              seLinuxOptions: {
                level: "level_example",
                role: "role_example",
                type: "type_example",
                user: "user_example",
              },
              seccompProfile: {
                localhostProfile: "localhostProfile_example",
                type: "Localhost",
              },
              windowsOptions: {
                gmsaCredentialSpec: "gmsaCredentialSpec_example",
                gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                hostProcess: true,
                runAsUserName: "runAsUserName_example",
              },
            },
            source: "source_example",
            startupProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            stdin: true,
            stdinOnce: true,
            terminationMessagePath: "terminationMessagePath_example",
            terminationMessagePolicy: "terminationMessagePolicy_example",
            tty: true,
            volumeDevices: [
              {
                devicePath: "devicePath_example",
                name: "name_example",
              },
            ],
            volumeMounts: [
              {
                mountPath: "mountPath_example",
                mountPropagation: "mountPropagation_example",
                name: "name_example",
                readOnly: true,
                subPath: "subPath_example",
                subPathExpr: "subPathExpr_example",
              },
            ],
            workingDir: "workingDir_example",
          },
          securityContext: {
            fsGroup: 1,
            fsGroupChangePolicy: "fsGroupChangePolicy_example",
            runAsGroup: 1,
            runAsNonRoot: true,
            runAsUser: 1,
            seLinuxOptions: {
              level: "level_example",
              role: "role_example",
              type: "type_example",
              user: "user_example",
            },
            seccompProfile: {
              localhostProfile: "localhostProfile_example",
              type: "Localhost",
            },
            supplementalGroups: [
              1,
            ],
            sysctls: [
              {
                name: "name_example",
                value: "value_example",
              },
            ],
            windowsOptions: {
              gmsaCredentialSpec: "gmsaCredentialSpec_example",
              gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
              hostProcess: true,
              runAsUserName: "runAsUserName_example",
            },
          },
          serviceAccountName: "serviceAccountName_example",
          sidecars: [
            {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "imagePullPolicy_example",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              mirrorVolumeMounts: true,
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "terminationMessagePolicy_example",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
          ],
          steps: [
            [
              {
                arguments: {
                  artifacts: [
                    {
                      archive: {
                        none: {},
                        tar: {
                          compressionLevel: 1,
                        },
                        zip: {},
                      },
                      archiveLogs: true,
                      artifactGC: {
                        podMetadata: {
                          annotations: {
                            "key": "key_example",
                          },
                          labels: {
                            "key": "key_example",
                          },
                        },
                        serviceAccountName: "serviceAccountName_example",
                        strategy: "strategy_example",
                      },
                      artifactory: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        url: "url_example",
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      azure: {
                        accountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        blob: "blob_example",
                        container: "container_example",
                        endpoint: "endpoint_example",
                        useSDKCreds: true,
                      },
                      deleted: true,
                      _from: "_from_example",
                      fromExpression: "fromExpression_example",
                      gcs: {
                        bucket: "bucket_example",
                        key: "key_example",
                        serviceAccountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      git: {
                        branch: "branch_example",
                        depth: 1,
                        disableSubmodules: true,
                        fetch: [
                          "fetch_example",
                        ],
                        insecureIgnoreHostKey: true,
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        repo: "repo_example",
                        revision: "revision_example",
                        singleBranch: true,
                        sshPrivateKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      globalName: "globalName_example",
                      hdfs: {
                        addresses: [
                          "addresses_example",
                        ],
                        force: true,
                        hdfsUser: "hdfsUser_example",
                        krbCCacheSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbConfigConfigMap: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbKeytabSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbRealm: "krbRealm_example",
                        krbServicePrincipalName: "krbServicePrincipalName_example",
                        krbUsername: "krbUsername_example",
                        path: "path_example",
                      },
                      http: {
                        auth: {
                          basicAuth: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          clientCert: {
                            clientCertSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          oauth2: {
                            clientIDSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientSecretSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            endpointParams: [
                              {
                                key: "key_example",
                                value: "value_example",
                              },
                            ],
                            scopes: [
                              "scopes_example",
                            ],
                            tokenURLSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                        },
                        headers: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        url: "url_example",
                      },
                      mode: 1,
                      name: "name_example",
                      optional: true,
                      oss: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: true,
                        endpoint: "endpoint_example",
                        key: "key_example",
                        lifecycleRule: {
                          markDeletionAfterDays: 1,
                          markInfrequentAccessAfterDays: 1,
                        },
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        securityToken: "securityToken_example",
                      },
                      path: "path_example",
                      raw: {
                        data: "data_example",
                      },
                      recurseMode: true,
                      s3: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: {
                          objectLocking: true,
                        },
                        encryptionOptions: {
                          enableEncryption: true,
                          kmsEncryptionContext: "kmsEncryptionContext_example",
                          kmsKeyId: "kmsKeyId_example",
                          serverSideCustomerKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        endpoint: "endpoint_example",
                        insecure: true,
                        key: "key_example",
                        region: "region_example",
                        roleARN: "roleARN_example",
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        useSDKCreds: true,
                      },
                      subPath: "subPath_example",
                    },
                  ],
                  parameters: [
                    {
                      _default: "_default_example",
                      description: "description_example",
                      _enum: [
                        "_enum_example",
                      ],
                      globalName: "globalName_example",
                      name: "name_example",
                      value: "value_example",
                      valueFrom: {
                        configMapKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        _default: "_default_example",
                        event: "event_example",
                        expression: "expression_example",
                        jqFilter: "jqFilter_example",
                        jsonPath: "jsonPath_example",
                        parameter: "parameter_example",
                        path: "path_example",
                        supplied: {},
                      },
                    },
                  ],
                },
                continueOn: {
                  error: true,
                  failed: true,
                },
                hooks: {
                  "key": {
                    arguments: {
                      artifacts: [
                        {
                          archive: {
                            none: {},
                            tar: {
                              compressionLevel: 1,
                            },
                            zip: {},
                          },
                          archiveLogs: true,
                          artifactGC: {
                            podMetadata: {
                              annotations: {
                                "key": "key_example",
                              },
                              labels: {
                                "key": "key_example",
                              },
                            },
                            serviceAccountName: "serviceAccountName_example",
                            strategy: "strategy_example",
                          },
                          artifactory: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            url: "url_example",
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          azure: {
                            accountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            blob: "blob_example",
                            container: "container_example",
                            endpoint: "endpoint_example",
                            useSDKCreds: true,
                          },
                          deleted: true,
                          _from: "_from_example",
                          fromExpression: "fromExpression_example",
                          gcs: {
                            bucket: "bucket_example",
                            key: "key_example",
                            serviceAccountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          git: {
                            branch: "branch_example",
                            depth: 1,
                            disableSubmodules: true,
                            fetch: [
                              "fetch_example",
                            ],
                            insecureIgnoreHostKey: true,
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            repo: "repo_example",
                            revision: "revision_example",
                            singleBranch: true,
                            sshPrivateKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          globalName: "globalName_example",
                          hdfs: {
                            addresses: [
                              "addresses_example",
                            ],
                            force: true,
                            hdfsUser: "hdfsUser_example",
                            krbCCacheSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbConfigConfigMap: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbKeytabSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbRealm: "krbRealm_example",
                            krbServicePrincipalName: "krbServicePrincipalName_example",
                            krbUsername: "krbUsername_example",
                            path: "path_example",
                          },
                          http: {
                            auth: {
                              basicAuth: {
                                passwordSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                usernameSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              clientCert: {
                                clientCertSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              oauth2: {
                                clientIDSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientSecretSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                endpointParams: [
                                  {
                                    key: "key_example",
                                    value: "value_example",
                                  },
                                ],
                                scopes: [
                                  "scopes_example",
                                ],
                                tokenURLSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                            },
                            headers: [
                              {
                                name: "name_example",
                                value: "value_example",
                              },
                            ],
                            url: "url_example",
                          },
                          mode: 1,
                          name: "name_example",
                          optional: true,
                          oss: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: true,
                            endpoint: "endpoint_example",
                            key: "key_example",
                            lifecycleRule: {
                              markDeletionAfterDays: 1,
                              markInfrequentAccessAfterDays: 1,
                            },
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            securityToken: "securityToken_example",
                          },
                          path: "path_example",
                          raw: {
                            data: "data_example",
                          },
                          recurseMode: true,
                          s3: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: {
                              objectLocking: true,
                            },
                            encryptionOptions: {
                              enableEncryption: true,
                              kmsEncryptionContext: "kmsEncryptionContext_example",
                              kmsKeyId: "kmsKeyId_example",
                              serverSideCustomerKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            endpoint: "endpoint_example",
                            insecure: true,
                            key: "key_example",
                            region: "region_example",
                            roleARN: "roleARN_example",
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            useSDKCreds: true,
                          },
                          subPath: "subPath_example",
                        },
                      ],
                      parameters: [
                        {
                          _default: "_default_example",
                          description: "description_example",
                          _enum: [
                            "_enum_example",
                          ],
                          globalName: "globalName_example",
                          name: "name_example",
                          value: "value_example",
                          valueFrom: {
                            configMapKeyRef: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            _default: "_default_example",
                            event: "event_example",
                            expression: "expression_example",
                            jqFilter: "jqFilter_example",
                            jsonPath: "jsonPath_example",
                            parameter: "parameter_example",
                            path: "path_example",
                            supplied: {},
                          },
                        },
                      ],
                    },
                    expression: "expression_example",
                    template: "template_example",
                    templateRef: {
                      clusterScope: true,
                      name: "name_example",
                      template: "template_example",
                    },
                  },
                },
                inline: ,
                name: "name_example",
                onExit: "onExit_example",
                template: "template_example",
                templateRef: {
                  clusterScope: true,
                  name: "name_example",
                  template: "template_example",
                },
                when: "when_example",
                withItems: [
                  {},
                ],
                withParam: "withParam_example",
                withSequence: {
                  count: "count_example",
                  end: "end_example",
                  format: "format_example",
                  start: "start_example",
                },
              },
            ],
          ],
          suspend: {
            duration: "duration_example",
          },
          synchronization: {
            mutex: {
              name: "name_example",
              namespace: "namespace_example",
            },
            semaphore: {
              configMapKeyRef: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              namespace: "namespace_example",
            },
          },
          timeout: "timeout_example",
          tolerations: [
            {
              effect: "NoExecute",
              key: "key_example",
              operator: "Equal",
              tolerationSeconds: 1,
              value: "value_example",
            },
          ],
          volumes: [
            {
              awsElasticBlockStore: {
                fsType: "fsType_example",
                partition: 1,
                readOnly: true,
                volumeID: "volumeID_example",
              },
              azureDisk: {
                cachingMode: "cachingMode_example",
                diskName: "diskName_example",
                diskURI: "diskURI_example",
                fsType: "fsType_example",
                kind: "kind_example",
                readOnly: true,
              },
              azureFile: {
                readOnly: true,
                secretName: "secretName_example",
                shareName: "shareName_example",
              },
              cephfs: {
                monitors: [
                  "monitors_example",
                ],
                path: "path_example",
                readOnly: true,
                secretFile: "secretFile_example",
                secretRef: {
                  name: "name_example",
                },
                user: "user_example",
              },
              cinder: {
                fsType: "fsType_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                volumeID: "volumeID_example",
              },
              configMap: {
                defaultMode: 1,
                items: [
                  {
                    key: "key_example",
                    mode: 1,
                    path: "path_example",
                  },
                ],
                name: "name_example",
                optional: true,
              },
              csi: {
                driver: "driver_example",
                fsType: "fsType_example",
                nodePublishSecretRef: {
                  name: "name_example",
                },
                readOnly: true,
                volumeAttributes: {
                  "key": "key_example",
                },
              },
              downwardAPI: {
                defaultMode: 1,
                items: [
                  {
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    mode: 1,
                    path: "path_example",
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                  },
                ],
              },
              emptyDir: {
                medium: "medium_example",
                sizeLimit: "sizeLimit_example",
              },
              ephemeral: {
                volumeClaimTemplate: {
                  metadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    clusterName: "clusterName_example",
                    creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                    deletionGracePeriodSeconds: 1,
                    deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                    finalizers: [
                      "finalizers_example",
                    ],
                    generateName: "generateName_example",
                    generation: 1,
                    labels: {
                      "key": "key_example",
                    },
                    managedFields: [
                      {
                        apiVersion: "apiVersion_example",
                        fieldsType: "fieldsType_example",
                        fieldsV1: {},
                        manager: "manager_example",
                        operation: "operation_example",
                        subresource: "subresource_example",
                        time: new Date('1970-01-01T00:00:00.00Z'),
                      },
                    ],
                    name: "name_example",
                    namespace: "namespace_example",
                    ownerReferences: [
                      {
                        apiVersion: "apiVersion_example",
                        blockOwnerDeletion: true,
                        controller: true,
                        kind: "kind_example",
                        name: "name_example",
                        uid: "uid_example",
                      },
                    ],
                    resourceVersion: "resourceVersion_example",
                    selfLink: "selfLink_example",
                    uid: "uid_example",
                  },
                  spec: {
                    accessModes: [
                      "accessModes_example",
                    ],
                    dataSource: {
                      apiGroup: "apiGroup_example",
                      kind: "kind_example",
                      name: "name_example",
                    },
                    dataSourceRef: {
                      apiGroup: "apiGroup_example",
                      kind: "kind_example",
                      name: "name_example",
                    },
                    resources: {
                      limits: {
                        "key": "key_example",
                      },
                      requests: {
                        "key": "key_example",
                      },
                    },
                    selector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    storageClassName: "storageClassName_example",
                    volumeMode: "volumeMode_example",
                    volumeName: "volumeName_example",
                  },
                },
              },
              fc: {
                fsType: "fsType_example",
                lun: 1,
                readOnly: true,
                targetWWNs: [
                  "targetWWNs_example",
                ],
                wwids: [
                  "wwids_example",
                ],
              },
              flexVolume: {
                driver: "driver_example",
                fsType: "fsType_example",
                options: {
                  "key": "key_example",
                },
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
              },
              flocker: {
                datasetName: "datasetName_example",
                datasetUUID: "datasetUUID_example",
              },
              gcePersistentDisk: {
                fsType: "fsType_example",
                partition: 1,
                pdName: "pdName_example",
                readOnly: true,
              },
              gitRepo: {
                directory: "directory_example",
                repository: "repository_example",
                revision: "revision_example",
              },
              glusterfs: {
                endpoints: "endpoints_example",
                path: "path_example",
                readOnly: true,
              },
              hostPath: {
                path: "path_example",
                type: "type_example",
              },
              iscsi: {
                chapAuthDiscovery: true,
                chapAuthSession: true,
                fsType: "fsType_example",
                initiatorName: "initiatorName_example",
                iqn: "iqn_example",
                iscsiInterface: "iscsiInterface_example",
                lun: 1,
                portals: [
                  "portals_example",
                ],
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                targetPortal: "targetPortal_example",
              },
              name: "name_example",
              nfs: {
                path: "path_example",
                readOnly: true,
                server: "server_example",
              },
              persistentVolumeClaim: {
                claimName: "claimName_example",
                readOnly: true,
              },
              photonPersistentDisk: {
                fsType: "fsType_example",
                pdID: "pdID_example",
              },
              portworxVolume: {
                fsType: "fsType_example",
                readOnly: true,
                volumeID: "volumeID_example",
              },
              projected: {
                defaultMode: 1,
                sources: [
                  {
                    configMap: {
                      items: [
                        {
                          key: "key_example",
                          mode: 1,
                          path: "path_example",
                        },
                      ],
                      name: "name_example",
                      optional: true,
                    },
                    downwardAPI: {
                      items: [
                        {
                          fieldRef: {
                            apiVersion: "apiVersion_example",
                            fieldPath: "fieldPath_example",
                          },
                          mode: 1,
                          path: "path_example",
                          resourceFieldRef: {
                            containerName: "containerName_example",
                            divisor: "divisor_example",
                            resource: "resource_example",
                          },
                        },
                      ],
                    },
                    secret: {
                      items: [
                        {
                          key: "key_example",
                          mode: 1,
                          path: "path_example",
                        },
                      ],
                      name: "name_example",
                      optional: true,
                    },
                    serviceAccountToken: {
                      audience: "audience_example",
                      expirationSeconds: 1,
                      path: "path_example",
                    },
                  },
                ],
              },
              quobyte: {
                group: "group_example",
                readOnly: true,
                registry: "registry_example",
                tenant: "tenant_example",
                user: "user_example",
                volume: "volume_example",
              },
              rbd: {
                fsType: "fsType_example",
                image: "image_example",
                keyring: "keyring_example",
                monitors: [
                  "monitors_example",
                ],
                pool: "pool_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                user: "user_example",
              },
              scaleIO: {
                fsType: "fsType_example",
                gateway: "gateway_example",
                protectionDomain: "protectionDomain_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                sslEnabled: true,
                storageMode: "storageMode_example",
                storagePool: "storagePool_example",
                system: "system_example",
                volumeName: "volumeName_example",
              },
              secret: {
                defaultMode: 1,
                items: [
                  {
                    key: "key_example",
                    mode: 1,
                    path: "path_example",
                  },
                ],
                optional: true,
                secretName: "secretName_example",
              },
              storageos: {
                fsType: "fsType_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                volumeName: "volumeName_example",
                volumeNamespace: "volumeNamespace_example",
              },
              vsphereVolume: {
                fsType: "fsType_example",
                storagePolicyID: "storagePolicyID_example",
                storagePolicyName: "storagePolicyName_example",
                volumePath: "volumePath_example",
              },
            },
          ],
        },
        templates: [
          {
            activeDeadlineSeconds: "activeDeadlineSeconds_example",
            affinity: {
              nodeAffinity: {
                preferredDuringSchedulingIgnoredDuringExecution: [
                  {
                    preference: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchFields: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                    },
                    weight: 1,
                  },
                ],
                requiredDuringSchedulingIgnoredDuringExecution: {
                  nodeSelectorTerms: [
                    {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchFields: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                    },
                  ],
                },
              },
              podAffinity: {
                preferredDuringSchedulingIgnoredDuringExecution: [
                  {
                    podAffinityTerm: {
                      labelSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaceSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaces: [
                        "namespaces_example",
                      ],
                      topologyKey: "topologyKey_example",
                    },
                    weight: 1,
                  },
                ],
                requiredDuringSchedulingIgnoredDuringExecution: [
                  {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                ],
              },
              podAntiAffinity: {
                preferredDuringSchedulingIgnoredDuringExecution: [
                  {
                    podAffinityTerm: {
                      labelSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaceSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaces: [
                        "namespaces_example",
                      ],
                      topologyKey: "topologyKey_example",
                    },
                    weight: 1,
                  },
                ],
                requiredDuringSchedulingIgnoredDuringExecution: [
                  {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                ],
              },
            },
            archiveLocation: {
              archiveLogs: true,
              artifactory: {
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                url: "url_example",
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              azure: {
                accountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                blob: "blob_example",
                container: "container_example",
                endpoint: "endpoint_example",
                useSDKCreds: true,
              },
              gcs: {
                bucket: "bucket_example",
                key: "key_example",
                serviceAccountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              git: {
                branch: "branch_example",
                depth: 1,
                disableSubmodules: true,
                fetch: [
                  "fetch_example",
                ],
                insecureIgnoreHostKey: true,
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                repo: "repo_example",
                revision: "revision_example",
                singleBranch: true,
                sshPrivateKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              hdfs: {
                addresses: [
                  "addresses_example",
                ],
                force: true,
                hdfsUser: "hdfsUser_example",
                krbCCacheSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbConfigConfigMap: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbKeytabSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbRealm: "krbRealm_example",
                krbServicePrincipalName: "krbServicePrincipalName_example",
                krbUsername: "krbUsername_example",
                path: "path_example",
              },
              http: {
                auth: {
                  basicAuth: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  clientCert: {
                    clientCertSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  oauth2: {
                    clientIDSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientSecretSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    endpointParams: [
                      {
                        key: "key_example",
                        value: "value_example",
                      },
                    ],
                    scopes: [
                      "scopes_example",
                    ],
                    tokenURLSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
                headers: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                url: "url_example",
              },
              oss: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: true,
                endpoint: "endpoint_example",
                key: "key_example",
                lifecycleRule: {
                  markDeletionAfterDays: 1,
                  markInfrequentAccessAfterDays: 1,
                },
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                securityToken: "securityToken_example",
              },
              raw: {
                data: "data_example",
              },
              s3: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: {
                  objectLocking: true,
                },
                encryptionOptions: {
                  enableEncryption: true,
                  kmsEncryptionContext: "kmsEncryptionContext_example",
                  kmsKeyId: "kmsKeyId_example",
                  serverSideCustomerKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                endpoint: "endpoint_example",
                insecure: true,
                key: "key_example",
                region: "region_example",
                roleARN: "roleARN_example",
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                useSDKCreds: true,
              },
            },
            automountServiceAccountToken: true,
            container: {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "Always",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "FallbackToLogsOnError",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
            containerSet: {
              containers: [
                {
                  args: [
                    "args_example",
                  ],
                  command: [
                    "command_example",
                  ],
                  dependencies: [
                    "dependencies_example",
                  ],
                  env: [
                    {
                      name: "name_example",
                      value: "value_example",
                      valueFrom: {
                        configMapKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        fieldRef: {
                          apiVersion: "apiVersion_example",
                          fieldPath: "fieldPath_example",
                        },
                        resourceFieldRef: {
                          containerName: "containerName_example",
                          divisor: "divisor_example",
                          resource: "resource_example",
                        },
                        secretKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                  ],
                  envFrom: [
                    {
                      configMapRef: {
                        name: "name_example",
                        optional: true,
                      },
                      prefix: "prefix_example",
                      secretRef: {
                        name: "name_example",
                        optional: true,
                      },
                    },
                  ],
                  image: "image_example",
                  imagePullPolicy: "imagePullPolicy_example",
                  lifecycle: {
                    postStart: {
                      exec: {
                        command: [
                          "command_example",
                        ],
                      },
                      httpGet: {
                        host: "host_example",
                        httpHeaders: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        path: "path_example",
                        port: "port_example",
                        scheme: "HTTP",
                      },
                      tcpSocket: {
                        host: "host_example",
                        port: "port_example",
                      },
                    },
                    preStop: {
                      exec: {
                        command: [
                          "command_example",
                        ],
                      },
                      httpGet: {
                        host: "host_example",
                        httpHeaders: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        path: "path_example",
                        port: "port_example",
                        scheme: "HTTP",
                      },
                      tcpSocket: {
                        host: "host_example",
                        port: "port_example",
                      },
                    },
                  },
                  livenessProbe: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    failureThreshold: 1,
                    grpc: {
                      port: 1,
                      service: "service_example",
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    initialDelaySeconds: 1,
                    periodSeconds: 1,
                    successThreshold: 1,
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                    terminationGracePeriodSeconds: 1,
                    timeoutSeconds: 1,
                  },
                  name: "name_example",
                  ports: [
                    {
                      containerPort: 1,
                      hostIP: "hostIP_example",
                      hostPort: 1,
                      name: "name_example",
                      protocol: "SCTP",
                    },
                  ],
                  readinessProbe: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    failureThreshold: 1,
                    grpc: {
                      port: 1,
                      service: "service_example",
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    initialDelaySeconds: 1,
                    periodSeconds: 1,
                    successThreshold: 1,
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                    terminationGracePeriodSeconds: 1,
                    timeoutSeconds: 1,
                  },
                  resources: {
                    limits: {
                      "key": "key_example",
                    },
                    requests: {
                      "key": "key_example",
                    },
                  },
                  securityContext: {
                    allowPrivilegeEscalation: true,
                    capabilities: {
                      add: [
                        "add_example",
                      ],
                      drop: [
                        "drop_example",
                      ],
                    },
                    privileged: true,
                    procMount: "procMount_example",
                    readOnlyRootFilesystem: true,
                    runAsGroup: 1,
                    runAsNonRoot: true,
                    runAsUser: 1,
                    seLinuxOptions: {
                      level: "level_example",
                      role: "role_example",
                      type: "type_example",
                      user: "user_example",
                    },
                    seccompProfile: {
                      localhostProfile: "localhostProfile_example",
                      type: "Localhost",
                    },
                    windowsOptions: {
                      gmsaCredentialSpec: "gmsaCredentialSpec_example",
                      gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                      hostProcess: true,
                      runAsUserName: "runAsUserName_example",
                    },
                  },
                  startupProbe: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    failureThreshold: 1,
                    grpc: {
                      port: 1,
                      service: "service_example",
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    initialDelaySeconds: 1,
                    periodSeconds: 1,
                    successThreshold: 1,
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                    terminationGracePeriodSeconds: 1,
                    timeoutSeconds: 1,
                  },
                  stdin: true,
                  stdinOnce: true,
                  terminationMessagePath: "terminationMessagePath_example",
                  terminationMessagePolicy: "terminationMessagePolicy_example",
                  tty: true,
                  volumeDevices: [
                    {
                      devicePath: "devicePath_example",
                      name: "name_example",
                    },
                  ],
                  volumeMounts: [
                    {
                      mountPath: "mountPath_example",
                      mountPropagation: "mountPropagation_example",
                      name: "name_example",
                      readOnly: true,
                      subPath: "subPath_example",
                      subPathExpr: "subPathExpr_example",
                    },
                  ],
                  workingDir: "workingDir_example",
                },
              ],
              retryStrategy: {
                duration: "duration_example",
                retries: "retries_example",
              },
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
            },
            daemon: true,
            dag: {
              failFast: true,
              target: "target_example",
              tasks: [
                {
                  arguments: {
                    artifacts: [
                      {
                        archive: {
                          none: {},
                          tar: {
                            compressionLevel: 1,
                          },
                          zip: {},
                        },
                        archiveLogs: true,
                        artifactGC: {
                          podMetadata: {
                            annotations: {
                              "key": "key_example",
                            },
                            labels: {
                              "key": "key_example",
                            },
                          },
                          serviceAccountName: "serviceAccountName_example",
                          strategy: "strategy_example",
                        },
                        artifactory: {
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          url: "url_example",
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        azure: {
                          accountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          blob: "blob_example",
                          container: "container_example",
                          endpoint: "endpoint_example",
                          useSDKCreds: true,
                        },
                        deleted: true,
                        _from: "_from_example",
                        fromExpression: "fromExpression_example",
                        gcs: {
                          bucket: "bucket_example",
                          key: "key_example",
                          serviceAccountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        git: {
                          branch: "branch_example",
                          depth: 1,
                          disableSubmodules: true,
                          fetch: [
                            "fetch_example",
                          ],
                          insecureIgnoreHostKey: true,
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          repo: "repo_example",
                          revision: "revision_example",
                          singleBranch: true,
                          sshPrivateKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        globalName: "globalName_example",
                        hdfs: {
                          addresses: [
                            "addresses_example",
                          ],
                          force: true,
                          hdfsUser: "hdfsUser_example",
                          krbCCacheSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbConfigConfigMap: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbKeytabSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbRealm: "krbRealm_example",
                          krbServicePrincipalName: "krbServicePrincipalName_example",
                          krbUsername: "krbUsername_example",
                          path: "path_example",
                        },
                        http: {
                          auth: {
                            basicAuth: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            clientCert: {
                              clientCertSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            oauth2: {
                              clientIDSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientSecretSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              endpointParams: [
                                {
                                  key: "key_example",
                                  value: "value_example",
                                },
                              ],
                              scopes: [
                                "scopes_example",
                              ],
                              tokenURLSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                          },
                          headers: [
                            {
                              name: "name_example",
                              value: "value_example",
                            },
                          ],
                          url: "url_example",
                        },
                        mode: 1,
                        name: "name_example",
                        optional: true,
                        oss: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: true,
                          endpoint: "endpoint_example",
                          key: "key_example",
                          lifecycleRule: {
                            markDeletionAfterDays: 1,
                            markInfrequentAccessAfterDays: 1,
                          },
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          securityToken: "securityToken_example",
                        },
                        path: "path_example",
                        raw: {
                          data: "data_example",
                        },
                        recurseMode: true,
                        s3: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: {
                            objectLocking: true,
                          },
                          encryptionOptions: {
                            enableEncryption: true,
                            kmsEncryptionContext: "kmsEncryptionContext_example",
                            kmsKeyId: "kmsKeyId_example",
                            serverSideCustomerKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          endpoint: "endpoint_example",
                          insecure: true,
                          key: "key_example",
                          region: "region_example",
                          roleARN: "roleARN_example",
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          useSDKCreds: true,
                        },
                        subPath: "subPath_example",
                      },
                    ],
                    parameters: [
                      {
                        _default: "_default_example",
                        description: "description_example",
                        _enum: [
                          "_enum_example",
                        ],
                        globalName: "globalName_example",
                        name: "name_example",
                        value: "value_example",
                        valueFrom: {
                          configMapKeyRef: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          _default: "_default_example",
                          event: "event_example",
                          expression: "expression_example",
                          jqFilter: "jqFilter_example",
                          jsonPath: "jsonPath_example",
                          parameter: "parameter_example",
                          path: "path_example",
                          supplied: {},
                        },
                      },
                    ],
                  },
                  continueOn: {
                    error: true,
                    failed: true,
                  },
                  dependencies: [
                    "dependencies_example",
                  ],
                  depends: "depends_example",
                  hooks: {
                    "key": {
                      arguments: {
                        artifacts: [
                          {
                            archive: {
                              none: {},
                              tar: {
                                compressionLevel: 1,
                              },
                              zip: {},
                            },
                            archiveLogs: true,
                            artifactGC: {
                              podMetadata: {
                                annotations: {
                                  "key": "key_example",
                                },
                                labels: {
                                  "key": "key_example",
                                },
                              },
                              serviceAccountName: "serviceAccountName_example",
                              strategy: "strategy_example",
                            },
                            artifactory: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              url: "url_example",
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            azure: {
                              accountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              blob: "blob_example",
                              container: "container_example",
                              endpoint: "endpoint_example",
                              useSDKCreds: true,
                            },
                            deleted: true,
                            _from: "_from_example",
                            fromExpression: "fromExpression_example",
                            gcs: {
                              bucket: "bucket_example",
                              key: "key_example",
                              serviceAccountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            git: {
                              branch: "branch_example",
                              depth: 1,
                              disableSubmodules: true,
                              fetch: [
                                "fetch_example",
                              ],
                              insecureIgnoreHostKey: true,
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              repo: "repo_example",
                              revision: "revision_example",
                              singleBranch: true,
                              sshPrivateKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            globalName: "globalName_example",
                            hdfs: {
                              addresses: [
                                "addresses_example",
                              ],
                              force: true,
                              hdfsUser: "hdfsUser_example",
                              krbCCacheSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbConfigConfigMap: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbKeytabSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbRealm: "krbRealm_example",
                              krbServicePrincipalName: "krbServicePrincipalName_example",
                              krbUsername: "krbUsername_example",
                              path: "path_example",
                            },
                            http: {
                              auth: {
                                basicAuth: {
                                  passwordSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  usernameSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                clientCert: {
                                  clientCertSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientKeySecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                oauth2: {
                                  clientIDSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientSecretSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  endpointParams: [
                                    {
                                      key: "key_example",
                                      value: "value_example",
                                    },
                                  ],
                                  scopes: [
                                    "scopes_example",
                                  ],
                                  tokenURLSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                              },
                              headers: [
                                {
                                  name: "name_example",
                                  value: "value_example",
                                },
                              ],
                              url: "url_example",
                            },
                            mode: 1,
                            name: "name_example",
                            optional: true,
                            oss: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: true,
                              endpoint: "endpoint_example",
                              key: "key_example",
                              lifecycleRule: {
                                markDeletionAfterDays: 1,
                                markInfrequentAccessAfterDays: 1,
                              },
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              securityToken: "securityToken_example",
                            },
                            path: "path_example",
                            raw: {
                              data: "data_example",
                            },
                            recurseMode: true,
                            s3: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: {
                                objectLocking: true,
                              },
                              encryptionOptions: {
                                enableEncryption: true,
                                kmsEncryptionContext: "kmsEncryptionContext_example",
                                kmsKeyId: "kmsKeyId_example",
                                serverSideCustomerKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              endpoint: "endpoint_example",
                              insecure: true,
                              key: "key_example",
                              region: "region_example",
                              roleARN: "roleARN_example",
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              useSDKCreds: true,
                            },
                            subPath: "subPath_example",
                          },
                        ],
                        parameters: [
                          {
                            _default: "_default_example",
                            description: "description_example",
                            _enum: [
                              "_enum_example",
                            ],
                            globalName: "globalName_example",
                            name: "name_example",
                            value: "value_example",
                            valueFrom: {
                              configMapKeyRef: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              _default: "_default_example",
                              event: "event_example",
                              expression: "expression_example",
                              jqFilter: "jqFilter_example",
                              jsonPath: "jsonPath_example",
                              parameter: "parameter_example",
                              path: "path_example",
                              supplied: {},
                            },
                          },
                        ],
                      },
                      expression: "expression_example",
                      template: "template_example",
                      templateRef: {
                        clusterScope: true,
                        name: "name_example",
                        template: "template_example",
                      },
                    },
                  },
                  inline: ,
                  name: "name_example",
                  onExit: "onExit_example",
                  template: "template_example",
                  templateRef: {
                    clusterScope: true,
                    name: "name_example",
                    template: "template_example",
                  },
                  when: "when_example",
                  withItems: [
                    {},
                  ],
                  withParam: "withParam_example",
                  withSequence: {
                    count: "count_example",
                    end: "end_example",
                    format: "format_example",
                    start: "start_example",
                  },
                },
              ],
            },
            data: {
              source: {
                artifactPaths: {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              },
              transformation: [
                {
                  expression: "expression_example",
                },
              ],
            },
            executor: {
              serviceAccountName: "serviceAccountName_example",
            },
            failFast: true,
            hostAliases: [
              {
                hostnames: [
                  "hostnames_example",
                ],
                ip: "ip_example",
              },
            ],
            http: {
              body: "body_example",
              bodyFrom: {
                bytes: 'YQ==',
              },
              headers: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              insecureSkipVerify: true,
              method: "method_example",
              successCondition: "successCondition_example",
              timeoutSeconds: 1,
              url: "url_example",
            },
            initContainers: [
              {
                args: [
                  "args_example",
                ],
                command: [
                  "command_example",
                ],
                env: [
                  {
                    name: "name_example",
                    value: "value_example",
                    valueFrom: {
                      configMapKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                      secretKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                ],
                envFrom: [
                  {
                    configMapRef: {
                      name: "name_example",
                      optional: true,
                    },
                    prefix: "prefix_example",
                    secretRef: {
                      name: "name_example",
                      optional: true,
                    },
                  },
                ],
                image: "image_example",
                imagePullPolicy: "imagePullPolicy_example",
                lifecycle: {
                  postStart: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                  preStop: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                },
                livenessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                mirrorVolumeMounts: true,
                name: "name_example",
                ports: [
                  {
                    containerPort: 1,
                    hostIP: "hostIP_example",
                    hostPort: 1,
                    name: "name_example",
                    protocol: "SCTP",
                  },
                ],
                readinessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                resources: {
                  limits: {
                    "key": "key_example",
                  },
                  requests: {
                    "key": "key_example",
                  },
                },
                securityContext: {
                  allowPrivilegeEscalation: true,
                  capabilities: {
                    add: [
                      "add_example",
                    ],
                    drop: [
                      "drop_example",
                    ],
                  },
                  privileged: true,
                  procMount: "procMount_example",
                  readOnlyRootFilesystem: true,
                  runAsGroup: 1,
                  runAsNonRoot: true,
                  runAsUser: 1,
                  seLinuxOptions: {
                    level: "level_example",
                    role: "role_example",
                    type: "type_example",
                    user: "user_example",
                  },
                  seccompProfile: {
                    localhostProfile: "localhostProfile_example",
                    type: "Localhost",
                  },
                  windowsOptions: {
                    gmsaCredentialSpec: "gmsaCredentialSpec_example",
                    gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                    hostProcess: true,
                    runAsUserName: "runAsUserName_example",
                  },
                },
                startupProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                stdin: true,
                stdinOnce: true,
                terminationMessagePath: "terminationMessagePath_example",
                terminationMessagePolicy: "terminationMessagePolicy_example",
                tty: true,
                volumeDevices: [
                  {
                    devicePath: "devicePath_example",
                    name: "name_example",
                  },
                ],
                volumeMounts: [
                  {
                    mountPath: "mountPath_example",
                    mountPropagation: "mountPropagation_example",
                    name: "name_example",
                    readOnly: true,
                    subPath: "subPath_example",
                    subPathExpr: "subPathExpr_example",
                  },
                ],
                workingDir: "workingDir_example",
              },
            ],
            inputs: {
              artifacts: [
                {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              ],
              parameters: [
                {
                  _default: "_default_example",
                  description: "description_example",
                  _enum: [
                    "_enum_example",
                  ],
                  globalName: "globalName_example",
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    _default: "_default_example",
                    event: "event_example",
                    expression: "expression_example",
                    jqFilter: "jqFilter_example",
                    jsonPath: "jsonPath_example",
                    parameter: "parameter_example",
                    path: "path_example",
                    supplied: {},
                  },
                },
              ],
            },
            memoize: {
              cache: {
                configMap: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              key: "key_example",
              maxAge: "maxAge_example",
            },
            metadata: {
              annotations: {
                "key": "key_example",
              },
              labels: {
                "key": "key_example",
              },
            },
            metrics: {
              prometheus: [
                {
                  counter: {
                    value: "value_example",
                  },
                  gauge: {
                    operation: "operation_example",
                    realtime: true,
                    value: "value_example",
                  },
                  help: "help_example",
                  histogram: {
                    buckets: [
                      3.14,
                    ],
                    value: "value_example",
                  },
                  labels: [
                    {
                      key: "key_example",
                      value: "value_example",
                    },
                  ],
                  name: "name_example",
                  when: "when_example",
                },
              ],
            },
            name: "name_example",
            nodeSelector: {
              "key": "key_example",
            },
            outputs: {
              artifacts: [
                {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              ],
              exitCode: "exitCode_example",
              parameters: [
                {
                  _default: "_default_example",
                  description: "description_example",
                  _enum: [
                    "_enum_example",
                  ],
                  globalName: "globalName_example",
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    _default: "_default_example",
                    event: "event_example",
                    expression: "expression_example",
                    jqFilter: "jqFilter_example",
                    jsonPath: "jsonPath_example",
                    parameter: "parameter_example",
                    path: "path_example",
                    supplied: {},
                  },
                },
              ],
              result: "result_example",
            },
            parallelism: 1,
            plugin: {},
            podSpecPatch: "podSpecPatch_example",
            priority: 1,
            priorityClassName: "priorityClassName_example",
            resource: {
              action: "action_example",
              failureCondition: "failureCondition_example",
              flags: [
                "flags_example",
              ],
              manifest: "manifest_example",
              manifestFrom: {
                artifact: {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              },
              mergeStrategy: "mergeStrategy_example",
              setOwnerReference: true,
              successCondition: "successCondition_example",
            },
            retryStrategy: {
              affinity: {
                nodeAntiAffinity: {},
              },
              backoff: {
                duration: "duration_example",
                factor: "factor_example",
                maxDuration: "maxDuration_example",
              },
              expression: "expression_example",
              limit: "limit_example",
              retryPolicy: "retryPolicy_example",
            },
            schedulerName: "schedulerName_example",
            script: {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "imagePullPolicy_example",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              source: "source_example",
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "terminationMessagePolicy_example",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
            securityContext: {
              fsGroup: 1,
              fsGroupChangePolicy: "fsGroupChangePolicy_example",
              runAsGroup: 1,
              runAsNonRoot: true,
              runAsUser: 1,
              seLinuxOptions: {
                level: "level_example",
                role: "role_example",
                type: "type_example",
                user: "user_example",
              },
              seccompProfile: {
                localhostProfile: "localhostProfile_example",
                type: "Localhost",
              },
              supplementalGroups: [
                1,
              ],
              sysctls: [
                {
                  name: "name_example",
                  value: "value_example",
                },
              ],
              windowsOptions: {
                gmsaCredentialSpec: "gmsaCredentialSpec_example",
                gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                hostProcess: true,
                runAsUserName: "runAsUserName_example",
              },
            },
            serviceAccountName: "serviceAccountName_example",
            sidecars: [
              {
                args: [
                  "args_example",
                ],
                command: [
                  "command_example",
                ],
                env: [
                  {
                    name: "name_example",
                    value: "value_example",
                    valueFrom: {
                      configMapKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                      secretKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                ],
                envFrom: [
                  {
                    configMapRef: {
                      name: "name_example",
                      optional: true,
                    },
                    prefix: "prefix_example",
                    secretRef: {
                      name: "name_example",
                      optional: true,
                    },
                  },
                ],
                image: "image_example",
                imagePullPolicy: "imagePullPolicy_example",
                lifecycle: {
                  postStart: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                  preStop: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                },
                livenessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                mirrorVolumeMounts: true,
                name: "name_example",
                ports: [
                  {
                    containerPort: 1,
                    hostIP: "hostIP_example",
                    hostPort: 1,
                    name: "name_example",
                    protocol: "SCTP",
                  },
                ],
                readinessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                resources: {
                  limits: {
                    "key": "key_example",
                  },
                  requests: {
                    "key": "key_example",
                  },
                },
                securityContext: {
                  allowPrivilegeEscalation: true,
                  capabilities: {
                    add: [
                      "add_example",
                    ],
                    drop: [
                      "drop_example",
                    ],
                  },
                  privileged: true,
                  procMount: "procMount_example",
                  readOnlyRootFilesystem: true,
                  runAsGroup: 1,
                  runAsNonRoot: true,
                  runAsUser: 1,
                  seLinuxOptions: {
                    level: "level_example",
                    role: "role_example",
                    type: "type_example",
                    user: "user_example",
                  },
                  seccompProfile: {
                    localhostProfile: "localhostProfile_example",
                    type: "Localhost",
                  },
                  windowsOptions: {
                    gmsaCredentialSpec: "gmsaCredentialSpec_example",
                    gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                    hostProcess: true,
                    runAsUserName: "runAsUserName_example",
                  },
                },
                startupProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                stdin: true,
                stdinOnce: true,
                terminationMessagePath: "terminationMessagePath_example",
                terminationMessagePolicy: "terminationMessagePolicy_example",
                tty: true,
                volumeDevices: [
                  {
                    devicePath: "devicePath_example",
                    name: "name_example",
                  },
                ],
                volumeMounts: [
                  {
                    mountPath: "mountPath_example",
                    mountPropagation: "mountPropagation_example",
                    name: "name_example",
                    readOnly: true,
                    subPath: "subPath_example",
                    subPathExpr: "subPathExpr_example",
                  },
                ],
                workingDir: "workingDir_example",
              },
            ],
            steps: [
              [
                {
                  arguments: {
                    artifacts: [
                      {
                        archive: {
                          none: {},
                          tar: {
                            compressionLevel: 1,
                          },
                          zip: {},
                        },
                        archiveLogs: true,
                        artifactGC: {
                          podMetadata: {
                            annotations: {
                              "key": "key_example",
                            },
                            labels: {
                              "key": "key_example",
                            },
                          },
                          serviceAccountName: "serviceAccountName_example",
                          strategy: "strategy_example",
                        },
                        artifactory: {
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          url: "url_example",
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        azure: {
                          accountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          blob: "blob_example",
                          container: "container_example",
                          endpoint: "endpoint_example",
                          useSDKCreds: true,
                        },
                        deleted: true,
                        _from: "_from_example",
                        fromExpression: "fromExpression_example",
                        gcs: {
                          bucket: "bucket_example",
                          key: "key_example",
                          serviceAccountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        git: {
                          branch: "branch_example",
                          depth: 1,
                          disableSubmodules: true,
                          fetch: [
                            "fetch_example",
                          ],
                          insecureIgnoreHostKey: true,
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          repo: "repo_example",
                          revision: "revision_example",
                          singleBranch: true,
                          sshPrivateKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        globalName: "globalName_example",
                        hdfs: {
                          addresses: [
                            "addresses_example",
                          ],
                          force: true,
                          hdfsUser: "hdfsUser_example",
                          krbCCacheSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbConfigConfigMap: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbKeytabSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbRealm: "krbRealm_example",
                          krbServicePrincipalName: "krbServicePrincipalName_example",
                          krbUsername: "krbUsername_example",
                          path: "path_example",
                        },
                        http: {
                          auth: {
                            basicAuth: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            clientCert: {
                              clientCertSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            oauth2: {
                              clientIDSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientSecretSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              endpointParams: [
                                {
                                  key: "key_example",
                                  value: "value_example",
                                },
                              ],
                              scopes: [
                                "scopes_example",
                              ],
                              tokenURLSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                          },
                          headers: [
                            {
                              name: "name_example",
                              value: "value_example",
                            },
                          ],
                          url: "url_example",
                        },
                        mode: 1,
                        name: "name_example",
                        optional: true,
                        oss: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: true,
                          endpoint: "endpoint_example",
                          key: "key_example",
                          lifecycleRule: {
                            markDeletionAfterDays: 1,
                            markInfrequentAccessAfterDays: 1,
                          },
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          securityToken: "securityToken_example",
                        },
                        path: "path_example",
                        raw: {
                          data: "data_example",
                        },
                        recurseMode: true,
                        s3: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: {
                            objectLocking: true,
                          },
                          encryptionOptions: {
                            enableEncryption: true,
                            kmsEncryptionContext: "kmsEncryptionContext_example",
                            kmsKeyId: "kmsKeyId_example",
                            serverSideCustomerKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          endpoint: "endpoint_example",
                          insecure: true,
                          key: "key_example",
                          region: "region_example",
                          roleARN: "roleARN_example",
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          useSDKCreds: true,
                        },
                        subPath: "subPath_example",
                      },
                    ],
                    parameters: [
                      {
                        _default: "_default_example",
                        description: "description_example",
                        _enum: [
                          "_enum_example",
                        ],
                        globalName: "globalName_example",
                        name: "name_example",
                        value: "value_example",
                        valueFrom: {
                          configMapKeyRef: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          _default: "_default_example",
                          event: "event_example",
                          expression: "expression_example",
                          jqFilter: "jqFilter_example",
                          jsonPath: "jsonPath_example",
                          parameter: "parameter_example",
                          path: "path_example",
                          supplied: {},
                        },
                      },
                    ],
                  },
                  continueOn: {
                    error: true,
                    failed: true,
                  },
                  hooks: {
                    "key": {
                      arguments: {
                        artifacts: [
                          {
                            archive: {
                              none: {},
                              tar: {
                                compressionLevel: 1,
                              },
                              zip: {},
                            },
                            archiveLogs: true,
                            artifactGC: {
                              podMetadata: {
                                annotations: {
                                  "key": "key_example",
                                },
                                labels: {
                                  "key": "key_example",
                                },
                              },
                              serviceAccountName: "serviceAccountName_example",
                              strategy: "strategy_example",
                            },
                            artifactory: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              url: "url_example",
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            azure: {
                              accountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              blob: "blob_example",
                              container: "container_example",
                              endpoint: "endpoint_example",
                              useSDKCreds: true,
                            },
                            deleted: true,
                            _from: "_from_example",
                            fromExpression: "fromExpression_example",
                            gcs: {
                              bucket: "bucket_example",
                              key: "key_example",
                              serviceAccountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            git: {
                              branch: "branch_example",
                              depth: 1,
                              disableSubmodules: true,
                              fetch: [
                                "fetch_example",
                              ],
                              insecureIgnoreHostKey: true,
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              repo: "repo_example",
                              revision: "revision_example",
                              singleBranch: true,
                              sshPrivateKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            globalName: "globalName_example",
                            hdfs: {
                              addresses: [
                                "addresses_example",
                              ],
                              force: true,
                              hdfsUser: "hdfsUser_example",
                              krbCCacheSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbConfigConfigMap: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbKeytabSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbRealm: "krbRealm_example",
                              krbServicePrincipalName: "krbServicePrincipalName_example",
                              krbUsername: "krbUsername_example",
                              path: "path_example",
                            },
                            http: {
                              auth: {
                                basicAuth: {
                                  passwordSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  usernameSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                clientCert: {
                                  clientCertSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientKeySecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                oauth2: {
                                  clientIDSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientSecretSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  endpointParams: [
                                    {
                                      key: "key_example",
                                      value: "value_example",
                                    },
                                  ],
                                  scopes: [
                                    "scopes_example",
                                  ],
                                  tokenURLSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                              },
                              headers: [
                                {
                                  name: "name_example",
                                  value: "value_example",
                                },
                              ],
                              url: "url_example",
                            },
                            mode: 1,
                            name: "name_example",
                            optional: true,
                            oss: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: true,
                              endpoint: "endpoint_example",
                              key: "key_example",
                              lifecycleRule: {
                                markDeletionAfterDays: 1,
                                markInfrequentAccessAfterDays: 1,
                              },
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              securityToken: "securityToken_example",
                            },
                            path: "path_example",
                            raw: {
                              data: "data_example",
                            },
                            recurseMode: true,
                            s3: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: {
                                objectLocking: true,
                              },
                              encryptionOptions: {
                                enableEncryption: true,
                                kmsEncryptionContext: "kmsEncryptionContext_example",
                                kmsKeyId: "kmsKeyId_example",
                                serverSideCustomerKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              endpoint: "endpoint_example",
                              insecure: true,
                              key: "key_example",
                              region: "region_example",
                              roleARN: "roleARN_example",
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              useSDKCreds: true,
                            },
                            subPath: "subPath_example",
                          },
                        ],
                        parameters: [
                          {
                            _default: "_default_example",
                            description: "description_example",
                            _enum: [
                              "_enum_example",
                            ],
                            globalName: "globalName_example",
                            name: "name_example",
                            value: "value_example",
                            valueFrom: {
                              configMapKeyRef: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              _default: "_default_example",
                              event: "event_example",
                              expression: "expression_example",
                              jqFilter: "jqFilter_example",
                              jsonPath: "jsonPath_example",
                              parameter: "parameter_example",
                              path: "path_example",
                              supplied: {},
                            },
                          },
                        ],
                      },
                      expression: "expression_example",
                      template: "template_example",
                      templateRef: {
                        clusterScope: true,
                        name: "name_example",
                        template: "template_example",
                      },
                    },
                  },
                  inline: ,
                  name: "name_example",
                  onExit: "onExit_example",
                  template: "template_example",
                  templateRef: {
                    clusterScope: true,
                    name: "name_example",
                    template: "template_example",
                  },
                  when: "when_example",
                  withItems: [
                    {},
                  ],
                  withParam: "withParam_example",
                  withSequence: {
                    count: "count_example",
                    end: "end_example",
                    format: "format_example",
                    start: "start_example",
                  },
                },
              ],
            ],
            suspend: {
              duration: "duration_example",
            },
            synchronization: {
              mutex: {
                name: "name_example",
                namespace: "namespace_example",
              },
              semaphore: {
                configMapKeyRef: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                namespace: "namespace_example",
              },
            },
            timeout: "timeout_example",
            tolerations: [
              {
                effect: "NoExecute",
                key: "key_example",
                operator: "Equal",
                tolerationSeconds: 1,
                value: "value_example",
              },
            ],
            volumes: [
              {
                awsElasticBlockStore: {
                  fsType: "fsType_example",
                  partition: 1,
                  readOnly: true,
                  volumeID: "volumeID_example",
                },
                azureDisk: {
                  cachingMode: "cachingMode_example",
                  diskName: "diskName_example",
                  diskURI: "diskURI_example",
                  fsType: "fsType_example",
                  kind: "kind_example",
                  readOnly: true,
                },
                azureFile: {
                  readOnly: true,
                  secretName: "secretName_example",
                  shareName: "shareName_example",
                },
                cephfs: {
                  monitors: [
                    "monitors_example",
                  ],
                  path: "path_example",
                  readOnly: true,
                  secretFile: "secretFile_example",
                  secretRef: {
                    name: "name_example",
                  },
                  user: "user_example",
                },
                cinder: {
                  fsType: "fsType_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  volumeID: "volumeID_example",
                },
                configMap: {
                  defaultMode: 1,
                  items: [
                    {
                      key: "key_example",
                      mode: 1,
                      path: "path_example",
                    },
                  ],
                  name: "name_example",
                  optional: true,
                },
                csi: {
                  driver: "driver_example",
                  fsType: "fsType_example",
                  nodePublishSecretRef: {
                    name: "name_example",
                  },
                  readOnly: true,
                  volumeAttributes: {
                    "key": "key_example",
                  },
                },
                downwardAPI: {
                  defaultMode: 1,
                  items: [
                    {
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      mode: 1,
                      path: "path_example",
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                    },
                  ],
                },
                emptyDir: {
                  medium: "medium_example",
                  sizeLimit: "sizeLimit_example",
                },
                ephemeral: {
                  volumeClaimTemplate: {
                    metadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      clusterName: "clusterName_example",
                      creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                      deletionGracePeriodSeconds: 1,
                      deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                      finalizers: [
                        "finalizers_example",
                      ],
                      generateName: "generateName_example",
                      generation: 1,
                      labels: {
                        "key": "key_example",
                      },
                      managedFields: [
                        {
                          apiVersion: "apiVersion_example",
                          fieldsType: "fieldsType_example",
                          fieldsV1: {},
                          manager: "manager_example",
                          operation: "operation_example",
                          subresource: "subresource_example",
                          time: new Date('1970-01-01T00:00:00.00Z'),
                        },
                      ],
                      name: "name_example",
                      namespace: "namespace_example",
                      ownerReferences: [
                        {
                          apiVersion: "apiVersion_example",
                          blockOwnerDeletion: true,
                          controller: true,
                          kind: "kind_example",
                          name: "name_example",
                          uid: "uid_example",
                        },
                      ],
                      resourceVersion: "resourceVersion_example",
                      selfLink: "selfLink_example",
                      uid: "uid_example",
                    },
                    spec: {
                      accessModes: [
                        "accessModes_example",
                      ],
                      dataSource: {
                        apiGroup: "apiGroup_example",
                        kind: "kind_example",
                        name: "name_example",
                      },
                      dataSourceRef: {
                        apiGroup: "apiGroup_example",
                        kind: "kind_example",
                        name: "name_example",
                      },
                      resources: {
                        limits: {
                          "key": "key_example",
                        },
                        requests: {
                          "key": "key_example",
                        },
                      },
                      selector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      storageClassName: "storageClassName_example",
                      volumeMode: "volumeMode_example",
                      volumeName: "volumeName_example",
                    },
                  },
                },
                fc: {
                  fsType: "fsType_example",
                  lun: 1,
                  readOnly: true,
                  targetWWNs: [
                    "targetWWNs_example",
                  ],
                  wwids: [
                    "wwids_example",
                  ],
                },
                flexVolume: {
                  driver: "driver_example",
                  fsType: "fsType_example",
                  options: {
                    "key": "key_example",
                  },
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                },
                flocker: {
                  datasetName: "datasetName_example",
                  datasetUUID: "datasetUUID_example",
                },
                gcePersistentDisk: {
                  fsType: "fsType_example",
                  partition: 1,
                  pdName: "pdName_example",
                  readOnly: true,
                },
                gitRepo: {
                  directory: "directory_example",
                  repository: "repository_example",
                  revision: "revision_example",
                },
                glusterfs: {
                  endpoints: "endpoints_example",
                  path: "path_example",
                  readOnly: true,
                },
                hostPath: {
                  path: "path_example",
                  type: "type_example",
                },
                iscsi: {
                  chapAuthDiscovery: true,
                  chapAuthSession: true,
                  fsType: "fsType_example",
                  initiatorName: "initiatorName_example",
                  iqn: "iqn_example",
                  iscsiInterface: "iscsiInterface_example",
                  lun: 1,
                  portals: [
                    "portals_example",
                  ],
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  targetPortal: "targetPortal_example",
                },
                name: "name_example",
                nfs: {
                  path: "path_example",
                  readOnly: true,
                  server: "server_example",
                },
                persistentVolumeClaim: {
                  claimName: "claimName_example",
                  readOnly: true,
                },
                photonPersistentDisk: {
                  fsType: "fsType_example",
                  pdID: "pdID_example",
                },
                portworxVolume: {
                  fsType: "fsType_example",
                  readOnly: true,
                  volumeID: "volumeID_example",
                },
                projected: {
                  defaultMode: 1,
                  sources: [
                    {
                      configMap: {
                        items: [
                          {
                            key: "key_example",
                            mode: 1,
                            path: "path_example",
                          },
                        ],
                        name: "name_example",
                        optional: true,
                      },
                      downwardAPI: {
                        items: [
                          {
                            fieldRef: {
                              apiVersion: "apiVersion_example",
                              fieldPath: "fieldPath_example",
                            },
                            mode: 1,
                            path: "path_example",
                            resourceFieldRef: {
                              containerName: "containerName_example",
                              divisor: "divisor_example",
                              resource: "resource_example",
                            },
                          },
                        ],
                      },
                      secret: {
                        items: [
                          {
                            key: "key_example",
                            mode: 1,
                            path: "path_example",
                          },
                        ],
                        name: "name_example",
                        optional: true,
                      },
                      serviceAccountToken: {
                        audience: "audience_example",
                        expirationSeconds: 1,
                        path: "path_example",
                      },
                    },
                  ],
                },
                quobyte: {
                  group: "group_example",
                  readOnly: true,
                  registry: "registry_example",
                  tenant: "tenant_example",
                  user: "user_example",
                  volume: "volume_example",
                },
                rbd: {
                  fsType: "fsType_example",
                  image: "image_example",
                  keyring: "keyring_example",
                  monitors: [
                    "monitors_example",
                  ],
                  pool: "pool_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  user: "user_example",
                },
                scaleIO: {
                  fsType: "fsType_example",
                  gateway: "gateway_example",
                  protectionDomain: "protectionDomain_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  sslEnabled: true,
                  storageMode: "storageMode_example",
                  storagePool: "storagePool_example",
                  system: "system_example",
                  volumeName: "volumeName_example",
                },
                secret: {
                  defaultMode: 1,
                  items: [
                    {
                      key: "key_example",
                      mode: 1,
                      path: "path_example",
                    },
                  ],
                  optional: true,
                  secretName: "secretName_example",
                },
                storageos: {
                  fsType: "fsType_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  volumeName: "volumeName_example",
                  volumeNamespace: "volumeNamespace_example",
                },
                vsphereVolume: {
                  fsType: "fsType_example",
                  storagePolicyID: "storagePolicyID_example",
                  storagePolicyName: "storagePolicyName_example",
                  volumePath: "volumePath_example",
                },
              },
            ],
          },
        ],
        tolerations: [
          {
            effect: "NoExecute",
            key: "key_example",
            operator: "Equal",
            tolerationSeconds: 1,
            value: "value_example",
          },
        ],
        ttlStrategy: {
          secondsAfterCompletion: 1,
          secondsAfterFailure: 1,
          secondsAfterSuccess: 1,
        },
        volumeClaimGC: {
          strategy: "strategy_example",
        },
        volumeClaimTemplates: [
          {
            apiVersion: "apiVersion_example",
            kind: "kind_example",
            metadata: {
              annotations: {
                "key": "key_example",
              },
              clusterName: "clusterName_example",
              creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
              deletionGracePeriodSeconds: 1,
              deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
              finalizers: [
                "finalizers_example",
              ],
              generateName: "generateName_example",
              generation: 1,
              labels: {
                "key": "key_example",
              },
              managedFields: [
                {
                  apiVersion: "apiVersion_example",
                  fieldsType: "fieldsType_example",
                  fieldsV1: {},
                  manager: "manager_example",
                  operation: "operation_example",
                  subresource: "subresource_example",
                  time: new Date('1970-01-01T00:00:00.00Z'),
                },
              ],
              name: "name_example",
              namespace: "namespace_example",
              ownerReferences: [
                {
                  apiVersion: "apiVersion_example",
                  blockOwnerDeletion: true,
                  controller: true,
                  kind: "kind_example",
                  name: "name_example",
                  uid: "uid_example",
                },
              ],
              resourceVersion: "resourceVersion_example",
              selfLink: "selfLink_example",
              uid: "uid_example",
            },
            spec: {
              accessModes: [
                "accessModes_example",
              ],
              dataSource: {
                apiGroup: "apiGroup_example",
                kind: "kind_example",
                name: "name_example",
              },
              dataSourceRef: {
                apiGroup: "apiGroup_example",
                kind: "kind_example",
                name: "name_example",
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              selector: {
                matchExpressions: [
                  {
                    key: "key_example",
                    operator: "operator_example",
                    values: [
                      "values_example",
                    ],
                  },
                ],
                matchLabels: {
                  "key": "key_example",
                },
              },
              storageClassName: "storageClassName_example",
              volumeMode: "volumeMode_example",
              volumeName: "volumeName_example",
            },
            status: {
              accessModes: [
                "accessModes_example",
              ],
              allocatedResources: {
                "key": "key_example",
              },
              capacity: {
                "key": "key_example",
              },
              conditions: [
                {
                  lastProbeTime: new Date('1970-01-01T00:00:00.00Z'),
                  lastTransitionTime: new Date('1970-01-01T00:00:00.00Z'),
                  message: "message_example",
                  reason: "reason_example",
                  status: "status_example",
                  type: "FileSystemResizePending",
                },
              ],
              phase: "Bound",
              resizeStatus: "resizeStatus_example",
            },
          },
        ],
        volumes: [
          {
            awsElasticBlockStore: {
              fsType: "fsType_example",
              partition: 1,
              readOnly: true,
              volumeID: "volumeID_example",
            },
            azureDisk: {
              cachingMode: "cachingMode_example",
              diskName: "diskName_example",
              diskURI: "diskURI_example",
              fsType: "fsType_example",
              kind: "kind_example",
              readOnly: true,
            },
            azureFile: {
              readOnly: true,
              secretName: "secretName_example",
              shareName: "shareName_example",
            },
            cephfs: {
              monitors: [
                "monitors_example",
              ],
              path: "path_example",
              readOnly: true,
              secretFile: "secretFile_example",
              secretRef: {
                name: "name_example",
              },
              user: "user_example",
            },
            cinder: {
              fsType: "fsType_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              volumeID: "volumeID_example",
            },
            configMap: {
              defaultMode: 1,
              items: [
                {
                  key: "key_example",
                  mode: 1,
                  path: "path_example",
                },
              ],
              name: "name_example",
              optional: true,
            },
            csi: {
              driver: "driver_example",
              fsType: "fsType_example",
              nodePublishSecretRef: {
                name: "name_example",
              },
              readOnly: true,
              volumeAttributes: {
                "key": "key_example",
              },
            },
            downwardAPI: {
              defaultMode: 1,
              items: [
                {
                  fieldRef: {
                    apiVersion: "apiVersion_example",
                    fieldPath: "fieldPath_example",
                  },
                  mode: 1,
                  path: "path_example",
                  resourceFieldRef: {
                    containerName: "containerName_example",
                    divisor: "divisor_example",
                    resource: "resource_example",
                  },
                },
              ],
            },
            emptyDir: {
              medium: "medium_example",
              sizeLimit: "sizeLimit_example",
            },
            ephemeral: {
              volumeClaimTemplate: {
                metadata: {
                  annotations: {
                    "key": "key_example",
                  },
                  clusterName: "clusterName_example",
                  creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                  deletionGracePeriodSeconds: 1,
                  deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                  finalizers: [
                    "finalizers_example",
                  ],
                  generateName: "generateName_example",
                  generation: 1,
                  labels: {
                    "key": "key_example",
                  },
                  managedFields: [
                    {
                      apiVersion: "apiVersion_example",
                      fieldsType: "fieldsType_example",
                      fieldsV1: {},
                      manager: "manager_example",
                      operation: "operation_example",
                      subresource: "subresource_example",
                      time: new Date('1970-01-01T00:00:00.00Z'),
                    },
                  ],
                  name: "name_example",
                  namespace: "namespace_example",
                  ownerReferences: [
                    {
                      apiVersion: "apiVersion_example",
                      blockOwnerDeletion: true,
                      controller: true,
                      kind: "kind_example",
                      name: "name_example",
                      uid: "uid_example",
                    },
                  ],
                  resourceVersion: "resourceVersion_example",
                  selfLink: "selfLink_example",
                  uid: "uid_example",
                },
                spec: {
                  accessModes: [
                    "accessModes_example",
                  ],
                  dataSource: {
                    apiGroup: "apiGroup_example",
                    kind: "kind_example",
                    name: "name_example",
                  },
                  dataSourceRef: {
                    apiGroup: "apiGroup_example",
                    kind: "kind_example",
                    name: "name_example",
                  },
                  resources: {
                    limits: {
                      "key": "key_example",
                    },
                    requests: {
                      "key": "key_example",
                    },
                  },
                  selector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  storageClassName: "storageClassName_example",
                  volumeMode: "volumeMode_example",
                  volumeName: "volumeName_example",
                },
              },
            },
            fc: {
              fsType: "fsType_example",
              lun: 1,
              readOnly: true,
              targetWWNs: [
                "targetWWNs_example",
              ],
              wwids: [
                "wwids_example",
              ],
            },
            flexVolume: {
              driver: "driver_example",
              fsType: "fsType_example",
              options: {
                "key": "key_example",
              },
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
            },
            flocker: {
              datasetName: "datasetName_example",
              datasetUUID: "datasetUUID_example",
            },
            gcePersistentDisk: {
              fsType: "fsType_example",
              partition: 1,
              pdName: "pdName_example",
              readOnly: true,
            },
            gitRepo: {
              directory: "directory_example",
              repository: "repository_example",
              revision: "revision_example",
            },
            glusterfs: {
              endpoints: "endpoints_example",
              path: "path_example",
              readOnly: true,
            },
            hostPath: {
              path: "path_example",
              type: "type_example",
            },
            iscsi: {
              chapAuthDiscovery: true,
              chapAuthSession: true,
              fsType: "fsType_example",
              initiatorName: "initiatorName_example",
              iqn: "iqn_example",
              iscsiInterface: "iscsiInterface_example",
              lun: 1,
              portals: [
                "portals_example",
              ],
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              targetPortal: "targetPortal_example",
            },
            name: "name_example",
            nfs: {
              path: "path_example",
              readOnly: true,
              server: "server_example",
            },
            persistentVolumeClaim: {
              claimName: "claimName_example",
              readOnly: true,
            },
            photonPersistentDisk: {
              fsType: "fsType_example",
              pdID: "pdID_example",
            },
            portworxVolume: {
              fsType: "fsType_example",
              readOnly: true,
              volumeID: "volumeID_example",
            },
            projected: {
              defaultMode: 1,
              sources: [
                {
                  configMap: {
                    items: [
                      {
                        key: "key_example",
                        mode: 1,
                        path: "path_example",
                      },
                    ],
                    name: "name_example",
                    optional: true,
                  },
                  downwardAPI: {
                    items: [
                      {
                        fieldRef: {
                          apiVersion: "apiVersion_example",
                          fieldPath: "fieldPath_example",
                        },
                        mode: 1,
                        path: "path_example",
                        resourceFieldRef: {
                          containerName: "containerName_example",
                          divisor: "divisor_example",
                          resource: "resource_example",
                        },
                      },
                    ],
                  },
                  secret: {
                    items: [
                      {
                        key: "key_example",
                        mode: 1,
                        path: "path_example",
                      },
                    ],
                    name: "name_example",
                    optional: true,
                  },
                  serviceAccountToken: {
                    audience: "audience_example",
                    expirationSeconds: 1,
                    path: "path_example",
                  },
                },
              ],
            },
            quobyte: {
              group: "group_example",
              readOnly: true,
              registry: "registry_example",
              tenant: "tenant_example",
              user: "user_example",
              volume: "volume_example",
            },
            rbd: {
              fsType: "fsType_example",
              image: "image_example",
              keyring: "keyring_example",
              monitors: [
                "monitors_example",
              ],
              pool: "pool_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              user: "user_example",
            },
            scaleIO: {
              fsType: "fsType_example",
              gateway: "gateway_example",
              protectionDomain: "protectionDomain_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              sslEnabled: true,
              storageMode: "storageMode_example",
              storagePool: "storagePool_example",
              system: "system_example",
              volumeName: "volumeName_example",
            },
            secret: {
              defaultMode: 1,
              items: [
                {
                  key: "key_example",
                  mode: 1,
                  path: "path_example",
                },
              ],
              optional: true,
              secretName: "secretName_example",
            },
            storageos: {
              fsType: "fsType_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              volumeName: "volumeName_example",
              volumeNamespace: "volumeNamespace_example",
            },
            vsphereVolume: {
              fsType: "fsType_example",
              storagePolicyID: "storagePolicyID_example",
              storagePolicyName: "storagePolicyName_example",
              volumePath: "volumePath_example",
            },
          },
        ],
        workflowMetadata: {
          annotations: {
            "key": "key_example",
          },
          labels: {
            "key": "key_example",
          },
          labelsFrom: {
            "key": {
              expression: "expression_example",
            },
          },
        },
        workflowTemplateRef: {
          clusterScope: true,
          name: "name_example",
        },
      },
    },
  },
};

apiInstance.workflowTemplateServiceLintWorkflowTemplate(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | **IoArgoprojWorkflowV1alpha1WorkflowTemplateLintRequest**|  |
 **namespace** | [**string**] |  | defaults to undefined


### Return type

**IoArgoprojWorkflowV1alpha1WorkflowTemplate**

### Authorization

[BearerToken](README.md#BearerToken)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | A successful response. |  -  |
**0** | An unexpected error response. |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)

# **workflowTemplateServiceListWorkflowTemplates**
> IoArgoprojWorkflowV1alpha1WorkflowTemplateList workflowTemplateServiceListWorkflowTemplates()


### Example


```typescript
import {  } from '';
import * as fs from 'fs';

const configuration = .createConfiguration();
const apiInstance = new .WorkflowTemplateServiceApi(configuration);

let body:.WorkflowTemplateServiceApiWorkflowTemplateServiceListWorkflowTemplatesRequest = {
  // string
  namespace: "namespace_example",
  // string | A selector to restrict the list of returned objects by their labels. Defaults to everything. +optional. (optional)
  listOptionsLabelSelector: "listOptions.labelSelector_example",
  // string | A selector to restrict the list of returned objects by their fields. Defaults to everything. +optional. (optional)
  listOptionsFieldSelector: "listOptions.fieldSelector_example",
  // boolean | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. +optional. (optional)
  listOptionsWatch: true,
  // boolean | allowWatchBookmarks requests watch events with type \"BOOKMARK\". Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server\'s discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. +optional. (optional)
  listOptionsAllowWatchBookmarks: true,
  // string | resourceVersion sets a constraint on what resource versions a request may be served from. See https://kubernetes.io/docs/reference/using-api/api-concepts/#resource-versions for details.  Defaults to unset +optional (optional)
  listOptionsResourceVersion: "listOptions.resourceVersion_example",
  // string | resourceVersionMatch determines how resourceVersion is applied to list calls. It is highly recommended that resourceVersionMatch be set for list calls where resourceVersion is set See https://kubernetes.io/docs/reference/using-api/api-concepts/#resource-versions for details.  Defaults to unset +optional (optional)
  listOptionsResourceVersionMatch: "listOptions.resourceVersionMatch_example",
  // string | Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. +optional. (optional)
  listOptionsTimeoutSeconds: "listOptions.timeoutSeconds_example",
  // string | limit is a maximum number of responses to return for a list call. If more items exist, the server will set the `continue` field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.  The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned. (optional)
  listOptionsLimit: "listOptions.limit_example",
  // string | The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \"next key\".  This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. (optional)
  listOptionsContinue: "listOptions.continue_example",
};

apiInstance.workflowTemplateServiceListWorkflowTemplates(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **namespace** | [**string**] |  | defaults to undefined
 **listOptionsLabelSelector** | [**string**] | A selector to restrict the list of returned objects by their labels. Defaults to everything. +optional. | (optional) defaults to undefined
 **listOptionsFieldSelector** | [**string**] | A selector to restrict the list of returned objects by their fields. Defaults to everything. +optional. | (optional) defaults to undefined
 **listOptionsWatch** | [**boolean**] | Watch for changes to the described resources and return them as a stream of add, update, and remove notifications. Specify resourceVersion. +optional. | (optional) defaults to undefined
 **listOptionsAllowWatchBookmarks** | [**boolean**] | allowWatchBookmarks requests watch events with type \&quot;BOOKMARK\&quot;. Servers that do not implement bookmarks may ignore this flag and bookmarks are sent at the server\&#39;s discretion. Clients should not assume bookmarks are returned at any specific interval, nor may they assume the server will send any BOOKMARK event during a session. If this is not a watch, this field is ignored. +optional. | (optional) defaults to undefined
 **listOptionsResourceVersion** | [**string**] | resourceVersion sets a constraint on what resource versions a request may be served from. See https://kubernetes.io/docs/reference/using-api/api-concepts/#resource-versions for details.  Defaults to unset +optional | (optional) defaults to undefined
 **listOptionsResourceVersionMatch** | [**string**] | resourceVersionMatch determines how resourceVersion is applied to list calls. It is highly recommended that resourceVersionMatch be set for list calls where resourceVersion is set See https://kubernetes.io/docs/reference/using-api/api-concepts/#resource-versions for details.  Defaults to unset +optional | (optional) defaults to undefined
 **listOptionsTimeoutSeconds** | [**string**] | Timeout for the list/watch call. This limits the duration of the call, regardless of any activity or inactivity. +optional. | (optional) defaults to undefined
 **listOptionsLimit** | [**string**] | limit is a maximum number of responses to return for a list call. If more items exist, the server will set the &#x60;continue&#x60; field on the list metadata to a value that can be used with the same initial query to retrieve the next set of results. Setting a limit may return fewer than the requested amount of items (up to zero items) in the event all requested objects are filtered out and clients should only use the presence of the continue field to determine whether more results are available. Servers may choose not to support the limit argument and will return all of the available results. If limit is specified and the continue field is empty, clients may assume that no more results are available. This field is not supported if watch is true.  The server guarantees that the objects returned when using continue will be identical to issuing a single list call without a limit - that is, no objects created, modified, or deleted after the first request is issued will be included in any subsequent continued requests. This is sometimes referred to as a consistent snapshot, and ensures that a client that is using limit to receive smaller chunks of a very large result can ensure they see all possible objects. If objects are updated during a chunked list the version of the object that was present at the time the first list result was calculated is returned. | (optional) defaults to undefined
 **listOptionsContinue** | [**string**] | The continue option should be set when retrieving more results from the server. Since this value is server defined, clients may only use the continue value from a previous query result with identical query parameters (except for the value of continue) and the server may reject a continue value it does not recognize. If the specified continue value is no longer valid whether due to expiration (generally five to fifteen minutes) or a configuration change on the server, the server will respond with a 410 ResourceExpired error together with a continue token. If the client needs a consistent list, it must restart their list without the continue field. Otherwise, the client may send another list request with the token received with the 410 error, the server will respond with a list starting from the next key, but from the latest snapshot, which is inconsistent from the previous list results - objects that are created, modified, or deleted after the first list request will be included in the response, as long as their keys are after the \&quot;next key\&quot;.  This field is not supported when watch is true. Clients may start a watch from the last resourceVersion value returned by the server and not miss any modifications. | (optional) defaults to undefined


### Return type

**IoArgoprojWorkflowV1alpha1WorkflowTemplateList**

### Authorization

[BearerToken](README.md#BearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | A successful response. |  -  |
**0** | An unexpected error response. |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)

# **workflowTemplateServiceUpdateWorkflowTemplate**
> IoArgoprojWorkflowV1alpha1WorkflowTemplate workflowTemplateServiceUpdateWorkflowTemplate(body)


### Example


```typescript
import {  } from '';
import * as fs from 'fs';

const configuration = .createConfiguration();
const apiInstance = new .WorkflowTemplateServiceApi(configuration);

let body:.WorkflowTemplateServiceApiWorkflowTemplateServiceUpdateWorkflowTemplateRequest = {
  // string
  namespace: "namespace_example",
  // string | DEPRECATED: This field is ignored.
  name: "name_example",
  // IoArgoprojWorkflowV1alpha1WorkflowTemplateUpdateRequest
  body: {
    name: "name_example",
    namespace: "namespace_example",
    template: {
      apiVersion: "apiVersion_example",
      kind: "kind_example",
      metadata: {
        annotations: {
          "key": "key_example",
        },
        clusterName: "clusterName_example",
        creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
        deletionGracePeriodSeconds: 1,
        deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
        finalizers: [
          "finalizers_example",
        ],
        generateName: "generateName_example",
        generation: 1,
        labels: {
          "key": "key_example",
        },
        managedFields: [
          {
            apiVersion: "apiVersion_example",
            fieldsType: "fieldsType_example",
            fieldsV1: {},
            manager: "manager_example",
            operation: "operation_example",
            subresource: "subresource_example",
            time: new Date('1970-01-01T00:00:00.00Z'),
          },
        ],
        name: "name_example",
        namespace: "namespace_example",
        ownerReferences: [
          {
            apiVersion: "apiVersion_example",
            blockOwnerDeletion: true,
            controller: true,
            kind: "kind_example",
            name: "name_example",
            uid: "uid_example",
          },
        ],
        resourceVersion: "resourceVersion_example",
        selfLink: "selfLink_example",
        uid: "uid_example",
      },
      spec: {
        activeDeadlineSeconds: 1,
        affinity: {
          nodeAffinity: {
            preferredDuringSchedulingIgnoredDuringExecution: [
              {
                preference: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchFields: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                },
                weight: 1,
              },
            ],
            requiredDuringSchedulingIgnoredDuringExecution: {
              nodeSelectorTerms: [
                {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchFields: [
                    {
                      key: "key_example",
                      operator: "DoesNotExist",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                },
              ],
            },
          },
          podAffinity: {
            preferredDuringSchedulingIgnoredDuringExecution: [
              {
                podAffinityTerm: {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
                weight: 1,
              },
            ],
            requiredDuringSchedulingIgnoredDuringExecution: [
              {
                labelSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaceSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaces: [
                  "namespaces_example",
                ],
                topologyKey: "topologyKey_example",
              },
            ],
          },
          podAntiAffinity: {
            preferredDuringSchedulingIgnoredDuringExecution: [
              {
                podAffinityTerm: {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
                weight: 1,
              },
            ],
            requiredDuringSchedulingIgnoredDuringExecution: [
              {
                labelSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaceSelector: {
                  matchExpressions: [
                    {
                      key: "key_example",
                      operator: "operator_example",
                      values: [
                        "values_example",
                      ],
                    },
                  ],
                  matchLabels: {
                    "key": "key_example",
                  },
                },
                namespaces: [
                  "namespaces_example",
                ],
                topologyKey: "topologyKey_example",
              },
            ],
          },
        },
        archiveLogs: true,
        arguments: {
          artifacts: [
            {
              archive: {
                none: {},
                tar: {
                  compressionLevel: 1,
                },
                zip: {},
              },
              archiveLogs: true,
              artifactGC: {
                podMetadata: {
                  annotations: {
                    "key": "key_example",
                  },
                  labels: {
                    "key": "key_example",
                  },
                },
                serviceAccountName: "serviceAccountName_example",
                strategy: "strategy_example",
              },
              artifactory: {
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                url: "url_example",
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              azure: {
                accountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                blob: "blob_example",
                container: "container_example",
                endpoint: "endpoint_example",
                useSDKCreds: true,
              },
              deleted: true,
              _from: "_from_example",
              fromExpression: "fromExpression_example",
              gcs: {
                bucket: "bucket_example",
                key: "key_example",
                serviceAccountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              git: {
                branch: "branch_example",
                depth: 1,
                disableSubmodules: true,
                fetch: [
                  "fetch_example",
                ],
                insecureIgnoreHostKey: true,
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                repo: "repo_example",
                revision: "revision_example",
                singleBranch: true,
                sshPrivateKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              globalName: "globalName_example",
              hdfs: {
                addresses: [
                  "addresses_example",
                ],
                force: true,
                hdfsUser: "hdfsUser_example",
                krbCCacheSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbConfigConfigMap: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbKeytabSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbRealm: "krbRealm_example",
                krbServicePrincipalName: "krbServicePrincipalName_example",
                krbUsername: "krbUsername_example",
                path: "path_example",
              },
              http: {
                auth: {
                  basicAuth: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  clientCert: {
                    clientCertSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  oauth2: {
                    clientIDSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientSecretSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    endpointParams: [
                      {
                        key: "key_example",
                        value: "value_example",
                      },
                    ],
                    scopes: [
                      "scopes_example",
                    ],
                    tokenURLSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
                headers: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                url: "url_example",
              },
              mode: 1,
              name: "name_example",
              optional: true,
              oss: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: true,
                endpoint: "endpoint_example",
                key: "key_example",
                lifecycleRule: {
                  markDeletionAfterDays: 1,
                  markInfrequentAccessAfterDays: 1,
                },
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                securityToken: "securityToken_example",
              },
              path: "path_example",
              raw: {
                data: "data_example",
              },
              recurseMode: true,
              s3: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: {
                  objectLocking: true,
                },
                encryptionOptions: {
                  enableEncryption: true,
                  kmsEncryptionContext: "kmsEncryptionContext_example",
                  kmsKeyId: "kmsKeyId_example",
                  serverSideCustomerKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                endpoint: "endpoint_example",
                insecure: true,
                key: "key_example",
                region: "region_example",
                roleARN: "roleARN_example",
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                useSDKCreds: true,
              },
              subPath: "subPath_example",
            },
          ],
          parameters: [
            {
              _default: "_default_example",
              description: "description_example",
              _enum: [
                "_enum_example",
              ],
              globalName: "globalName_example",
              name: "name_example",
              value: "value_example",
              valueFrom: {
                configMapKeyRef: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                _default: "_default_example",
                event: "event_example",
                expression: "expression_example",
                jqFilter: "jqFilter_example",
                jsonPath: "jsonPath_example",
                parameter: "parameter_example",
                path: "path_example",
                supplied: {},
              },
            },
          ],
        },
        artifactGC: {
          forceFinalizerRemoval: true,
          podMetadata: {
            annotations: {
              "key": "key_example",
            },
            labels: {
              "key": "key_example",
            },
          },
          serviceAccountName: "serviceAccountName_example",
          strategy: "strategy_example",
        },
        artifactRepositoryRef: {
          configMap: "configMap_example",
          key: "key_example",
        },
        automountServiceAccountToken: true,
        dnsConfig: {
          nameservers: [
            "nameservers_example",
          ],
          options: [
            {
              name: "name_example",
              value: "value_example",
            },
          ],
          searches: [
            "searches_example",
          ],
        },
        dnsPolicy: "dnsPolicy_example",
        entrypoint: "entrypoint_example",
        executor: {
          serviceAccountName: "serviceAccountName_example",
        },
        hooks: {
          "key": {
            arguments: {
              artifacts: [
                {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              ],
              parameters: [
                {
                  _default: "_default_example",
                  description: "description_example",
                  _enum: [
                    "_enum_example",
                  ],
                  globalName: "globalName_example",
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    _default: "_default_example",
                    event: "event_example",
                    expression: "expression_example",
                    jqFilter: "jqFilter_example",
                    jsonPath: "jsonPath_example",
                    parameter: "parameter_example",
                    path: "path_example",
                    supplied: {},
                  },
                },
              ],
            },
            expression: "expression_example",
            template: "template_example",
            templateRef: {
              clusterScope: true,
              name: "name_example",
              template: "template_example",
            },
          },
        },
        hostAliases: [
          {
            hostnames: [
              "hostnames_example",
            ],
            ip: "ip_example",
          },
        ],
        hostNetwork: true,
        imagePullSecrets: [
          {
            name: "name_example",
          },
        ],
        metrics: {
          prometheus: [
            {
              counter: {
                value: "value_example",
              },
              gauge: {
                operation: "operation_example",
                realtime: true,
                value: "value_example",
              },
              help: "help_example",
              histogram: {
                buckets: [
                  3.14,
                ],
                value: "value_example",
              },
              labels: [
                {
                  key: "key_example",
                  value: "value_example",
                },
              ],
              name: "name_example",
              when: "when_example",
            },
          ],
        },
        nodeSelector: {
          "key": "key_example",
        },
        onExit: "onExit_example",
        parallelism: 1,
        podDisruptionBudget: {
          maxUnavailable: "maxUnavailable_example",
          minAvailable: "minAvailable_example",
          selector: {
            matchExpressions: [
              {
                key: "key_example",
                operator: "operator_example",
                values: [
                  "values_example",
                ],
              },
            ],
            matchLabels: {
              "key": "key_example",
            },
          },
        },
        podGC: {
          labelSelector: {
            matchExpressions: [
              {
                key: "key_example",
                operator: "operator_example",
                values: [
                  "values_example",
                ],
              },
            ],
            matchLabels: {
              "key": "key_example",
            },
          },
          strategy: "strategy_example",
        },
        podMetadata: {
          annotations: {
            "key": "key_example",
          },
          labels: {
            "key": "key_example",
          },
        },
        podPriority: 1,
        podPriorityClassName: "podPriorityClassName_example",
        podSpecPatch: "podSpecPatch_example",
        priority: 1,
        retryStrategy: {
          affinity: {
            nodeAntiAffinity: {},
          },
          backoff: {
            duration: "duration_example",
            factor: "factor_example",
            maxDuration: "maxDuration_example",
          },
          expression: "expression_example",
          limit: "limit_example",
          retryPolicy: "retryPolicy_example",
        },
        schedulerName: "schedulerName_example",
        securityContext: {
          fsGroup: 1,
          fsGroupChangePolicy: "fsGroupChangePolicy_example",
          runAsGroup: 1,
          runAsNonRoot: true,
          runAsUser: 1,
          seLinuxOptions: {
            level: "level_example",
            role: "role_example",
            type: "type_example",
            user: "user_example",
          },
          seccompProfile: {
            localhostProfile: "localhostProfile_example",
            type: "Localhost",
          },
          supplementalGroups: [
            1,
          ],
          sysctls: [
            {
              name: "name_example",
              value: "value_example",
            },
          ],
          windowsOptions: {
            gmsaCredentialSpec: "gmsaCredentialSpec_example",
            gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
            hostProcess: true,
            runAsUserName: "runAsUserName_example",
          },
        },
        serviceAccountName: "serviceAccountName_example",
        shutdown: "shutdown_example",
        suspend: true,
        synchronization: {
          mutex: {
            name: "name_example",
            namespace: "namespace_example",
          },
          semaphore: {
            configMapKeyRef: {
              key: "key_example",
              name: "name_example",
              optional: true,
            },
            namespace: "namespace_example",
          },
        },
        templateDefaults: {
          activeDeadlineSeconds: "activeDeadlineSeconds_example",
          affinity: {
            nodeAffinity: {
              preferredDuringSchedulingIgnoredDuringExecution: [
                {
                  preference: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchFields: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                  },
                  weight: 1,
                },
              ],
              requiredDuringSchedulingIgnoredDuringExecution: {
                nodeSelectorTerms: [
                  {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchFields: [
                      {
                        key: "key_example",
                        operator: "DoesNotExist",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                  },
                ],
              },
            },
            podAffinity: {
              preferredDuringSchedulingIgnoredDuringExecution: [
                {
                  podAffinityTerm: {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                  weight: 1,
                },
              ],
              requiredDuringSchedulingIgnoredDuringExecution: [
                {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
              ],
            },
            podAntiAffinity: {
              preferredDuringSchedulingIgnoredDuringExecution: [
                {
                  podAffinityTerm: {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                  weight: 1,
                },
              ],
              requiredDuringSchedulingIgnoredDuringExecution: [
                {
                  labelSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaceSelector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  namespaces: [
                    "namespaces_example",
                  ],
                  topologyKey: "topologyKey_example",
                },
              ],
            },
          },
          archiveLocation: {
            archiveLogs: true,
            artifactory: {
              passwordSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              url: "url_example",
              usernameSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            azure: {
              accountKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              blob: "blob_example",
              container: "container_example",
              endpoint: "endpoint_example",
              useSDKCreds: true,
            },
            gcs: {
              bucket: "bucket_example",
              key: "key_example",
              serviceAccountKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            git: {
              branch: "branch_example",
              depth: 1,
              disableSubmodules: true,
              fetch: [
                "fetch_example",
              ],
              insecureIgnoreHostKey: true,
              passwordSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              repo: "repo_example",
              revision: "revision_example",
              singleBranch: true,
              sshPrivateKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              usernameSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            hdfs: {
              addresses: [
                "addresses_example",
              ],
              force: true,
              hdfsUser: "hdfsUser_example",
              krbCCacheSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              krbConfigConfigMap: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              krbKeytabSecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              krbRealm: "krbRealm_example",
              krbServicePrincipalName: "krbServicePrincipalName_example",
              krbUsername: "krbUsername_example",
              path: "path_example",
            },
            http: {
              auth: {
                basicAuth: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                clientCert: {
                  clientCertSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  clientKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                oauth2: {
                  clientIDSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  clientSecretSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  endpointParams: [
                    {
                      key: "key_example",
                      value: "value_example",
                    },
                  ],
                  scopes: [
                    "scopes_example",
                  ],
                  tokenURLSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
              headers: [
                {
                  name: "name_example",
                  value: "value_example",
                },
              ],
              url: "url_example",
            },
            oss: {
              accessKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              bucket: "bucket_example",
              createBucketIfNotPresent: true,
              endpoint: "endpoint_example",
              key: "key_example",
              lifecycleRule: {
                markDeletionAfterDays: 1,
                markInfrequentAccessAfterDays: 1,
              },
              secretKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              securityToken: "securityToken_example",
            },
            raw: {
              data: "data_example",
            },
            s3: {
              accessKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              bucket: "bucket_example",
              createBucketIfNotPresent: {
                objectLocking: true,
              },
              encryptionOptions: {
                enableEncryption: true,
                kmsEncryptionContext: "kmsEncryptionContext_example",
                kmsKeyId: "kmsKeyId_example",
                serverSideCustomerKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              endpoint: "endpoint_example",
              insecure: true,
              key: "key_example",
              region: "region_example",
              roleARN: "roleARN_example",
              secretKeySecret: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              useSDKCreds: true,
            },
          },
          automountServiceAccountToken: true,
          container: {
            args: [
              "args_example",
            ],
            command: [
              "command_example",
            ],
            env: [
              {
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  fieldRef: {
                    apiVersion: "apiVersion_example",
                    fieldPath: "fieldPath_example",
                  },
                  resourceFieldRef: {
                    containerName: "containerName_example",
                    divisor: "divisor_example",
                    resource: "resource_example",
                  },
                  secretKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
            ],
            envFrom: [
              {
                configMapRef: {
                  name: "name_example",
                  optional: true,
                },
                prefix: "prefix_example",
                secretRef: {
                  name: "name_example",
                  optional: true,
                },
              },
            ],
            image: "image_example",
            imagePullPolicy: "Always",
            lifecycle: {
              postStart: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
              preStop: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
            },
            livenessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            name: "name_example",
            ports: [
              {
                containerPort: 1,
                hostIP: "hostIP_example",
                hostPort: 1,
                name: "name_example",
                protocol: "SCTP",
              },
            ],
            readinessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            resources: {
              limits: {
                "key": "key_example",
              },
              requests: {
                "key": "key_example",
              },
            },
            securityContext: {
              allowPrivilegeEscalation: true,
              capabilities: {
                add: [
                  "add_example",
                ],
                drop: [
                  "drop_example",
                ],
              },
              privileged: true,
              procMount: "procMount_example",
              readOnlyRootFilesystem: true,
              runAsGroup: 1,
              runAsNonRoot: true,
              runAsUser: 1,
              seLinuxOptions: {
                level: "level_example",
                role: "role_example",
                type: "type_example",
                user: "user_example",
              },
              seccompProfile: {
                localhostProfile: "localhostProfile_example",
                type: "Localhost",
              },
              windowsOptions: {
                gmsaCredentialSpec: "gmsaCredentialSpec_example",
                gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                hostProcess: true,
                runAsUserName: "runAsUserName_example",
              },
            },
            startupProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            stdin: true,
            stdinOnce: true,
            terminationMessagePath: "terminationMessagePath_example",
            terminationMessagePolicy: "FallbackToLogsOnError",
            tty: true,
            volumeDevices: [
              {
                devicePath: "devicePath_example",
                name: "name_example",
              },
            ],
            volumeMounts: [
              {
                mountPath: "mountPath_example",
                mountPropagation: "mountPropagation_example",
                name: "name_example",
                readOnly: true,
                subPath: "subPath_example",
                subPathExpr: "subPathExpr_example",
              },
            ],
            workingDir: "workingDir_example",
          },
          containerSet: {
            containers: [
              {
                args: [
                  "args_example",
                ],
                command: [
                  "command_example",
                ],
                dependencies: [
                  "dependencies_example",
                ],
                env: [
                  {
                    name: "name_example",
                    value: "value_example",
                    valueFrom: {
                      configMapKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                      secretKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                ],
                envFrom: [
                  {
                    configMapRef: {
                      name: "name_example",
                      optional: true,
                    },
                    prefix: "prefix_example",
                    secretRef: {
                      name: "name_example",
                      optional: true,
                    },
                  },
                ],
                image: "image_example",
                imagePullPolicy: "imagePullPolicy_example",
                lifecycle: {
                  postStart: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                  preStop: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                },
                livenessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                name: "name_example",
                ports: [
                  {
                    containerPort: 1,
                    hostIP: "hostIP_example",
                    hostPort: 1,
                    name: "name_example",
                    protocol: "SCTP",
                  },
                ],
                readinessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                resources: {
                  limits: {
                    "key": "key_example",
                  },
                  requests: {
                    "key": "key_example",
                  },
                },
                securityContext: {
                  allowPrivilegeEscalation: true,
                  capabilities: {
                    add: [
                      "add_example",
                    ],
                    drop: [
                      "drop_example",
                    ],
                  },
                  privileged: true,
                  procMount: "procMount_example",
                  readOnlyRootFilesystem: true,
                  runAsGroup: 1,
                  runAsNonRoot: true,
                  runAsUser: 1,
                  seLinuxOptions: {
                    level: "level_example",
                    role: "role_example",
                    type: "type_example",
                    user: "user_example",
                  },
                  seccompProfile: {
                    localhostProfile: "localhostProfile_example",
                    type: "Localhost",
                  },
                  windowsOptions: {
                    gmsaCredentialSpec: "gmsaCredentialSpec_example",
                    gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                    hostProcess: true,
                    runAsUserName: "runAsUserName_example",
                  },
                },
                startupProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                stdin: true,
                stdinOnce: true,
                terminationMessagePath: "terminationMessagePath_example",
                terminationMessagePolicy: "terminationMessagePolicy_example",
                tty: true,
                volumeDevices: [
                  {
                    devicePath: "devicePath_example",
                    name: "name_example",
                  },
                ],
                volumeMounts: [
                  {
                    mountPath: "mountPath_example",
                    mountPropagation: "mountPropagation_example",
                    name: "name_example",
                    readOnly: true,
                    subPath: "subPath_example",
                    subPathExpr: "subPathExpr_example",
                  },
                ],
                workingDir: "workingDir_example",
              },
            ],
            retryStrategy: {
              duration: "duration_example",
              retries: "retries_example",
            },
            volumeMounts: [
              {
                mountPath: "mountPath_example",
                mountPropagation: "mountPropagation_example",
                name: "name_example",
                readOnly: true,
                subPath: "subPath_example",
                subPathExpr: "subPathExpr_example",
              },
            ],
          },
          daemon: true,
          dag: {
            failFast: true,
            target: "target_example",
            tasks: [
              {
                arguments: {
                  artifacts: [
                    {
                      archive: {
                        none: {},
                        tar: {
                          compressionLevel: 1,
                        },
                        zip: {},
                      },
                      archiveLogs: true,
                      artifactGC: {
                        podMetadata: {
                          annotations: {
                            "key": "key_example",
                          },
                          labels: {
                            "key": "key_example",
                          },
                        },
                        serviceAccountName: "serviceAccountName_example",
                        strategy: "strategy_example",
                      },
                      artifactory: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        url: "url_example",
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      azure: {
                        accountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        blob: "blob_example",
                        container: "container_example",
                        endpoint: "endpoint_example",
                        useSDKCreds: true,
                      },
                      deleted: true,
                      _from: "_from_example",
                      fromExpression: "fromExpression_example",
                      gcs: {
                        bucket: "bucket_example",
                        key: "key_example",
                        serviceAccountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      git: {
                        branch: "branch_example",
                        depth: 1,
                        disableSubmodules: true,
                        fetch: [
                          "fetch_example",
                        ],
                        insecureIgnoreHostKey: true,
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        repo: "repo_example",
                        revision: "revision_example",
                        singleBranch: true,
                        sshPrivateKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      globalName: "globalName_example",
                      hdfs: {
                        addresses: [
                          "addresses_example",
                        ],
                        force: true,
                        hdfsUser: "hdfsUser_example",
                        krbCCacheSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbConfigConfigMap: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbKeytabSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbRealm: "krbRealm_example",
                        krbServicePrincipalName: "krbServicePrincipalName_example",
                        krbUsername: "krbUsername_example",
                        path: "path_example",
                      },
                      http: {
                        auth: {
                          basicAuth: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          clientCert: {
                            clientCertSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          oauth2: {
                            clientIDSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientSecretSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            endpointParams: [
                              {
                                key: "key_example",
                                value: "value_example",
                              },
                            ],
                            scopes: [
                              "scopes_example",
                            ],
                            tokenURLSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                        },
                        headers: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        url: "url_example",
                      },
                      mode: 1,
                      name: "name_example",
                      optional: true,
                      oss: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: true,
                        endpoint: "endpoint_example",
                        key: "key_example",
                        lifecycleRule: {
                          markDeletionAfterDays: 1,
                          markInfrequentAccessAfterDays: 1,
                        },
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        securityToken: "securityToken_example",
                      },
                      path: "path_example",
                      raw: {
                        data: "data_example",
                      },
                      recurseMode: true,
                      s3: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: {
                          objectLocking: true,
                        },
                        encryptionOptions: {
                          enableEncryption: true,
                          kmsEncryptionContext: "kmsEncryptionContext_example",
                          kmsKeyId: "kmsKeyId_example",
                          serverSideCustomerKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        endpoint: "endpoint_example",
                        insecure: true,
                        key: "key_example",
                        region: "region_example",
                        roleARN: "roleARN_example",
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        useSDKCreds: true,
                      },
                      subPath: "subPath_example",
                    },
                  ],
                  parameters: [
                    {
                      _default: "_default_example",
                      description: "description_example",
                      _enum: [
                        "_enum_example",
                      ],
                      globalName: "globalName_example",
                      name: "name_example",
                      value: "value_example",
                      valueFrom: {
                        configMapKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        _default: "_default_example",
                        event: "event_example",
                        expression: "expression_example",
                        jqFilter: "jqFilter_example",
                        jsonPath: "jsonPath_example",
                        parameter: "parameter_example",
                        path: "path_example",
                        supplied: {},
                      },
                    },
                  ],
                },
                continueOn: {
                  error: true,
                  failed: true,
                },
                dependencies: [
                  "dependencies_example",
                ],
                depends: "depends_example",
                hooks: {
                  "key": {
                    arguments: {
                      artifacts: [
                        {
                          archive: {
                            none: {},
                            tar: {
                              compressionLevel: 1,
                            },
                            zip: {},
                          },
                          archiveLogs: true,
                          artifactGC: {
                            podMetadata: {
                              annotations: {
                                "key": "key_example",
                              },
                              labels: {
                                "key": "key_example",
                              },
                            },
                            serviceAccountName: "serviceAccountName_example",
                            strategy: "strategy_example",
                          },
                          artifactory: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            url: "url_example",
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          azure: {
                            accountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            blob: "blob_example",
                            container: "container_example",
                            endpoint: "endpoint_example",
                            useSDKCreds: true,
                          },
                          deleted: true,
                          _from: "_from_example",
                          fromExpression: "fromExpression_example",
                          gcs: {
                            bucket: "bucket_example",
                            key: "key_example",
                            serviceAccountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          git: {
                            branch: "branch_example",
                            depth: 1,
                            disableSubmodules: true,
                            fetch: [
                              "fetch_example",
                            ],
                            insecureIgnoreHostKey: true,
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            repo: "repo_example",
                            revision: "revision_example",
                            singleBranch: true,
                            sshPrivateKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          globalName: "globalName_example",
                          hdfs: {
                            addresses: [
                              "addresses_example",
                            ],
                            force: true,
                            hdfsUser: "hdfsUser_example",
                            krbCCacheSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbConfigConfigMap: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbKeytabSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbRealm: "krbRealm_example",
                            krbServicePrincipalName: "krbServicePrincipalName_example",
                            krbUsername: "krbUsername_example",
                            path: "path_example",
                          },
                          http: {
                            auth: {
                              basicAuth: {
                                passwordSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                usernameSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              clientCert: {
                                clientCertSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              oauth2: {
                                clientIDSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientSecretSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                endpointParams: [
                                  {
                                    key: "key_example",
                                    value: "value_example",
                                  },
                                ],
                                scopes: [
                                  "scopes_example",
                                ],
                                tokenURLSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                            },
                            headers: [
                              {
                                name: "name_example",
                                value: "value_example",
                              },
                            ],
                            url: "url_example",
                          },
                          mode: 1,
                          name: "name_example",
                          optional: true,
                          oss: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: true,
                            endpoint: "endpoint_example",
                            key: "key_example",
                            lifecycleRule: {
                              markDeletionAfterDays: 1,
                              markInfrequentAccessAfterDays: 1,
                            },
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            securityToken: "securityToken_example",
                          },
                          path: "path_example",
                          raw: {
                            data: "data_example",
                          },
                          recurseMode: true,
                          s3: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: {
                              objectLocking: true,
                            },
                            encryptionOptions: {
                              enableEncryption: true,
                              kmsEncryptionContext: "kmsEncryptionContext_example",
                              kmsKeyId: "kmsKeyId_example",
                              serverSideCustomerKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            endpoint: "endpoint_example",
                            insecure: true,
                            key: "key_example",
                            region: "region_example",
                            roleARN: "roleARN_example",
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            useSDKCreds: true,
                          },
                          subPath: "subPath_example",
                        },
                      ],
                      parameters: [
                        {
                          _default: "_default_example",
                          description: "description_example",
                          _enum: [
                            "_enum_example",
                          ],
                          globalName: "globalName_example",
                          name: "name_example",
                          value: "value_example",
                          valueFrom: {
                            configMapKeyRef: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            _default: "_default_example",
                            event: "event_example",
                            expression: "expression_example",
                            jqFilter: "jqFilter_example",
                            jsonPath: "jsonPath_example",
                            parameter: "parameter_example",
                            path: "path_example",
                            supplied: {},
                          },
                        },
                      ],
                    },
                    expression: "expression_example",
                    template: "template_example",
                    templateRef: {
                      clusterScope: true,
                      name: "name_example",
                      template: "template_example",
                    },
                  },
                },
                inline: ,
                name: "name_example",
                onExit: "onExit_example",
                template: "template_example",
                templateRef: {
                  clusterScope: true,
                  name: "name_example",
                  template: "template_example",
                },
                when: "when_example",
                withItems: [
                  {},
                ],
                withParam: "withParam_example",
                withSequence: {
                  count: "count_example",
                  end: "end_example",
                  format: "format_example",
                  start: "start_example",
                },
              },
            ],
          },
          data: {
            source: {
              artifactPaths: {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            },
            transformation: [
              {
                expression: "expression_example",
              },
            ],
          },
          executor: {
            serviceAccountName: "serviceAccountName_example",
          },
          failFast: true,
          hostAliases: [
            {
              hostnames: [
                "hostnames_example",
              ],
              ip: "ip_example",
            },
          ],
          http: {
            body: "body_example",
            bodyFrom: {
              bytes: 'YQ==',
            },
            headers: [
              {
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  secretKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
            ],
            insecureSkipVerify: true,
            method: "method_example",
            successCondition: "successCondition_example",
            timeoutSeconds: 1,
            url: "url_example",
          },
          initContainers: [
            {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "imagePullPolicy_example",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              mirrorVolumeMounts: true,
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "terminationMessagePolicy_example",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
          ],
          inputs: {
            artifacts: [
              {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            ],
            parameters: [
              {
                _default: "_default_example",
                description: "description_example",
                _enum: [
                  "_enum_example",
                ],
                globalName: "globalName_example",
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  _default: "_default_example",
                  event: "event_example",
                  expression: "expression_example",
                  jqFilter: "jqFilter_example",
                  jsonPath: "jsonPath_example",
                  parameter: "parameter_example",
                  path: "path_example",
                  supplied: {},
                },
              },
            ],
          },
          memoize: {
            cache: {
              configMap: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
            },
            key: "key_example",
            maxAge: "maxAge_example",
          },
          metadata: {
            annotations: {
              "key": "key_example",
            },
            labels: {
              "key": "key_example",
            },
          },
          metrics: {
            prometheus: [
              {
                counter: {
                  value: "value_example",
                },
                gauge: {
                  operation: "operation_example",
                  realtime: true,
                  value: "value_example",
                },
                help: "help_example",
                histogram: {
                  buckets: [
                    3.14,
                  ],
                  value: "value_example",
                },
                labels: [
                  {
                    key: "key_example",
                    value: "value_example",
                  },
                ],
                name: "name_example",
                when: "when_example",
              },
            ],
          },
          name: "name_example",
          nodeSelector: {
            "key": "key_example",
          },
          outputs: {
            artifacts: [
              {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            ],
            exitCode: "exitCode_example",
            parameters: [
              {
                _default: "_default_example",
                description: "description_example",
                _enum: [
                  "_enum_example",
                ],
                globalName: "globalName_example",
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  _default: "_default_example",
                  event: "event_example",
                  expression: "expression_example",
                  jqFilter: "jqFilter_example",
                  jsonPath: "jsonPath_example",
                  parameter: "parameter_example",
                  path: "path_example",
                  supplied: {},
                },
              },
            ],
            result: "result_example",
          },
          parallelism: 1,
          plugin: {},
          podSpecPatch: "podSpecPatch_example",
          priority: 1,
          priorityClassName: "priorityClassName_example",
          resource: {
            action: "action_example",
            failureCondition: "failureCondition_example",
            flags: [
              "flags_example",
            ],
            manifest: "manifest_example",
            manifestFrom: {
              artifact: {
                archive: {
                  none: {},
                  tar: {
                    compressionLevel: 1,
                  },
                  zip: {},
                },
                archiveLogs: true,
                artifactGC: {
                  podMetadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    labels: {
                      "key": "key_example",
                    },
                  },
                  serviceAccountName: "serviceAccountName_example",
                  strategy: "strategy_example",
                },
                artifactory: {
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  url: "url_example",
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                azure: {
                  accountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  blob: "blob_example",
                  container: "container_example",
                  endpoint: "endpoint_example",
                  useSDKCreds: true,
                },
                deleted: true,
                _from: "_from_example",
                fromExpression: "fromExpression_example",
                gcs: {
                  bucket: "bucket_example",
                  key: "key_example",
                  serviceAccountKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                git: {
                  branch: "branch_example",
                  depth: 1,
                  disableSubmodules: true,
                  fetch: [
                    "fetch_example",
                  ],
                  insecureIgnoreHostKey: true,
                  passwordSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  repo: "repo_example",
                  revision: "revision_example",
                  singleBranch: true,
                  sshPrivateKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  usernameSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                globalName: "globalName_example",
                hdfs: {
                  addresses: [
                    "addresses_example",
                  ],
                  force: true,
                  hdfsUser: "hdfsUser_example",
                  krbCCacheSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbConfigConfigMap: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbKeytabSecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  krbRealm: "krbRealm_example",
                  krbServicePrincipalName: "krbServicePrincipalName_example",
                  krbUsername: "krbUsername_example",
                  path: "path_example",
                },
                http: {
                  auth: {
                    basicAuth: {
                      passwordSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      usernameSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    clientCert: {
                      clientCertSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    oauth2: {
                      clientIDSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      clientSecretSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      endpointParams: [
                        {
                          key: "key_example",
                          value: "value_example",
                        },
                      ],
                      scopes: [
                        "scopes_example",
                      ],
                      tokenURLSecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                  headers: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  url: "url_example",
                },
                mode: 1,
                name: "name_example",
                optional: true,
                oss: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: true,
                  endpoint: "endpoint_example",
                  key: "key_example",
                  lifecycleRule: {
                    markDeletionAfterDays: 1,
                    markInfrequentAccessAfterDays: 1,
                  },
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  securityToken: "securityToken_example",
                },
                path: "path_example",
                raw: {
                  data: "data_example",
                },
                recurseMode: true,
                s3: {
                  accessKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  bucket: "bucket_example",
                  createBucketIfNotPresent: {
                    objectLocking: true,
                  },
                  encryptionOptions: {
                    enableEncryption: true,
                    kmsEncryptionContext: "kmsEncryptionContext_example",
                    kmsKeyId: "kmsKeyId_example",
                    serverSideCustomerKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  endpoint: "endpoint_example",
                  insecure: true,
                  key: "key_example",
                  region: "region_example",
                  roleARN: "roleARN_example",
                  secretKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  useSDKCreds: true,
                },
                subPath: "subPath_example",
              },
            },
            mergeStrategy: "mergeStrategy_example",
            setOwnerReference: true,
            successCondition: "successCondition_example",
          },
          retryStrategy: {
            affinity: {
              nodeAntiAffinity: {},
            },
            backoff: {
              duration: "duration_example",
              factor: "factor_example",
              maxDuration: "maxDuration_example",
            },
            expression: "expression_example",
            limit: "limit_example",
            retryPolicy: "retryPolicy_example",
          },
          schedulerName: "schedulerName_example",
          script: {
            args: [
              "args_example",
            ],
            command: [
              "command_example",
            ],
            env: [
              {
                name: "name_example",
                value: "value_example",
                valueFrom: {
                  configMapKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                  fieldRef: {
                    apiVersion: "apiVersion_example",
                    fieldPath: "fieldPath_example",
                  },
                  resourceFieldRef: {
                    containerName: "containerName_example",
                    divisor: "divisor_example",
                    resource: "resource_example",
                  },
                  secretKeyRef: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
              },
            ],
            envFrom: [
              {
                configMapRef: {
                  name: "name_example",
                  optional: true,
                },
                prefix: "prefix_example",
                secretRef: {
                  name: "name_example",
                  optional: true,
                },
              },
            ],
            image: "image_example",
            imagePullPolicy: "imagePullPolicy_example",
            lifecycle: {
              postStart: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
              preStop: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
              },
            },
            livenessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            name: "name_example",
            ports: [
              {
                containerPort: 1,
                hostIP: "hostIP_example",
                hostPort: 1,
                name: "name_example",
                protocol: "SCTP",
              },
            ],
            readinessProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            resources: {
              limits: {
                "key": "key_example",
              },
              requests: {
                "key": "key_example",
              },
            },
            securityContext: {
              allowPrivilegeEscalation: true,
              capabilities: {
                add: [
                  "add_example",
                ],
                drop: [
                  "drop_example",
                ],
              },
              privileged: true,
              procMount: "procMount_example",
              readOnlyRootFilesystem: true,
              runAsGroup: 1,
              runAsNonRoot: true,
              runAsUser: 1,
              seLinuxOptions: {
                level: "level_example",
                role: "role_example",
                type: "type_example",
                user: "user_example",
              },
              seccompProfile: {
                localhostProfile: "localhostProfile_example",
                type: "Localhost",
              },
              windowsOptions: {
                gmsaCredentialSpec: "gmsaCredentialSpec_example",
                gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                hostProcess: true,
                runAsUserName: "runAsUserName_example",
              },
            },
            source: "source_example",
            startupProbe: {
              exec: {
                command: [
                  "command_example",
                ],
              },
              failureThreshold: 1,
              grpc: {
                port: 1,
                service: "service_example",
              },
              httpGet: {
                host: "host_example",
                httpHeaders: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                path: "path_example",
                port: "port_example",
                scheme: "HTTP",
              },
              initialDelaySeconds: 1,
              periodSeconds: 1,
              successThreshold: 1,
              tcpSocket: {
                host: "host_example",
                port: "port_example",
              },
              terminationGracePeriodSeconds: 1,
              timeoutSeconds: 1,
            },
            stdin: true,
            stdinOnce: true,
            terminationMessagePath: "terminationMessagePath_example",
            terminationMessagePolicy: "terminationMessagePolicy_example",
            tty: true,
            volumeDevices: [
              {
                devicePath: "devicePath_example",
                name: "name_example",
              },
            ],
            volumeMounts: [
              {
                mountPath: "mountPath_example",
                mountPropagation: "mountPropagation_example",
                name: "name_example",
                readOnly: true,
                subPath: "subPath_example",
                subPathExpr: "subPathExpr_example",
              },
            ],
            workingDir: "workingDir_example",
          },
          securityContext: {
            fsGroup: 1,
            fsGroupChangePolicy: "fsGroupChangePolicy_example",
            runAsGroup: 1,
            runAsNonRoot: true,
            runAsUser: 1,
            seLinuxOptions: {
              level: "level_example",
              role: "role_example",
              type: "type_example",
              user: "user_example",
            },
            seccompProfile: {
              localhostProfile: "localhostProfile_example",
              type: "Localhost",
            },
            supplementalGroups: [
              1,
            ],
            sysctls: [
              {
                name: "name_example",
                value: "value_example",
              },
            ],
            windowsOptions: {
              gmsaCredentialSpec: "gmsaCredentialSpec_example",
              gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
              hostProcess: true,
              runAsUserName: "runAsUserName_example",
            },
          },
          serviceAccountName: "serviceAccountName_example",
          sidecars: [
            {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "imagePullPolicy_example",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              mirrorVolumeMounts: true,
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "terminationMessagePolicy_example",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
          ],
          steps: [
            [
              {
                arguments: {
                  artifacts: [
                    {
                      archive: {
                        none: {},
                        tar: {
                          compressionLevel: 1,
                        },
                        zip: {},
                      },
                      archiveLogs: true,
                      artifactGC: {
                        podMetadata: {
                          annotations: {
                            "key": "key_example",
                          },
                          labels: {
                            "key": "key_example",
                          },
                        },
                        serviceAccountName: "serviceAccountName_example",
                        strategy: "strategy_example",
                      },
                      artifactory: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        url: "url_example",
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      azure: {
                        accountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        blob: "blob_example",
                        container: "container_example",
                        endpoint: "endpoint_example",
                        useSDKCreds: true,
                      },
                      deleted: true,
                      _from: "_from_example",
                      fromExpression: "fromExpression_example",
                      gcs: {
                        bucket: "bucket_example",
                        key: "key_example",
                        serviceAccountKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      git: {
                        branch: "branch_example",
                        depth: 1,
                        disableSubmodules: true,
                        fetch: [
                          "fetch_example",
                        ],
                        insecureIgnoreHostKey: true,
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        repo: "repo_example",
                        revision: "revision_example",
                        singleBranch: true,
                        sshPrivateKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      globalName: "globalName_example",
                      hdfs: {
                        addresses: [
                          "addresses_example",
                        ],
                        force: true,
                        hdfsUser: "hdfsUser_example",
                        krbCCacheSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbConfigConfigMap: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbKeytabSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        krbRealm: "krbRealm_example",
                        krbServicePrincipalName: "krbServicePrincipalName_example",
                        krbUsername: "krbUsername_example",
                        path: "path_example",
                      },
                      http: {
                        auth: {
                          basicAuth: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          clientCert: {
                            clientCertSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          oauth2: {
                            clientIDSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            clientSecretSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            endpointParams: [
                              {
                                key: "key_example",
                                value: "value_example",
                              },
                            ],
                            scopes: [
                              "scopes_example",
                            ],
                            tokenURLSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                        },
                        headers: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        url: "url_example",
                      },
                      mode: 1,
                      name: "name_example",
                      optional: true,
                      oss: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: true,
                        endpoint: "endpoint_example",
                        key: "key_example",
                        lifecycleRule: {
                          markDeletionAfterDays: 1,
                          markInfrequentAccessAfterDays: 1,
                        },
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        securityToken: "securityToken_example",
                      },
                      path: "path_example",
                      raw: {
                        data: "data_example",
                      },
                      recurseMode: true,
                      s3: {
                        accessKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        bucket: "bucket_example",
                        createBucketIfNotPresent: {
                          objectLocking: true,
                        },
                        encryptionOptions: {
                          enableEncryption: true,
                          kmsEncryptionContext: "kmsEncryptionContext_example",
                          kmsKeyId: "kmsKeyId_example",
                          serverSideCustomerKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        endpoint: "endpoint_example",
                        insecure: true,
                        key: "key_example",
                        region: "region_example",
                        roleARN: "roleARN_example",
                        secretKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        useSDKCreds: true,
                      },
                      subPath: "subPath_example",
                    },
                  ],
                  parameters: [
                    {
                      _default: "_default_example",
                      description: "description_example",
                      _enum: [
                        "_enum_example",
                      ],
                      globalName: "globalName_example",
                      name: "name_example",
                      value: "value_example",
                      valueFrom: {
                        configMapKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        _default: "_default_example",
                        event: "event_example",
                        expression: "expression_example",
                        jqFilter: "jqFilter_example",
                        jsonPath: "jsonPath_example",
                        parameter: "parameter_example",
                        path: "path_example",
                        supplied: {},
                      },
                    },
                  ],
                },
                continueOn: {
                  error: true,
                  failed: true,
                },
                hooks: {
                  "key": {
                    arguments: {
                      artifacts: [
                        {
                          archive: {
                            none: {},
                            tar: {
                              compressionLevel: 1,
                            },
                            zip: {},
                          },
                          archiveLogs: true,
                          artifactGC: {
                            podMetadata: {
                              annotations: {
                                "key": "key_example",
                              },
                              labels: {
                                "key": "key_example",
                              },
                            },
                            serviceAccountName: "serviceAccountName_example",
                            strategy: "strategy_example",
                          },
                          artifactory: {
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            url: "url_example",
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          azure: {
                            accountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            blob: "blob_example",
                            container: "container_example",
                            endpoint: "endpoint_example",
                            useSDKCreds: true,
                          },
                          deleted: true,
                          _from: "_from_example",
                          fromExpression: "fromExpression_example",
                          gcs: {
                            bucket: "bucket_example",
                            key: "key_example",
                            serviceAccountKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          git: {
                            branch: "branch_example",
                            depth: 1,
                            disableSubmodules: true,
                            fetch: [
                              "fetch_example",
                            ],
                            insecureIgnoreHostKey: true,
                            passwordSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            repo: "repo_example",
                            revision: "revision_example",
                            singleBranch: true,
                            sshPrivateKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            usernameSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          globalName: "globalName_example",
                          hdfs: {
                            addresses: [
                              "addresses_example",
                            ],
                            force: true,
                            hdfsUser: "hdfsUser_example",
                            krbCCacheSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbConfigConfigMap: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbKeytabSecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            krbRealm: "krbRealm_example",
                            krbServicePrincipalName: "krbServicePrincipalName_example",
                            krbUsername: "krbUsername_example",
                            path: "path_example",
                          },
                          http: {
                            auth: {
                              basicAuth: {
                                passwordSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                usernameSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              clientCert: {
                                clientCertSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              oauth2: {
                                clientIDSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                clientSecretSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                                endpointParams: [
                                  {
                                    key: "key_example",
                                    value: "value_example",
                                  },
                                ],
                                scopes: [
                                  "scopes_example",
                                ],
                                tokenURLSecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                            },
                            headers: [
                              {
                                name: "name_example",
                                value: "value_example",
                              },
                            ],
                            url: "url_example",
                          },
                          mode: 1,
                          name: "name_example",
                          optional: true,
                          oss: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: true,
                            endpoint: "endpoint_example",
                            key: "key_example",
                            lifecycleRule: {
                              markDeletionAfterDays: 1,
                              markInfrequentAccessAfterDays: 1,
                            },
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            securityToken: "securityToken_example",
                          },
                          path: "path_example",
                          raw: {
                            data: "data_example",
                          },
                          recurseMode: true,
                          s3: {
                            accessKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            bucket: "bucket_example",
                            createBucketIfNotPresent: {
                              objectLocking: true,
                            },
                            encryptionOptions: {
                              enableEncryption: true,
                              kmsEncryptionContext: "kmsEncryptionContext_example",
                              kmsKeyId: "kmsKeyId_example",
                              serverSideCustomerKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            endpoint: "endpoint_example",
                            insecure: true,
                            key: "key_example",
                            region: "region_example",
                            roleARN: "roleARN_example",
                            secretKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            useSDKCreds: true,
                          },
                          subPath: "subPath_example",
                        },
                      ],
                      parameters: [
                        {
                          _default: "_default_example",
                          description: "description_example",
                          _enum: [
                            "_enum_example",
                          ],
                          globalName: "globalName_example",
                          name: "name_example",
                          value: "value_example",
                          valueFrom: {
                            configMapKeyRef: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                            _default: "_default_example",
                            event: "event_example",
                            expression: "expression_example",
                            jqFilter: "jqFilter_example",
                            jsonPath: "jsonPath_example",
                            parameter: "parameter_example",
                            path: "path_example",
                            supplied: {},
                          },
                        },
                      ],
                    },
                    expression: "expression_example",
                    template: "template_example",
                    templateRef: {
                      clusterScope: true,
                      name: "name_example",
                      template: "template_example",
                    },
                  },
                },
                inline: ,
                name: "name_example",
                onExit: "onExit_example",
                template: "template_example",
                templateRef: {
                  clusterScope: true,
                  name: "name_example",
                  template: "template_example",
                },
                when: "when_example",
                withItems: [
                  {},
                ],
                withParam: "withParam_example",
                withSequence: {
                  count: "count_example",
                  end: "end_example",
                  format: "format_example",
                  start: "start_example",
                },
              },
            ],
          ],
          suspend: {
            duration: "duration_example",
          },
          synchronization: {
            mutex: {
              name: "name_example",
              namespace: "namespace_example",
            },
            semaphore: {
              configMapKeyRef: {
                key: "key_example",
                name: "name_example",
                optional: true,
              },
              namespace: "namespace_example",
            },
          },
          timeout: "timeout_example",
          tolerations: [
            {
              effect: "NoExecute",
              key: "key_example",
              operator: "Equal",
              tolerationSeconds: 1,
              value: "value_example",
            },
          ],
          volumes: [
            {
              awsElasticBlockStore: {
                fsType: "fsType_example",
                partition: 1,
                readOnly: true,
                volumeID: "volumeID_example",
              },
              azureDisk: {
                cachingMode: "cachingMode_example",
                diskName: "diskName_example",
                diskURI: "diskURI_example",
                fsType: "fsType_example",
                kind: "kind_example",
                readOnly: true,
              },
              azureFile: {
                readOnly: true,
                secretName: "secretName_example",
                shareName: "shareName_example",
              },
              cephfs: {
                monitors: [
                  "monitors_example",
                ],
                path: "path_example",
                readOnly: true,
                secretFile: "secretFile_example",
                secretRef: {
                  name: "name_example",
                },
                user: "user_example",
              },
              cinder: {
                fsType: "fsType_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                volumeID: "volumeID_example",
              },
              configMap: {
                defaultMode: 1,
                items: [
                  {
                    key: "key_example",
                    mode: 1,
                    path: "path_example",
                  },
                ],
                name: "name_example",
                optional: true,
              },
              csi: {
                driver: "driver_example",
                fsType: "fsType_example",
                nodePublishSecretRef: {
                  name: "name_example",
                },
                readOnly: true,
                volumeAttributes: {
                  "key": "key_example",
                },
              },
              downwardAPI: {
                defaultMode: 1,
                items: [
                  {
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    mode: 1,
                    path: "path_example",
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                  },
                ],
              },
              emptyDir: {
                medium: "medium_example",
                sizeLimit: "sizeLimit_example",
              },
              ephemeral: {
                volumeClaimTemplate: {
                  metadata: {
                    annotations: {
                      "key": "key_example",
                    },
                    clusterName: "clusterName_example",
                    creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                    deletionGracePeriodSeconds: 1,
                    deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                    finalizers: [
                      "finalizers_example",
                    ],
                    generateName: "generateName_example",
                    generation: 1,
                    labels: {
                      "key": "key_example",
                    },
                    managedFields: [
                      {
                        apiVersion: "apiVersion_example",
                        fieldsType: "fieldsType_example",
                        fieldsV1: {},
                        manager: "manager_example",
                        operation: "operation_example",
                        subresource: "subresource_example",
                        time: new Date('1970-01-01T00:00:00.00Z'),
                      },
                    ],
                    name: "name_example",
                    namespace: "namespace_example",
                    ownerReferences: [
                      {
                        apiVersion: "apiVersion_example",
                        blockOwnerDeletion: true,
                        controller: true,
                        kind: "kind_example",
                        name: "name_example",
                        uid: "uid_example",
                      },
                    ],
                    resourceVersion: "resourceVersion_example",
                    selfLink: "selfLink_example",
                    uid: "uid_example",
                  },
                  spec: {
                    accessModes: [
                      "accessModes_example",
                    ],
                    dataSource: {
                      apiGroup: "apiGroup_example",
                      kind: "kind_example",
                      name: "name_example",
                    },
                    dataSourceRef: {
                      apiGroup: "apiGroup_example",
                      kind: "kind_example",
                      name: "name_example",
                    },
                    resources: {
                      limits: {
                        "key": "key_example",
                      },
                      requests: {
                        "key": "key_example",
                      },
                    },
                    selector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    storageClassName: "storageClassName_example",
                    volumeMode: "volumeMode_example",
                    volumeName: "volumeName_example",
                  },
                },
              },
              fc: {
                fsType: "fsType_example",
                lun: 1,
                readOnly: true,
                targetWWNs: [
                  "targetWWNs_example",
                ],
                wwids: [
                  "wwids_example",
                ],
              },
              flexVolume: {
                driver: "driver_example",
                fsType: "fsType_example",
                options: {
                  "key": "key_example",
                },
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
              },
              flocker: {
                datasetName: "datasetName_example",
                datasetUUID: "datasetUUID_example",
              },
              gcePersistentDisk: {
                fsType: "fsType_example",
                partition: 1,
                pdName: "pdName_example",
                readOnly: true,
              },
              gitRepo: {
                directory: "directory_example",
                repository: "repository_example",
                revision: "revision_example",
              },
              glusterfs: {
                endpoints: "endpoints_example",
                path: "path_example",
                readOnly: true,
              },
              hostPath: {
                path: "path_example",
                type: "type_example",
              },
              iscsi: {
                chapAuthDiscovery: true,
                chapAuthSession: true,
                fsType: "fsType_example",
                initiatorName: "initiatorName_example",
                iqn: "iqn_example",
                iscsiInterface: "iscsiInterface_example",
                lun: 1,
                portals: [
                  "portals_example",
                ],
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                targetPortal: "targetPortal_example",
              },
              name: "name_example",
              nfs: {
                path: "path_example",
                readOnly: true,
                server: "server_example",
              },
              persistentVolumeClaim: {
                claimName: "claimName_example",
                readOnly: true,
              },
              photonPersistentDisk: {
                fsType: "fsType_example",
                pdID: "pdID_example",
              },
              portworxVolume: {
                fsType: "fsType_example",
                readOnly: true,
                volumeID: "volumeID_example",
              },
              projected: {
                defaultMode: 1,
                sources: [
                  {
                    configMap: {
                      items: [
                        {
                          key: "key_example",
                          mode: 1,
                          path: "path_example",
                        },
                      ],
                      name: "name_example",
                      optional: true,
                    },
                    downwardAPI: {
                      items: [
                        {
                          fieldRef: {
                            apiVersion: "apiVersion_example",
                            fieldPath: "fieldPath_example",
                          },
                          mode: 1,
                          path: "path_example",
                          resourceFieldRef: {
                            containerName: "containerName_example",
                            divisor: "divisor_example",
                            resource: "resource_example",
                          },
                        },
                      ],
                    },
                    secret: {
                      items: [
                        {
                          key: "key_example",
                          mode: 1,
                          path: "path_example",
                        },
                      ],
                      name: "name_example",
                      optional: true,
                    },
                    serviceAccountToken: {
                      audience: "audience_example",
                      expirationSeconds: 1,
                      path: "path_example",
                    },
                  },
                ],
              },
              quobyte: {
                group: "group_example",
                readOnly: true,
                registry: "registry_example",
                tenant: "tenant_example",
                user: "user_example",
                volume: "volume_example",
              },
              rbd: {
                fsType: "fsType_example",
                image: "image_example",
                keyring: "keyring_example",
                monitors: [
                  "monitors_example",
                ],
                pool: "pool_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                user: "user_example",
              },
              scaleIO: {
                fsType: "fsType_example",
                gateway: "gateway_example",
                protectionDomain: "protectionDomain_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                sslEnabled: true,
                storageMode: "storageMode_example",
                storagePool: "storagePool_example",
                system: "system_example",
                volumeName: "volumeName_example",
              },
              secret: {
                defaultMode: 1,
                items: [
                  {
                    key: "key_example",
                    mode: 1,
                    path: "path_example",
                  },
                ],
                optional: true,
                secretName: "secretName_example",
              },
              storageos: {
                fsType: "fsType_example",
                readOnly: true,
                secretRef: {
                  name: "name_example",
                },
                volumeName: "volumeName_example",
                volumeNamespace: "volumeNamespace_example",
              },
              vsphereVolume: {
                fsType: "fsType_example",
                storagePolicyID: "storagePolicyID_example",
                storagePolicyName: "storagePolicyName_example",
                volumePath: "volumePath_example",
              },
            },
          ],
        },
        templates: [
          {
            activeDeadlineSeconds: "activeDeadlineSeconds_example",
            affinity: {
              nodeAffinity: {
                preferredDuringSchedulingIgnoredDuringExecution: [
                  {
                    preference: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchFields: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                    },
                    weight: 1,
                  },
                ],
                requiredDuringSchedulingIgnoredDuringExecution: {
                  nodeSelectorTerms: [
                    {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchFields: [
                        {
                          key: "key_example",
                          operator: "DoesNotExist",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                    },
                  ],
                },
              },
              podAffinity: {
                preferredDuringSchedulingIgnoredDuringExecution: [
                  {
                    podAffinityTerm: {
                      labelSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaceSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaces: [
                        "namespaces_example",
                      ],
                      topologyKey: "topologyKey_example",
                    },
                    weight: 1,
                  },
                ],
                requiredDuringSchedulingIgnoredDuringExecution: [
                  {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                ],
              },
              podAntiAffinity: {
                preferredDuringSchedulingIgnoredDuringExecution: [
                  {
                    podAffinityTerm: {
                      labelSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaceSelector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      namespaces: [
                        "namespaces_example",
                      ],
                      topologyKey: "topologyKey_example",
                    },
                    weight: 1,
                  },
                ],
                requiredDuringSchedulingIgnoredDuringExecution: [
                  {
                    labelSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaceSelector: {
                      matchExpressions: [
                        {
                          key: "key_example",
                          operator: "operator_example",
                          values: [
                            "values_example",
                          ],
                        },
                      ],
                      matchLabels: {
                        "key": "key_example",
                      },
                    },
                    namespaces: [
                      "namespaces_example",
                    ],
                    topologyKey: "topologyKey_example",
                  },
                ],
              },
            },
            archiveLocation: {
              archiveLogs: true,
              artifactory: {
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                url: "url_example",
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              azure: {
                accountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                blob: "blob_example",
                container: "container_example",
                endpoint: "endpoint_example",
                useSDKCreds: true,
              },
              gcs: {
                bucket: "bucket_example",
                key: "key_example",
                serviceAccountKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              git: {
                branch: "branch_example",
                depth: 1,
                disableSubmodules: true,
                fetch: [
                  "fetch_example",
                ],
                insecureIgnoreHostKey: true,
                passwordSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                repo: "repo_example",
                revision: "revision_example",
                singleBranch: true,
                sshPrivateKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                usernameSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              hdfs: {
                addresses: [
                  "addresses_example",
                ],
                force: true,
                hdfsUser: "hdfsUser_example",
                krbCCacheSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbConfigConfigMap: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbKeytabSecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                krbRealm: "krbRealm_example",
                krbServicePrincipalName: "krbServicePrincipalName_example",
                krbUsername: "krbUsername_example",
                path: "path_example",
              },
              http: {
                auth: {
                  basicAuth: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  clientCert: {
                    clientCertSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  oauth2: {
                    clientIDSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    clientSecretSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    endpointParams: [
                      {
                        key: "key_example",
                        value: "value_example",
                      },
                    ],
                    scopes: [
                      "scopes_example",
                    ],
                    tokenURLSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
                headers: [
                  {
                    name: "name_example",
                    value: "value_example",
                  },
                ],
                url: "url_example",
              },
              oss: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: true,
                endpoint: "endpoint_example",
                key: "key_example",
                lifecycleRule: {
                  markDeletionAfterDays: 1,
                  markInfrequentAccessAfterDays: 1,
                },
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                securityToken: "securityToken_example",
              },
              raw: {
                data: "data_example",
              },
              s3: {
                accessKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                bucket: "bucket_example",
                createBucketIfNotPresent: {
                  objectLocking: true,
                },
                encryptionOptions: {
                  enableEncryption: true,
                  kmsEncryptionContext: "kmsEncryptionContext_example",
                  kmsKeyId: "kmsKeyId_example",
                  serverSideCustomerKeySecret: {
                    key: "key_example",
                    name: "name_example",
                    optional: true,
                  },
                },
                endpoint: "endpoint_example",
                insecure: true,
                key: "key_example",
                region: "region_example",
                roleARN: "roleARN_example",
                secretKeySecret: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                useSDKCreds: true,
              },
            },
            automountServiceAccountToken: true,
            container: {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "Always",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "FallbackToLogsOnError",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
            containerSet: {
              containers: [
                {
                  args: [
                    "args_example",
                  ],
                  command: [
                    "command_example",
                  ],
                  dependencies: [
                    "dependencies_example",
                  ],
                  env: [
                    {
                      name: "name_example",
                      value: "value_example",
                      valueFrom: {
                        configMapKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        fieldRef: {
                          apiVersion: "apiVersion_example",
                          fieldPath: "fieldPath_example",
                        },
                        resourceFieldRef: {
                          containerName: "containerName_example",
                          divisor: "divisor_example",
                          resource: "resource_example",
                        },
                        secretKeyRef: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                  ],
                  envFrom: [
                    {
                      configMapRef: {
                        name: "name_example",
                        optional: true,
                      },
                      prefix: "prefix_example",
                      secretRef: {
                        name: "name_example",
                        optional: true,
                      },
                    },
                  ],
                  image: "image_example",
                  imagePullPolicy: "imagePullPolicy_example",
                  lifecycle: {
                    postStart: {
                      exec: {
                        command: [
                          "command_example",
                        ],
                      },
                      httpGet: {
                        host: "host_example",
                        httpHeaders: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        path: "path_example",
                        port: "port_example",
                        scheme: "HTTP",
                      },
                      tcpSocket: {
                        host: "host_example",
                        port: "port_example",
                      },
                    },
                    preStop: {
                      exec: {
                        command: [
                          "command_example",
                        ],
                      },
                      httpGet: {
                        host: "host_example",
                        httpHeaders: [
                          {
                            name: "name_example",
                            value: "value_example",
                          },
                        ],
                        path: "path_example",
                        port: "port_example",
                        scheme: "HTTP",
                      },
                      tcpSocket: {
                        host: "host_example",
                        port: "port_example",
                      },
                    },
                  },
                  livenessProbe: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    failureThreshold: 1,
                    grpc: {
                      port: 1,
                      service: "service_example",
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    initialDelaySeconds: 1,
                    periodSeconds: 1,
                    successThreshold: 1,
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                    terminationGracePeriodSeconds: 1,
                    timeoutSeconds: 1,
                  },
                  name: "name_example",
                  ports: [
                    {
                      containerPort: 1,
                      hostIP: "hostIP_example",
                      hostPort: 1,
                      name: "name_example",
                      protocol: "SCTP",
                    },
                  ],
                  readinessProbe: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    failureThreshold: 1,
                    grpc: {
                      port: 1,
                      service: "service_example",
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    initialDelaySeconds: 1,
                    periodSeconds: 1,
                    successThreshold: 1,
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                    terminationGracePeriodSeconds: 1,
                    timeoutSeconds: 1,
                  },
                  resources: {
                    limits: {
                      "key": "key_example",
                    },
                    requests: {
                      "key": "key_example",
                    },
                  },
                  securityContext: {
                    allowPrivilegeEscalation: true,
                    capabilities: {
                      add: [
                        "add_example",
                      ],
                      drop: [
                        "drop_example",
                      ],
                    },
                    privileged: true,
                    procMount: "procMount_example",
                    readOnlyRootFilesystem: true,
                    runAsGroup: 1,
                    runAsNonRoot: true,
                    runAsUser: 1,
                    seLinuxOptions: {
                      level: "level_example",
                      role: "role_example",
                      type: "type_example",
                      user: "user_example",
                    },
                    seccompProfile: {
                      localhostProfile: "localhostProfile_example",
                      type: "Localhost",
                    },
                    windowsOptions: {
                      gmsaCredentialSpec: "gmsaCredentialSpec_example",
                      gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                      hostProcess: true,
                      runAsUserName: "runAsUserName_example",
                    },
                  },
                  startupProbe: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    failureThreshold: 1,
                    grpc: {
                      port: 1,
                      service: "service_example",
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    initialDelaySeconds: 1,
                    periodSeconds: 1,
                    successThreshold: 1,
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                    terminationGracePeriodSeconds: 1,
                    timeoutSeconds: 1,
                  },
                  stdin: true,
                  stdinOnce: true,
                  terminationMessagePath: "terminationMessagePath_example",
                  terminationMessagePolicy: "terminationMessagePolicy_example",
                  tty: true,
                  volumeDevices: [
                    {
                      devicePath: "devicePath_example",
                      name: "name_example",
                    },
                  ],
                  volumeMounts: [
                    {
                      mountPath: "mountPath_example",
                      mountPropagation: "mountPropagation_example",
                      name: "name_example",
                      readOnly: true,
                      subPath: "subPath_example",
                      subPathExpr: "subPathExpr_example",
                    },
                  ],
                  workingDir: "workingDir_example",
                },
              ],
              retryStrategy: {
                duration: "duration_example",
                retries: "retries_example",
              },
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
            },
            daemon: true,
            dag: {
              failFast: true,
              target: "target_example",
              tasks: [
                {
                  arguments: {
                    artifacts: [
                      {
                        archive: {
                          none: {},
                          tar: {
                            compressionLevel: 1,
                          },
                          zip: {},
                        },
                        archiveLogs: true,
                        artifactGC: {
                          podMetadata: {
                            annotations: {
                              "key": "key_example",
                            },
                            labels: {
                              "key": "key_example",
                            },
                          },
                          serviceAccountName: "serviceAccountName_example",
                          strategy: "strategy_example",
                        },
                        artifactory: {
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          url: "url_example",
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        azure: {
                          accountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          blob: "blob_example",
                          container: "container_example",
                          endpoint: "endpoint_example",
                          useSDKCreds: true,
                        },
                        deleted: true,
                        _from: "_from_example",
                        fromExpression: "fromExpression_example",
                        gcs: {
                          bucket: "bucket_example",
                          key: "key_example",
                          serviceAccountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        git: {
                          branch: "branch_example",
                          depth: 1,
                          disableSubmodules: true,
                          fetch: [
                            "fetch_example",
                          ],
                          insecureIgnoreHostKey: true,
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          repo: "repo_example",
                          revision: "revision_example",
                          singleBranch: true,
                          sshPrivateKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        globalName: "globalName_example",
                        hdfs: {
                          addresses: [
                            "addresses_example",
                          ],
                          force: true,
                          hdfsUser: "hdfsUser_example",
                          krbCCacheSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbConfigConfigMap: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbKeytabSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbRealm: "krbRealm_example",
                          krbServicePrincipalName: "krbServicePrincipalName_example",
                          krbUsername: "krbUsername_example",
                          path: "path_example",
                        },
                        http: {
                          auth: {
                            basicAuth: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            clientCert: {
                              clientCertSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            oauth2: {
                              clientIDSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientSecretSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              endpointParams: [
                                {
                                  key: "key_example",
                                  value: "value_example",
                                },
                              ],
                              scopes: [
                                "scopes_example",
                              ],
                              tokenURLSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                          },
                          headers: [
                            {
                              name: "name_example",
                              value: "value_example",
                            },
                          ],
                          url: "url_example",
                        },
                        mode: 1,
                        name: "name_example",
                        optional: true,
                        oss: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: true,
                          endpoint: "endpoint_example",
                          key: "key_example",
                          lifecycleRule: {
                            markDeletionAfterDays: 1,
                            markInfrequentAccessAfterDays: 1,
                          },
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          securityToken: "securityToken_example",
                        },
                        path: "path_example",
                        raw: {
                          data: "data_example",
                        },
                        recurseMode: true,
                        s3: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: {
                            objectLocking: true,
                          },
                          encryptionOptions: {
                            enableEncryption: true,
                            kmsEncryptionContext: "kmsEncryptionContext_example",
                            kmsKeyId: "kmsKeyId_example",
                            serverSideCustomerKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          endpoint: "endpoint_example",
                          insecure: true,
                          key: "key_example",
                          region: "region_example",
                          roleARN: "roleARN_example",
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          useSDKCreds: true,
                        },
                        subPath: "subPath_example",
                      },
                    ],
                    parameters: [
                      {
                        _default: "_default_example",
                        description: "description_example",
                        _enum: [
                          "_enum_example",
                        ],
                        globalName: "globalName_example",
                        name: "name_example",
                        value: "value_example",
                        valueFrom: {
                          configMapKeyRef: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          _default: "_default_example",
                          event: "event_example",
                          expression: "expression_example",
                          jqFilter: "jqFilter_example",
                          jsonPath: "jsonPath_example",
                          parameter: "parameter_example",
                          path: "path_example",
                          supplied: {},
                        },
                      },
                    ],
                  },
                  continueOn: {
                    error: true,
                    failed: true,
                  },
                  dependencies: [
                    "dependencies_example",
                  ],
                  depends: "depends_example",
                  hooks: {
                    "key": {
                      arguments: {
                        artifacts: [
                          {
                            archive: {
                              none: {},
                              tar: {
                                compressionLevel: 1,
                              },
                              zip: {},
                            },
                            archiveLogs: true,
                            artifactGC: {
                              podMetadata: {
                                annotations: {
                                  "key": "key_example",
                                },
                                labels: {
                                  "key": "key_example",
                                },
                              },
                              serviceAccountName: "serviceAccountName_example",
                              strategy: "strategy_example",
                            },
                            artifactory: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              url: "url_example",
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            azure: {
                              accountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              blob: "blob_example",
                              container: "container_example",
                              endpoint: "endpoint_example",
                              useSDKCreds: true,
                            },
                            deleted: true,
                            _from: "_from_example",
                            fromExpression: "fromExpression_example",
                            gcs: {
                              bucket: "bucket_example",
                              key: "key_example",
                              serviceAccountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            git: {
                              branch: "branch_example",
                              depth: 1,
                              disableSubmodules: true,
                              fetch: [
                                "fetch_example",
                              ],
                              insecureIgnoreHostKey: true,
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              repo: "repo_example",
                              revision: "revision_example",
                              singleBranch: true,
                              sshPrivateKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            globalName: "globalName_example",
                            hdfs: {
                              addresses: [
                                "addresses_example",
                              ],
                              force: true,
                              hdfsUser: "hdfsUser_example",
                              krbCCacheSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbConfigConfigMap: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbKeytabSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbRealm: "krbRealm_example",
                              krbServicePrincipalName: "krbServicePrincipalName_example",
                              krbUsername: "krbUsername_example",
                              path: "path_example",
                            },
                            http: {
                              auth: {
                                basicAuth: {
                                  passwordSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  usernameSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                clientCert: {
                                  clientCertSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientKeySecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                oauth2: {
                                  clientIDSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientSecretSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  endpointParams: [
                                    {
                                      key: "key_example",
                                      value: "value_example",
                                    },
                                  ],
                                  scopes: [
                                    "scopes_example",
                                  ],
                                  tokenURLSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                              },
                              headers: [
                                {
                                  name: "name_example",
                                  value: "value_example",
                                },
                              ],
                              url: "url_example",
                            },
                            mode: 1,
                            name: "name_example",
                            optional: true,
                            oss: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: true,
                              endpoint: "endpoint_example",
                              key: "key_example",
                              lifecycleRule: {
                                markDeletionAfterDays: 1,
                                markInfrequentAccessAfterDays: 1,
                              },
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              securityToken: "securityToken_example",
                            },
                            path: "path_example",
                            raw: {
                              data: "data_example",
                            },
                            recurseMode: true,
                            s3: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: {
                                objectLocking: true,
                              },
                              encryptionOptions: {
                                enableEncryption: true,
                                kmsEncryptionContext: "kmsEncryptionContext_example",
                                kmsKeyId: "kmsKeyId_example",
                                serverSideCustomerKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              endpoint: "endpoint_example",
                              insecure: true,
                              key: "key_example",
                              region: "region_example",
                              roleARN: "roleARN_example",
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              useSDKCreds: true,
                            },
                            subPath: "subPath_example",
                          },
                        ],
                        parameters: [
                          {
                            _default: "_default_example",
                            description: "description_example",
                            _enum: [
                              "_enum_example",
                            ],
                            globalName: "globalName_example",
                            name: "name_example",
                            value: "value_example",
                            valueFrom: {
                              configMapKeyRef: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              _default: "_default_example",
                              event: "event_example",
                              expression: "expression_example",
                              jqFilter: "jqFilter_example",
                              jsonPath: "jsonPath_example",
                              parameter: "parameter_example",
                              path: "path_example",
                              supplied: {},
                            },
                          },
                        ],
                      },
                      expression: "expression_example",
                      template: "template_example",
                      templateRef: {
                        clusterScope: true,
                        name: "name_example",
                        template: "template_example",
                      },
                    },
                  },
                  inline: ,
                  name: "name_example",
                  onExit: "onExit_example",
                  template: "template_example",
                  templateRef: {
                    clusterScope: true,
                    name: "name_example",
                    template: "template_example",
                  },
                  when: "when_example",
                  withItems: [
                    {},
                  ],
                  withParam: "withParam_example",
                  withSequence: {
                    count: "count_example",
                    end: "end_example",
                    format: "format_example",
                    start: "start_example",
                  },
                },
              ],
            },
            data: {
              source: {
                artifactPaths: {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              },
              transformation: [
                {
                  expression: "expression_example",
                },
              ],
            },
            executor: {
              serviceAccountName: "serviceAccountName_example",
            },
            failFast: true,
            hostAliases: [
              {
                hostnames: [
                  "hostnames_example",
                ],
                ip: "ip_example",
              },
            ],
            http: {
              body: "body_example",
              bodyFrom: {
                bytes: 'YQ==',
              },
              headers: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              insecureSkipVerify: true,
              method: "method_example",
              successCondition: "successCondition_example",
              timeoutSeconds: 1,
              url: "url_example",
            },
            initContainers: [
              {
                args: [
                  "args_example",
                ],
                command: [
                  "command_example",
                ],
                env: [
                  {
                    name: "name_example",
                    value: "value_example",
                    valueFrom: {
                      configMapKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                      secretKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                ],
                envFrom: [
                  {
                    configMapRef: {
                      name: "name_example",
                      optional: true,
                    },
                    prefix: "prefix_example",
                    secretRef: {
                      name: "name_example",
                      optional: true,
                    },
                  },
                ],
                image: "image_example",
                imagePullPolicy: "imagePullPolicy_example",
                lifecycle: {
                  postStart: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                  preStop: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                },
                livenessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                mirrorVolumeMounts: true,
                name: "name_example",
                ports: [
                  {
                    containerPort: 1,
                    hostIP: "hostIP_example",
                    hostPort: 1,
                    name: "name_example",
                    protocol: "SCTP",
                  },
                ],
                readinessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                resources: {
                  limits: {
                    "key": "key_example",
                  },
                  requests: {
                    "key": "key_example",
                  },
                },
                securityContext: {
                  allowPrivilegeEscalation: true,
                  capabilities: {
                    add: [
                      "add_example",
                    ],
                    drop: [
                      "drop_example",
                    ],
                  },
                  privileged: true,
                  procMount: "procMount_example",
                  readOnlyRootFilesystem: true,
                  runAsGroup: 1,
                  runAsNonRoot: true,
                  runAsUser: 1,
                  seLinuxOptions: {
                    level: "level_example",
                    role: "role_example",
                    type: "type_example",
                    user: "user_example",
                  },
                  seccompProfile: {
                    localhostProfile: "localhostProfile_example",
                    type: "Localhost",
                  },
                  windowsOptions: {
                    gmsaCredentialSpec: "gmsaCredentialSpec_example",
                    gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                    hostProcess: true,
                    runAsUserName: "runAsUserName_example",
                  },
                },
                startupProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                stdin: true,
                stdinOnce: true,
                terminationMessagePath: "terminationMessagePath_example",
                terminationMessagePolicy: "terminationMessagePolicy_example",
                tty: true,
                volumeDevices: [
                  {
                    devicePath: "devicePath_example",
                    name: "name_example",
                  },
                ],
                volumeMounts: [
                  {
                    mountPath: "mountPath_example",
                    mountPropagation: "mountPropagation_example",
                    name: "name_example",
                    readOnly: true,
                    subPath: "subPath_example",
                    subPathExpr: "subPathExpr_example",
                  },
                ],
                workingDir: "workingDir_example",
              },
            ],
            inputs: {
              artifacts: [
                {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              ],
              parameters: [
                {
                  _default: "_default_example",
                  description: "description_example",
                  _enum: [
                    "_enum_example",
                  ],
                  globalName: "globalName_example",
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    _default: "_default_example",
                    event: "event_example",
                    expression: "expression_example",
                    jqFilter: "jqFilter_example",
                    jsonPath: "jsonPath_example",
                    parameter: "parameter_example",
                    path: "path_example",
                    supplied: {},
                  },
                },
              ],
            },
            memoize: {
              cache: {
                configMap: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
              },
              key: "key_example",
              maxAge: "maxAge_example",
            },
            metadata: {
              annotations: {
                "key": "key_example",
              },
              labels: {
                "key": "key_example",
              },
            },
            metrics: {
              prometheus: [
                {
                  counter: {
                    value: "value_example",
                  },
                  gauge: {
                    operation: "operation_example",
                    realtime: true,
                    value: "value_example",
                  },
                  help: "help_example",
                  histogram: {
                    buckets: [
                      3.14,
                    ],
                    value: "value_example",
                  },
                  labels: [
                    {
                      key: "key_example",
                      value: "value_example",
                    },
                  ],
                  name: "name_example",
                  when: "when_example",
                },
              ],
            },
            name: "name_example",
            nodeSelector: {
              "key": "key_example",
            },
            outputs: {
              artifacts: [
                {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              ],
              exitCode: "exitCode_example",
              parameters: [
                {
                  _default: "_default_example",
                  description: "description_example",
                  _enum: [
                    "_enum_example",
                  ],
                  globalName: "globalName_example",
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    _default: "_default_example",
                    event: "event_example",
                    expression: "expression_example",
                    jqFilter: "jqFilter_example",
                    jsonPath: "jsonPath_example",
                    parameter: "parameter_example",
                    path: "path_example",
                    supplied: {},
                  },
                },
              ],
              result: "result_example",
            },
            parallelism: 1,
            plugin: {},
            podSpecPatch: "podSpecPatch_example",
            priority: 1,
            priorityClassName: "priorityClassName_example",
            resource: {
              action: "action_example",
              failureCondition: "failureCondition_example",
              flags: [
                "flags_example",
              ],
              manifest: "manifest_example",
              manifestFrom: {
                artifact: {
                  archive: {
                    none: {},
                    tar: {
                      compressionLevel: 1,
                    },
                    zip: {},
                  },
                  archiveLogs: true,
                  artifactGC: {
                    podMetadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      labels: {
                        "key": "key_example",
                      },
                    },
                    serviceAccountName: "serviceAccountName_example",
                    strategy: "strategy_example",
                  },
                  artifactory: {
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    url: "url_example",
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  azure: {
                    accountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    blob: "blob_example",
                    container: "container_example",
                    endpoint: "endpoint_example",
                    useSDKCreds: true,
                  },
                  deleted: true,
                  _from: "_from_example",
                  fromExpression: "fromExpression_example",
                  gcs: {
                    bucket: "bucket_example",
                    key: "key_example",
                    serviceAccountKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  git: {
                    branch: "branch_example",
                    depth: 1,
                    disableSubmodules: true,
                    fetch: [
                      "fetch_example",
                    ],
                    insecureIgnoreHostKey: true,
                    passwordSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    repo: "repo_example",
                    revision: "revision_example",
                    singleBranch: true,
                    sshPrivateKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    usernameSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                  globalName: "globalName_example",
                  hdfs: {
                    addresses: [
                      "addresses_example",
                    ],
                    force: true,
                    hdfsUser: "hdfsUser_example",
                    krbCCacheSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbConfigConfigMap: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbKeytabSecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    krbRealm: "krbRealm_example",
                    krbServicePrincipalName: "krbServicePrincipalName_example",
                    krbUsername: "krbUsername_example",
                    path: "path_example",
                  },
                  http: {
                    auth: {
                      basicAuth: {
                        passwordSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        usernameSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      clientCert: {
                        clientCertSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientKeySecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                      oauth2: {
                        clientIDSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        clientSecretSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                        endpointParams: [
                          {
                            key: "key_example",
                            value: "value_example",
                          },
                        ],
                        scopes: [
                          "scopes_example",
                        ],
                        tokenURLSecret: {
                          key: "key_example",
                          name: "name_example",
                          optional: true,
                        },
                      },
                    },
                    headers: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    url: "url_example",
                  },
                  mode: 1,
                  name: "name_example",
                  optional: true,
                  oss: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: true,
                    endpoint: "endpoint_example",
                    key: "key_example",
                    lifecycleRule: {
                      markDeletionAfterDays: 1,
                      markInfrequentAccessAfterDays: 1,
                    },
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    securityToken: "securityToken_example",
                  },
                  path: "path_example",
                  raw: {
                    data: "data_example",
                  },
                  recurseMode: true,
                  s3: {
                    accessKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    bucket: "bucket_example",
                    createBucketIfNotPresent: {
                      objectLocking: true,
                    },
                    encryptionOptions: {
                      enableEncryption: true,
                      kmsEncryptionContext: "kmsEncryptionContext_example",
                      kmsKeyId: "kmsKeyId_example",
                      serverSideCustomerKeySecret: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                    endpoint: "endpoint_example",
                    insecure: true,
                    key: "key_example",
                    region: "region_example",
                    roleARN: "roleARN_example",
                    secretKeySecret: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    useSDKCreds: true,
                  },
                  subPath: "subPath_example",
                },
              },
              mergeStrategy: "mergeStrategy_example",
              setOwnerReference: true,
              successCondition: "successCondition_example",
            },
            retryStrategy: {
              affinity: {
                nodeAntiAffinity: {},
              },
              backoff: {
                duration: "duration_example",
                factor: "factor_example",
                maxDuration: "maxDuration_example",
              },
              expression: "expression_example",
              limit: "limit_example",
              retryPolicy: "retryPolicy_example",
            },
            schedulerName: "schedulerName_example",
            script: {
              args: [
                "args_example",
              ],
              command: [
                "command_example",
              ],
              env: [
                {
                  name: "name_example",
                  value: "value_example",
                  valueFrom: {
                    configMapKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                    fieldRef: {
                      apiVersion: "apiVersion_example",
                      fieldPath: "fieldPath_example",
                    },
                    resourceFieldRef: {
                      containerName: "containerName_example",
                      divisor: "divisor_example",
                      resource: "resource_example",
                    },
                    secretKeyRef: {
                      key: "key_example",
                      name: "name_example",
                      optional: true,
                    },
                  },
                },
              ],
              envFrom: [
                {
                  configMapRef: {
                    name: "name_example",
                    optional: true,
                  },
                  prefix: "prefix_example",
                  secretRef: {
                    name: "name_example",
                    optional: true,
                  },
                },
              ],
              image: "image_example",
              imagePullPolicy: "imagePullPolicy_example",
              lifecycle: {
                postStart: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
                preStop: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                },
              },
              livenessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              name: "name_example",
              ports: [
                {
                  containerPort: 1,
                  hostIP: "hostIP_example",
                  hostPort: 1,
                  name: "name_example",
                  protocol: "SCTP",
                },
              ],
              readinessProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              securityContext: {
                allowPrivilegeEscalation: true,
                capabilities: {
                  add: [
                    "add_example",
                  ],
                  drop: [
                    "drop_example",
                  ],
                },
                privileged: true,
                procMount: "procMount_example",
                readOnlyRootFilesystem: true,
                runAsGroup: 1,
                runAsNonRoot: true,
                runAsUser: 1,
                seLinuxOptions: {
                  level: "level_example",
                  role: "role_example",
                  type: "type_example",
                  user: "user_example",
                },
                seccompProfile: {
                  localhostProfile: "localhostProfile_example",
                  type: "Localhost",
                },
                windowsOptions: {
                  gmsaCredentialSpec: "gmsaCredentialSpec_example",
                  gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                  hostProcess: true,
                  runAsUserName: "runAsUserName_example",
                },
              },
              source: "source_example",
              startupProbe: {
                exec: {
                  command: [
                    "command_example",
                  ],
                },
                failureThreshold: 1,
                grpc: {
                  port: 1,
                  service: "service_example",
                },
                httpGet: {
                  host: "host_example",
                  httpHeaders: [
                    {
                      name: "name_example",
                      value: "value_example",
                    },
                  ],
                  path: "path_example",
                  port: "port_example",
                  scheme: "HTTP",
                },
                initialDelaySeconds: 1,
                periodSeconds: 1,
                successThreshold: 1,
                tcpSocket: {
                  host: "host_example",
                  port: "port_example",
                },
                terminationGracePeriodSeconds: 1,
                timeoutSeconds: 1,
              },
              stdin: true,
              stdinOnce: true,
              terminationMessagePath: "terminationMessagePath_example",
              terminationMessagePolicy: "terminationMessagePolicy_example",
              tty: true,
              volumeDevices: [
                {
                  devicePath: "devicePath_example",
                  name: "name_example",
                },
              ],
              volumeMounts: [
                {
                  mountPath: "mountPath_example",
                  mountPropagation: "mountPropagation_example",
                  name: "name_example",
                  readOnly: true,
                  subPath: "subPath_example",
                  subPathExpr: "subPathExpr_example",
                },
              ],
              workingDir: "workingDir_example",
            },
            securityContext: {
              fsGroup: 1,
              fsGroupChangePolicy: "fsGroupChangePolicy_example",
              runAsGroup: 1,
              runAsNonRoot: true,
              runAsUser: 1,
              seLinuxOptions: {
                level: "level_example",
                role: "role_example",
                type: "type_example",
                user: "user_example",
              },
              seccompProfile: {
                localhostProfile: "localhostProfile_example",
                type: "Localhost",
              },
              supplementalGroups: [
                1,
              ],
              sysctls: [
                {
                  name: "name_example",
                  value: "value_example",
                },
              ],
              windowsOptions: {
                gmsaCredentialSpec: "gmsaCredentialSpec_example",
                gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                hostProcess: true,
                runAsUserName: "runAsUserName_example",
              },
            },
            serviceAccountName: "serviceAccountName_example",
            sidecars: [
              {
                args: [
                  "args_example",
                ],
                command: [
                  "command_example",
                ],
                env: [
                  {
                    name: "name_example",
                    value: "value_example",
                    valueFrom: {
                      configMapKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                      secretKeyRef: {
                        key: "key_example",
                        name: "name_example",
                        optional: true,
                      },
                    },
                  },
                ],
                envFrom: [
                  {
                    configMapRef: {
                      name: "name_example",
                      optional: true,
                    },
                    prefix: "prefix_example",
                    secretRef: {
                      name: "name_example",
                      optional: true,
                    },
                  },
                ],
                image: "image_example",
                imagePullPolicy: "imagePullPolicy_example",
                lifecycle: {
                  postStart: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                  preStop: {
                    exec: {
                      command: [
                        "command_example",
                      ],
                    },
                    httpGet: {
                      host: "host_example",
                      httpHeaders: [
                        {
                          name: "name_example",
                          value: "value_example",
                        },
                      ],
                      path: "path_example",
                      port: "port_example",
                      scheme: "HTTP",
                    },
                    tcpSocket: {
                      host: "host_example",
                      port: "port_example",
                    },
                  },
                },
                livenessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                mirrorVolumeMounts: true,
                name: "name_example",
                ports: [
                  {
                    containerPort: 1,
                    hostIP: "hostIP_example",
                    hostPort: 1,
                    name: "name_example",
                    protocol: "SCTP",
                  },
                ],
                readinessProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                resources: {
                  limits: {
                    "key": "key_example",
                  },
                  requests: {
                    "key": "key_example",
                  },
                },
                securityContext: {
                  allowPrivilegeEscalation: true,
                  capabilities: {
                    add: [
                      "add_example",
                    ],
                    drop: [
                      "drop_example",
                    ],
                  },
                  privileged: true,
                  procMount: "procMount_example",
                  readOnlyRootFilesystem: true,
                  runAsGroup: 1,
                  runAsNonRoot: true,
                  runAsUser: 1,
                  seLinuxOptions: {
                    level: "level_example",
                    role: "role_example",
                    type: "type_example",
                    user: "user_example",
                  },
                  seccompProfile: {
                    localhostProfile: "localhostProfile_example",
                    type: "Localhost",
                  },
                  windowsOptions: {
                    gmsaCredentialSpec: "gmsaCredentialSpec_example",
                    gmsaCredentialSpecName: "gmsaCredentialSpecName_example",
                    hostProcess: true,
                    runAsUserName: "runAsUserName_example",
                  },
                },
                startupProbe: {
                  exec: {
                    command: [
                      "command_example",
                    ],
                  },
                  failureThreshold: 1,
                  grpc: {
                    port: 1,
                    service: "service_example",
                  },
                  httpGet: {
                    host: "host_example",
                    httpHeaders: [
                      {
                        name: "name_example",
                        value: "value_example",
                      },
                    ],
                    path: "path_example",
                    port: "port_example",
                    scheme: "HTTP",
                  },
                  initialDelaySeconds: 1,
                  periodSeconds: 1,
                  successThreshold: 1,
                  tcpSocket: {
                    host: "host_example",
                    port: "port_example",
                  },
                  terminationGracePeriodSeconds: 1,
                  timeoutSeconds: 1,
                },
                stdin: true,
                stdinOnce: true,
                terminationMessagePath: "terminationMessagePath_example",
                terminationMessagePolicy: "terminationMessagePolicy_example",
                tty: true,
                volumeDevices: [
                  {
                    devicePath: "devicePath_example",
                    name: "name_example",
                  },
                ],
                volumeMounts: [
                  {
                    mountPath: "mountPath_example",
                    mountPropagation: "mountPropagation_example",
                    name: "name_example",
                    readOnly: true,
                    subPath: "subPath_example",
                    subPathExpr: "subPathExpr_example",
                  },
                ],
                workingDir: "workingDir_example",
              },
            ],
            steps: [
              [
                {
                  arguments: {
                    artifacts: [
                      {
                        archive: {
                          none: {},
                          tar: {
                            compressionLevel: 1,
                          },
                          zip: {},
                        },
                        archiveLogs: true,
                        artifactGC: {
                          podMetadata: {
                            annotations: {
                              "key": "key_example",
                            },
                            labels: {
                              "key": "key_example",
                            },
                          },
                          serviceAccountName: "serviceAccountName_example",
                          strategy: "strategy_example",
                        },
                        artifactory: {
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          url: "url_example",
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        azure: {
                          accountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          blob: "blob_example",
                          container: "container_example",
                          endpoint: "endpoint_example",
                          useSDKCreds: true,
                        },
                        deleted: true,
                        _from: "_from_example",
                        fromExpression: "fromExpression_example",
                        gcs: {
                          bucket: "bucket_example",
                          key: "key_example",
                          serviceAccountKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        git: {
                          branch: "branch_example",
                          depth: 1,
                          disableSubmodules: true,
                          fetch: [
                            "fetch_example",
                          ],
                          insecureIgnoreHostKey: true,
                          passwordSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          repo: "repo_example",
                          revision: "revision_example",
                          singleBranch: true,
                          sshPrivateKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          usernameSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                        },
                        globalName: "globalName_example",
                        hdfs: {
                          addresses: [
                            "addresses_example",
                          ],
                          force: true,
                          hdfsUser: "hdfsUser_example",
                          krbCCacheSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbConfigConfigMap: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbKeytabSecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          krbRealm: "krbRealm_example",
                          krbServicePrincipalName: "krbServicePrincipalName_example",
                          krbUsername: "krbUsername_example",
                          path: "path_example",
                        },
                        http: {
                          auth: {
                            basicAuth: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            clientCert: {
                              clientCertSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            oauth2: {
                              clientIDSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              clientSecretSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              endpointParams: [
                                {
                                  key: "key_example",
                                  value: "value_example",
                                },
                              ],
                              scopes: [
                                "scopes_example",
                              ],
                              tokenURLSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                          },
                          headers: [
                            {
                              name: "name_example",
                              value: "value_example",
                            },
                          ],
                          url: "url_example",
                        },
                        mode: 1,
                        name: "name_example",
                        optional: true,
                        oss: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: true,
                          endpoint: "endpoint_example",
                          key: "key_example",
                          lifecycleRule: {
                            markDeletionAfterDays: 1,
                            markInfrequentAccessAfterDays: 1,
                          },
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          securityToken: "securityToken_example",
                        },
                        path: "path_example",
                        raw: {
                          data: "data_example",
                        },
                        recurseMode: true,
                        s3: {
                          accessKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          bucket: "bucket_example",
                          createBucketIfNotPresent: {
                            objectLocking: true,
                          },
                          encryptionOptions: {
                            enableEncryption: true,
                            kmsEncryptionContext: "kmsEncryptionContext_example",
                            kmsKeyId: "kmsKeyId_example",
                            serverSideCustomerKeySecret: {
                              key: "key_example",
                              name: "name_example",
                              optional: true,
                            },
                          },
                          endpoint: "endpoint_example",
                          insecure: true,
                          key: "key_example",
                          region: "region_example",
                          roleARN: "roleARN_example",
                          secretKeySecret: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          useSDKCreds: true,
                        },
                        subPath: "subPath_example",
                      },
                    ],
                    parameters: [
                      {
                        _default: "_default_example",
                        description: "description_example",
                        _enum: [
                          "_enum_example",
                        ],
                        globalName: "globalName_example",
                        name: "name_example",
                        value: "value_example",
                        valueFrom: {
                          configMapKeyRef: {
                            key: "key_example",
                            name: "name_example",
                            optional: true,
                          },
                          _default: "_default_example",
                          event: "event_example",
                          expression: "expression_example",
                          jqFilter: "jqFilter_example",
                          jsonPath: "jsonPath_example",
                          parameter: "parameter_example",
                          path: "path_example",
                          supplied: {},
                        },
                      },
                    ],
                  },
                  continueOn: {
                    error: true,
                    failed: true,
                  },
                  hooks: {
                    "key": {
                      arguments: {
                        artifacts: [
                          {
                            archive: {
                              none: {},
                              tar: {
                                compressionLevel: 1,
                              },
                              zip: {},
                            },
                            archiveLogs: true,
                            artifactGC: {
                              podMetadata: {
                                annotations: {
                                  "key": "key_example",
                                },
                                labels: {
                                  "key": "key_example",
                                },
                              },
                              serviceAccountName: "serviceAccountName_example",
                              strategy: "strategy_example",
                            },
                            artifactory: {
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              url: "url_example",
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            azure: {
                              accountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              blob: "blob_example",
                              container: "container_example",
                              endpoint: "endpoint_example",
                              useSDKCreds: true,
                            },
                            deleted: true,
                            _from: "_from_example",
                            fromExpression: "fromExpression_example",
                            gcs: {
                              bucket: "bucket_example",
                              key: "key_example",
                              serviceAccountKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            git: {
                              branch: "branch_example",
                              depth: 1,
                              disableSubmodules: true,
                              fetch: [
                                "fetch_example",
                              ],
                              insecureIgnoreHostKey: true,
                              passwordSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              repo: "repo_example",
                              revision: "revision_example",
                              singleBranch: true,
                              sshPrivateKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              usernameSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                            },
                            globalName: "globalName_example",
                            hdfs: {
                              addresses: [
                                "addresses_example",
                              ],
                              force: true,
                              hdfsUser: "hdfsUser_example",
                              krbCCacheSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbConfigConfigMap: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbKeytabSecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              krbRealm: "krbRealm_example",
                              krbServicePrincipalName: "krbServicePrincipalName_example",
                              krbUsername: "krbUsername_example",
                              path: "path_example",
                            },
                            http: {
                              auth: {
                                basicAuth: {
                                  passwordSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  usernameSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                clientCert: {
                                  clientCertSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientKeySecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                                oauth2: {
                                  clientIDSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  clientSecretSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                  endpointParams: [
                                    {
                                      key: "key_example",
                                      value: "value_example",
                                    },
                                  ],
                                  scopes: [
                                    "scopes_example",
                                  ],
                                  tokenURLSecret: {
                                    key: "key_example",
                                    name: "name_example",
                                    optional: true,
                                  },
                                },
                              },
                              headers: [
                                {
                                  name: "name_example",
                                  value: "value_example",
                                },
                              ],
                              url: "url_example",
                            },
                            mode: 1,
                            name: "name_example",
                            optional: true,
                            oss: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: true,
                              endpoint: "endpoint_example",
                              key: "key_example",
                              lifecycleRule: {
                                markDeletionAfterDays: 1,
                                markInfrequentAccessAfterDays: 1,
                              },
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              securityToken: "securityToken_example",
                            },
                            path: "path_example",
                            raw: {
                              data: "data_example",
                            },
                            recurseMode: true,
                            s3: {
                              accessKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              bucket: "bucket_example",
                              createBucketIfNotPresent: {
                                objectLocking: true,
                              },
                              encryptionOptions: {
                                enableEncryption: true,
                                kmsEncryptionContext: "kmsEncryptionContext_example",
                                kmsKeyId: "kmsKeyId_example",
                                serverSideCustomerKeySecret: {
                                  key: "key_example",
                                  name: "name_example",
                                  optional: true,
                                },
                              },
                              endpoint: "endpoint_example",
                              insecure: true,
                              key: "key_example",
                              region: "region_example",
                              roleARN: "roleARN_example",
                              secretKeySecret: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              useSDKCreds: true,
                            },
                            subPath: "subPath_example",
                          },
                        ],
                        parameters: [
                          {
                            _default: "_default_example",
                            description: "description_example",
                            _enum: [
                              "_enum_example",
                            ],
                            globalName: "globalName_example",
                            name: "name_example",
                            value: "value_example",
                            valueFrom: {
                              configMapKeyRef: {
                                key: "key_example",
                                name: "name_example",
                                optional: true,
                              },
                              _default: "_default_example",
                              event: "event_example",
                              expression: "expression_example",
                              jqFilter: "jqFilter_example",
                              jsonPath: "jsonPath_example",
                              parameter: "parameter_example",
                              path: "path_example",
                              supplied: {},
                            },
                          },
                        ],
                      },
                      expression: "expression_example",
                      template: "template_example",
                      templateRef: {
                        clusterScope: true,
                        name: "name_example",
                        template: "template_example",
                      },
                    },
                  },
                  inline: ,
                  name: "name_example",
                  onExit: "onExit_example",
                  template: "template_example",
                  templateRef: {
                    clusterScope: true,
                    name: "name_example",
                    template: "template_example",
                  },
                  when: "when_example",
                  withItems: [
                    {},
                  ],
                  withParam: "withParam_example",
                  withSequence: {
                    count: "count_example",
                    end: "end_example",
                    format: "format_example",
                    start: "start_example",
                  },
                },
              ],
            ],
            suspend: {
              duration: "duration_example",
            },
            synchronization: {
              mutex: {
                name: "name_example",
                namespace: "namespace_example",
              },
              semaphore: {
                configMapKeyRef: {
                  key: "key_example",
                  name: "name_example",
                  optional: true,
                },
                namespace: "namespace_example",
              },
            },
            timeout: "timeout_example",
            tolerations: [
              {
                effect: "NoExecute",
                key: "key_example",
                operator: "Equal",
                tolerationSeconds: 1,
                value: "value_example",
              },
            ],
            volumes: [
              {
                awsElasticBlockStore: {
                  fsType: "fsType_example",
                  partition: 1,
                  readOnly: true,
                  volumeID: "volumeID_example",
                },
                azureDisk: {
                  cachingMode: "cachingMode_example",
                  diskName: "diskName_example",
                  diskURI: "diskURI_example",
                  fsType: "fsType_example",
                  kind: "kind_example",
                  readOnly: true,
                },
                azureFile: {
                  readOnly: true,
                  secretName: "secretName_example",
                  shareName: "shareName_example",
                },
                cephfs: {
                  monitors: [
                    "monitors_example",
                  ],
                  path: "path_example",
                  readOnly: true,
                  secretFile: "secretFile_example",
                  secretRef: {
                    name: "name_example",
                  },
                  user: "user_example",
                },
                cinder: {
                  fsType: "fsType_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  volumeID: "volumeID_example",
                },
                configMap: {
                  defaultMode: 1,
                  items: [
                    {
                      key: "key_example",
                      mode: 1,
                      path: "path_example",
                    },
                  ],
                  name: "name_example",
                  optional: true,
                },
                csi: {
                  driver: "driver_example",
                  fsType: "fsType_example",
                  nodePublishSecretRef: {
                    name: "name_example",
                  },
                  readOnly: true,
                  volumeAttributes: {
                    "key": "key_example",
                  },
                },
                downwardAPI: {
                  defaultMode: 1,
                  items: [
                    {
                      fieldRef: {
                        apiVersion: "apiVersion_example",
                        fieldPath: "fieldPath_example",
                      },
                      mode: 1,
                      path: "path_example",
                      resourceFieldRef: {
                        containerName: "containerName_example",
                        divisor: "divisor_example",
                        resource: "resource_example",
                      },
                    },
                  ],
                },
                emptyDir: {
                  medium: "medium_example",
                  sizeLimit: "sizeLimit_example",
                },
                ephemeral: {
                  volumeClaimTemplate: {
                    metadata: {
                      annotations: {
                        "key": "key_example",
                      },
                      clusterName: "clusterName_example",
                      creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                      deletionGracePeriodSeconds: 1,
                      deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                      finalizers: [
                        "finalizers_example",
                      ],
                      generateName: "generateName_example",
                      generation: 1,
                      labels: {
                        "key": "key_example",
                      },
                      managedFields: [
                        {
                          apiVersion: "apiVersion_example",
                          fieldsType: "fieldsType_example",
                          fieldsV1: {},
                          manager: "manager_example",
                          operation: "operation_example",
                          subresource: "subresource_example",
                          time: new Date('1970-01-01T00:00:00.00Z'),
                        },
                      ],
                      name: "name_example",
                      namespace: "namespace_example",
                      ownerReferences: [
                        {
                          apiVersion: "apiVersion_example",
                          blockOwnerDeletion: true,
                          controller: true,
                          kind: "kind_example",
                          name: "name_example",
                          uid: "uid_example",
                        },
                      ],
                      resourceVersion: "resourceVersion_example",
                      selfLink: "selfLink_example",
                      uid: "uid_example",
                    },
                    spec: {
                      accessModes: [
                        "accessModes_example",
                      ],
                      dataSource: {
                        apiGroup: "apiGroup_example",
                        kind: "kind_example",
                        name: "name_example",
                      },
                      dataSourceRef: {
                        apiGroup: "apiGroup_example",
                        kind: "kind_example",
                        name: "name_example",
                      },
                      resources: {
                        limits: {
                          "key": "key_example",
                        },
                        requests: {
                          "key": "key_example",
                        },
                      },
                      selector: {
                        matchExpressions: [
                          {
                            key: "key_example",
                            operator: "operator_example",
                            values: [
                              "values_example",
                            ],
                          },
                        ],
                        matchLabels: {
                          "key": "key_example",
                        },
                      },
                      storageClassName: "storageClassName_example",
                      volumeMode: "volumeMode_example",
                      volumeName: "volumeName_example",
                    },
                  },
                },
                fc: {
                  fsType: "fsType_example",
                  lun: 1,
                  readOnly: true,
                  targetWWNs: [
                    "targetWWNs_example",
                  ],
                  wwids: [
                    "wwids_example",
                  ],
                },
                flexVolume: {
                  driver: "driver_example",
                  fsType: "fsType_example",
                  options: {
                    "key": "key_example",
                  },
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                },
                flocker: {
                  datasetName: "datasetName_example",
                  datasetUUID: "datasetUUID_example",
                },
                gcePersistentDisk: {
                  fsType: "fsType_example",
                  partition: 1,
                  pdName: "pdName_example",
                  readOnly: true,
                },
                gitRepo: {
                  directory: "directory_example",
                  repository: "repository_example",
                  revision: "revision_example",
                },
                glusterfs: {
                  endpoints: "endpoints_example",
                  path: "path_example",
                  readOnly: true,
                },
                hostPath: {
                  path: "path_example",
                  type: "type_example",
                },
                iscsi: {
                  chapAuthDiscovery: true,
                  chapAuthSession: true,
                  fsType: "fsType_example",
                  initiatorName: "initiatorName_example",
                  iqn: "iqn_example",
                  iscsiInterface: "iscsiInterface_example",
                  lun: 1,
                  portals: [
                    "portals_example",
                  ],
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  targetPortal: "targetPortal_example",
                },
                name: "name_example",
                nfs: {
                  path: "path_example",
                  readOnly: true,
                  server: "server_example",
                },
                persistentVolumeClaim: {
                  claimName: "claimName_example",
                  readOnly: true,
                },
                photonPersistentDisk: {
                  fsType: "fsType_example",
                  pdID: "pdID_example",
                },
                portworxVolume: {
                  fsType: "fsType_example",
                  readOnly: true,
                  volumeID: "volumeID_example",
                },
                projected: {
                  defaultMode: 1,
                  sources: [
                    {
                      configMap: {
                        items: [
                          {
                            key: "key_example",
                            mode: 1,
                            path: "path_example",
                          },
                        ],
                        name: "name_example",
                        optional: true,
                      },
                      downwardAPI: {
                        items: [
                          {
                            fieldRef: {
                              apiVersion: "apiVersion_example",
                              fieldPath: "fieldPath_example",
                            },
                            mode: 1,
                            path: "path_example",
                            resourceFieldRef: {
                              containerName: "containerName_example",
                              divisor: "divisor_example",
                              resource: "resource_example",
                            },
                          },
                        ],
                      },
                      secret: {
                        items: [
                          {
                            key: "key_example",
                            mode: 1,
                            path: "path_example",
                          },
                        ],
                        name: "name_example",
                        optional: true,
                      },
                      serviceAccountToken: {
                        audience: "audience_example",
                        expirationSeconds: 1,
                        path: "path_example",
                      },
                    },
                  ],
                },
                quobyte: {
                  group: "group_example",
                  readOnly: true,
                  registry: "registry_example",
                  tenant: "tenant_example",
                  user: "user_example",
                  volume: "volume_example",
                },
                rbd: {
                  fsType: "fsType_example",
                  image: "image_example",
                  keyring: "keyring_example",
                  monitors: [
                    "monitors_example",
                  ],
                  pool: "pool_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  user: "user_example",
                },
                scaleIO: {
                  fsType: "fsType_example",
                  gateway: "gateway_example",
                  protectionDomain: "protectionDomain_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  sslEnabled: true,
                  storageMode: "storageMode_example",
                  storagePool: "storagePool_example",
                  system: "system_example",
                  volumeName: "volumeName_example",
                },
                secret: {
                  defaultMode: 1,
                  items: [
                    {
                      key: "key_example",
                      mode: 1,
                      path: "path_example",
                    },
                  ],
                  optional: true,
                  secretName: "secretName_example",
                },
                storageos: {
                  fsType: "fsType_example",
                  readOnly: true,
                  secretRef: {
                    name: "name_example",
                  },
                  volumeName: "volumeName_example",
                  volumeNamespace: "volumeNamespace_example",
                },
                vsphereVolume: {
                  fsType: "fsType_example",
                  storagePolicyID: "storagePolicyID_example",
                  storagePolicyName: "storagePolicyName_example",
                  volumePath: "volumePath_example",
                },
              },
            ],
          },
        ],
        tolerations: [
          {
            effect: "NoExecute",
            key: "key_example",
            operator: "Equal",
            tolerationSeconds: 1,
            value: "value_example",
          },
        ],
        ttlStrategy: {
          secondsAfterCompletion: 1,
          secondsAfterFailure: 1,
          secondsAfterSuccess: 1,
        },
        volumeClaimGC: {
          strategy: "strategy_example",
        },
        volumeClaimTemplates: [
          {
            apiVersion: "apiVersion_example",
            kind: "kind_example",
            metadata: {
              annotations: {
                "key": "key_example",
              },
              clusterName: "clusterName_example",
              creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
              deletionGracePeriodSeconds: 1,
              deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
              finalizers: [
                "finalizers_example",
              ],
              generateName: "generateName_example",
              generation: 1,
              labels: {
                "key": "key_example",
              },
              managedFields: [
                {
                  apiVersion: "apiVersion_example",
                  fieldsType: "fieldsType_example",
                  fieldsV1: {},
                  manager: "manager_example",
                  operation: "operation_example",
                  subresource: "subresource_example",
                  time: new Date('1970-01-01T00:00:00.00Z'),
                },
              ],
              name: "name_example",
              namespace: "namespace_example",
              ownerReferences: [
                {
                  apiVersion: "apiVersion_example",
                  blockOwnerDeletion: true,
                  controller: true,
                  kind: "kind_example",
                  name: "name_example",
                  uid: "uid_example",
                },
              ],
              resourceVersion: "resourceVersion_example",
              selfLink: "selfLink_example",
              uid: "uid_example",
            },
            spec: {
              accessModes: [
                "accessModes_example",
              ],
              dataSource: {
                apiGroup: "apiGroup_example",
                kind: "kind_example",
                name: "name_example",
              },
              dataSourceRef: {
                apiGroup: "apiGroup_example",
                kind: "kind_example",
                name: "name_example",
              },
              resources: {
                limits: {
                  "key": "key_example",
                },
                requests: {
                  "key": "key_example",
                },
              },
              selector: {
                matchExpressions: [
                  {
                    key: "key_example",
                    operator: "operator_example",
                    values: [
                      "values_example",
                    ],
                  },
                ],
                matchLabels: {
                  "key": "key_example",
                },
              },
              storageClassName: "storageClassName_example",
              volumeMode: "volumeMode_example",
              volumeName: "volumeName_example",
            },
            status: {
              accessModes: [
                "accessModes_example",
              ],
              allocatedResources: {
                "key": "key_example",
              },
              capacity: {
                "key": "key_example",
              },
              conditions: [
                {
                  lastProbeTime: new Date('1970-01-01T00:00:00.00Z'),
                  lastTransitionTime: new Date('1970-01-01T00:00:00.00Z'),
                  message: "message_example",
                  reason: "reason_example",
                  status: "status_example",
                  type: "FileSystemResizePending",
                },
              ],
              phase: "Bound",
              resizeStatus: "resizeStatus_example",
            },
          },
        ],
        volumes: [
          {
            awsElasticBlockStore: {
              fsType: "fsType_example",
              partition: 1,
              readOnly: true,
              volumeID: "volumeID_example",
            },
            azureDisk: {
              cachingMode: "cachingMode_example",
              diskName: "diskName_example",
              diskURI: "diskURI_example",
              fsType: "fsType_example",
              kind: "kind_example",
              readOnly: true,
            },
            azureFile: {
              readOnly: true,
              secretName: "secretName_example",
              shareName: "shareName_example",
            },
            cephfs: {
              monitors: [
                "monitors_example",
              ],
              path: "path_example",
              readOnly: true,
              secretFile: "secretFile_example",
              secretRef: {
                name: "name_example",
              },
              user: "user_example",
            },
            cinder: {
              fsType: "fsType_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              volumeID: "volumeID_example",
            },
            configMap: {
              defaultMode: 1,
              items: [
                {
                  key: "key_example",
                  mode: 1,
                  path: "path_example",
                },
              ],
              name: "name_example",
              optional: true,
            },
            csi: {
              driver: "driver_example",
              fsType: "fsType_example",
              nodePublishSecretRef: {
                name: "name_example",
              },
              readOnly: true,
              volumeAttributes: {
                "key": "key_example",
              },
            },
            downwardAPI: {
              defaultMode: 1,
              items: [
                {
                  fieldRef: {
                    apiVersion: "apiVersion_example",
                    fieldPath: "fieldPath_example",
                  },
                  mode: 1,
                  path: "path_example",
                  resourceFieldRef: {
                    containerName: "containerName_example",
                    divisor: "divisor_example",
                    resource: "resource_example",
                  },
                },
              ],
            },
            emptyDir: {
              medium: "medium_example",
              sizeLimit: "sizeLimit_example",
            },
            ephemeral: {
              volumeClaimTemplate: {
                metadata: {
                  annotations: {
                    "key": "key_example",
                  },
                  clusterName: "clusterName_example",
                  creationTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                  deletionGracePeriodSeconds: 1,
                  deletionTimestamp: new Date('1970-01-01T00:00:00.00Z'),
                  finalizers: [
                    "finalizers_example",
                  ],
                  generateName: "generateName_example",
                  generation: 1,
                  labels: {
                    "key": "key_example",
                  },
                  managedFields: [
                    {
                      apiVersion: "apiVersion_example",
                      fieldsType: "fieldsType_example",
                      fieldsV1: {},
                      manager: "manager_example",
                      operation: "operation_example",
                      subresource: "subresource_example",
                      time: new Date('1970-01-01T00:00:00.00Z'),
                    },
                  ],
                  name: "name_example",
                  namespace: "namespace_example",
                  ownerReferences: [
                    {
                      apiVersion: "apiVersion_example",
                      blockOwnerDeletion: true,
                      controller: true,
                      kind: "kind_example",
                      name: "name_example",
                      uid: "uid_example",
                    },
                  ],
                  resourceVersion: "resourceVersion_example",
                  selfLink: "selfLink_example",
                  uid: "uid_example",
                },
                spec: {
                  accessModes: [
                    "accessModes_example",
                  ],
                  dataSource: {
                    apiGroup: "apiGroup_example",
                    kind: "kind_example",
                    name: "name_example",
                  },
                  dataSourceRef: {
                    apiGroup: "apiGroup_example",
                    kind: "kind_example",
                    name: "name_example",
                  },
                  resources: {
                    limits: {
                      "key": "key_example",
                    },
                    requests: {
                      "key": "key_example",
                    },
                  },
                  selector: {
                    matchExpressions: [
                      {
                        key: "key_example",
                        operator: "operator_example",
                        values: [
                          "values_example",
                        ],
                      },
                    ],
                    matchLabels: {
                      "key": "key_example",
                    },
                  },
                  storageClassName: "storageClassName_example",
                  volumeMode: "volumeMode_example",
                  volumeName: "volumeName_example",
                },
              },
            },
            fc: {
              fsType: "fsType_example",
              lun: 1,
              readOnly: true,
              targetWWNs: [
                "targetWWNs_example",
              ],
              wwids: [
                "wwids_example",
              ],
            },
            flexVolume: {
              driver: "driver_example",
              fsType: "fsType_example",
              options: {
                "key": "key_example",
              },
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
            },
            flocker: {
              datasetName: "datasetName_example",
              datasetUUID: "datasetUUID_example",
            },
            gcePersistentDisk: {
              fsType: "fsType_example",
              partition: 1,
              pdName: "pdName_example",
              readOnly: true,
            },
            gitRepo: {
              directory: "directory_example",
              repository: "repository_example",
              revision: "revision_example",
            },
            glusterfs: {
              endpoints: "endpoints_example",
              path: "path_example",
              readOnly: true,
            },
            hostPath: {
              path: "path_example",
              type: "type_example",
            },
            iscsi: {
              chapAuthDiscovery: true,
              chapAuthSession: true,
              fsType: "fsType_example",
              initiatorName: "initiatorName_example",
              iqn: "iqn_example",
              iscsiInterface: "iscsiInterface_example",
              lun: 1,
              portals: [
                "portals_example",
              ],
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              targetPortal: "targetPortal_example",
            },
            name: "name_example",
            nfs: {
              path: "path_example",
              readOnly: true,
              server: "server_example",
            },
            persistentVolumeClaim: {
              claimName: "claimName_example",
              readOnly: true,
            },
            photonPersistentDisk: {
              fsType: "fsType_example",
              pdID: "pdID_example",
            },
            portworxVolume: {
              fsType: "fsType_example",
              readOnly: true,
              volumeID: "volumeID_example",
            },
            projected: {
              defaultMode: 1,
              sources: [
                {
                  configMap: {
                    items: [
                      {
                        key: "key_example",
                        mode: 1,
                        path: "path_example",
                      },
                    ],
                    name: "name_example",
                    optional: true,
                  },
                  downwardAPI: {
                    items: [
                      {
                        fieldRef: {
                          apiVersion: "apiVersion_example",
                          fieldPath: "fieldPath_example",
                        },
                        mode: 1,
                        path: "path_example",
                        resourceFieldRef: {
                          containerName: "containerName_example",
                          divisor: "divisor_example",
                          resource: "resource_example",
                        },
                      },
                    ],
                  },
                  secret: {
                    items: [
                      {
                        key: "key_example",
                        mode: 1,
                        path: "path_example",
                      },
                    ],
                    name: "name_example",
                    optional: true,
                  },
                  serviceAccountToken: {
                    audience: "audience_example",
                    expirationSeconds: 1,
                    path: "path_example",
                  },
                },
              ],
            },
            quobyte: {
              group: "group_example",
              readOnly: true,
              registry: "registry_example",
              tenant: "tenant_example",
              user: "user_example",
              volume: "volume_example",
            },
            rbd: {
              fsType: "fsType_example",
              image: "image_example",
              keyring: "keyring_example",
              monitors: [
                "monitors_example",
              ],
              pool: "pool_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              user: "user_example",
            },
            scaleIO: {
              fsType: "fsType_example",
              gateway: "gateway_example",
              protectionDomain: "protectionDomain_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              sslEnabled: true,
              storageMode: "storageMode_example",
              storagePool: "storagePool_example",
              system: "system_example",
              volumeName: "volumeName_example",
            },
            secret: {
              defaultMode: 1,
              items: [
                {
                  key: "key_example",
                  mode: 1,
                  path: "path_example",
                },
              ],
              optional: true,
              secretName: "secretName_example",
            },
            storageos: {
              fsType: "fsType_example",
              readOnly: true,
              secretRef: {
                name: "name_example",
              },
              volumeName: "volumeName_example",
              volumeNamespace: "volumeNamespace_example",
            },
            vsphereVolume: {
              fsType: "fsType_example",
              storagePolicyID: "storagePolicyID_example",
              storagePolicyName: "storagePolicyName_example",
              volumePath: "volumePath_example",
            },
          },
        ],
        workflowMetadata: {
          annotations: {
            "key": "key_example",
          },
          labels: {
            "key": "key_example",
          },
          labelsFrom: {
            "key": {
              expression: "expression_example",
            },
          },
        },
        workflowTemplateRef: {
          clusterScope: true,
          name: "name_example",
        },
      },
    },
  },
};

apiInstance.workflowTemplateServiceUpdateWorkflowTemplate(body).then((data:any) => {
  console.log('API called successfully. Returned data: ' + data);
}).catch((error:any) => console.error(error));
```


### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | **IoArgoprojWorkflowV1alpha1WorkflowTemplateUpdateRequest**|  |
 **namespace** | [**string**] |  | defaults to undefined
 **name** | [**string**] | DEPRECATED: This field is ignored. | defaults to undefined


### Return type

**IoArgoprojWorkflowV1alpha1WorkflowTemplate**

### Authorization

[BearerToken](README.md#BearerToken)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json


### HTTP response details
| Status code | Description | Response headers |
|-------------|-------------|------------------|
**200** | A successful response. |  -  |
**0** | An unexpected error response. |  -  |

[[Back to top]](#) [[Back to API list]](README.md#documentation-for-api-endpoints) [[Back to Model list]](README.md#documentation-for-models) [[Back to README]](README.md)


